2017-09-12  Gavin Smith  <gavinsmith0123@gmail.com>

	6.5 release.
	* configure.ac, NEWS, util/texi2dvi, util/texi2pdf,
	doc/refcard/txirefcard.tex: Version number.

2017-09-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.4.92
	* configure.ac: Update version.

2017-09-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Makefile.am (AM_T_LOG_FLAGS): Add "-I .".
	* tp/tests/run_parser_all.sh: Add "-I ." to perl invocations.
	Attempt at getting tests to work if . is not in @INC.  Report 
	from Patrice Dumas.

2017-09-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infokey.c (compile): Support "1 menu-digit" in .infokey
	file in case this default binding is disabled for some reason.
	Clark Wang reported that "1 menu-digit" didn't work.

2017-08-29  Patrice Dumas  <pertusus@free.fr>

	* autogen.sh: update regeneration of tests makefile fragment to
	match the change in tp/Makefile.am associated with the removal
	of "long tests" in 2016-10-23.

2017-08-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/pseudotty.c: Open slave end of pseudoterminal outside of 
	a conditional block so that it will be open even if that block 
	is not executed.  Otherwise we could fail to turn off the 
	special interpretation of some characters (C-u, C-s) to the 
	terminal in time, leading some tests to fail.  Assaf Gordon 
	reported test failures for several platforms.

2017-08-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.4.91
	* configure.ac: Update version.

2017-08-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Add a couple of news items.

2017-08-25  Mathieu Lirzin  <mthl@gnu.org>

	* tp/Texinfo/Convert/HTML.pm (_default_node_redirection_page)
	(_default_begin_file): Move '$encoding' to the top of the '<head>'
	element.  This removes a warning in recent browsers that check if
	the encoding declaration is present in the first 1024 bytes of the
	file.  See
	https://www.w3.org/TR/html5/document-metadata.html#character-encoding-declaration

2017-08-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): When splitting the text across 
	multiple lines, do not simply set \leftskip and \parindent to 
	values, alter the existing values instead.  Otherwise, long 
	entries in a table of contents would not be indented properly, 
	because \leftskip had been set to a positive value.  Arnold 
	Robbins reported that this happened for the gawk manual.  Add or 
	change some comments.

2017-08-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\partentry): Add stretch and a bonus for 
	breaking the page before the part heading in the table of 
	contents.  Arnold Robbins reported that the page could be broken
	immediately after the part heading, which separated it from the 
	entry for the first chapter in that part, which didn't look 
	good.

2017-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* po_document: Run fix-translations.sh.
	* tp/t: Update test results.

2017-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* po_document/fix-translations.sh: Add file.

2017-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/maintain/change_perl_modules.sh: Get version number from
	configure.ac instead of from Makefile, as then Makefile doesn't
	have to be regenerated before it runs.  (Otherwise, there could
	be a failure in 'make distcheck' due to a version number 
	mismatch.)

2017-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Text.pm (@ISA). Add Texinfo::Convert::Converter.
	Report from Randall Sawyer 2017-07-31.

2017-07-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl <DUMP_TREE>: Check if tree is defined, as 
	happened before.

2017-07-31  Randall Sawyer  <strandallsawyer@hushmail.me>  (tiny change)

	* tp/texi2any.pl: Exchange two conditional blocks, so that we 
	check if 'DUMP_TREE' was given as an option before 'parse' being 
	the output format, so that

	  makeinfo -c DUMP_TREE=1 -c TEXINFO_OUTPUT_FORMAT=parse document.texi

	works to dump the parse tree, as mentioned in the comments at 
	the end of Parser.pm.

2017-07-31  Randall Sawyer  <strandallsawyer@hushmail.me>  (tiny change)

	* tp/texi2any.pl (%formats_table)
	<textcontent, rawtext, plaintexinfo>: Change to use 'module' 
	value instead of a 'converter' value so that these values for 
	TEXINFO_OUTPUT_FORMAT work again.
	* tp/Texinfo/Convert/Text.pm: Add missing 'use File::Basename' line.

2017-07-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl (%formats_table): Remove 'debugcount' section
	as the corresponding module doesn't exist any more.

2017-07-23   Alexis Bienvenüe <pado@passoire.fr>  (tiny change)

	* tp/Texinfo/Common.pm (expand_today):
	Honour the SOURCE_DATE_EPOCH environment variable to get a 
	reproducible @today value for info output when it is set.
	See https://reproducible-builds.org/specs/source-date-epoch/.

2017-07-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* gnulib/m4/intlmacos.m4: Add this file, as gettextize doesn't 
	copy it.

2017-07-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.4.90
	* configure.ac: Update version.  Add dist-xz to options.

2017-07-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph: Run gnulib-tool --add-import.
	* (top-level): Run gnulib-tool --add-import.

2017-07-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/Makefile.am (wwwdoc-build): Remove commands that could
	build the "info" manual.

2017-07-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Update with various news items.

2017-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (info_find_subfile): When looking for an 
	already-loaded file, check that the names match either exactly, 
	or as an initial substring followed by a period.  Previously,
	any loaded file which had an initial substring that was the name 
	of the sought file would be accepted, which would be incorrect
	for a case like "libc.info-11" matching when it was "libc.info-1"
	that was wanted.  Vitezslav Crhonek reported that this could 
	lead to failure when following cross-references.

	* info/t/subfile-initial-match.sh: New test.

2017-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (info_get_node_with_defaults): Only use the
	directory from the current node's fullpath if this function was 
	passed a filename as an argument.

2017-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c
	(get_filename_and_nodename, info_get_node_with_defaults):
	Merge get_filename_and_nodename into caller.

2017-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (build_tags_and_nodes): Call 'skip_node_separator'
	in order not to start reading the tag table in the middle of an
	"Indirect:" string.

2017-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (info_load_file): If calling 
	'build_tags_and_nodes' didn't set the 'tags' array for the file 
	buffer, fail to load the file.
	* info/info.c (add_initial_nodes): Check if info_load_file failed.

	* info/t/malformed-split.sh: New test.

2017-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Init-inter.inc (run_ginfo): Shorten a comment.

2017-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (info_find_file): Do not convert the filename to 
	lowercase and check for it again if a file was not found.

	Note added 2017-08-30: This change was made for code 
	simplification, and not to fix anything.  The thinking behind 
	the original code was to support a case-insensitive filesystem
	that was mounted in a way that was not case-insensitive.

2017-07-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/inc-sea-bs.sh: New test.

2017-07-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/search.c (regexp_search): Call free_matches if the regex
	could be compiled, but there were no matches.  Free a string
	buffer used for displaying an error message.
	* info/session.c (info_search_in_node_internal): Do not call
	free_matches.  It could be called on uninitialised data leading
	to a crash if the regex had an error in it.  Marco Maggi reported
	a crash for incremental search when a single \ was entered.

2017-07-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (sorted_index_filter): Remove code to list files 
	created with bibtex, as then xref_files_changed requires them to 
	exist (since change on 2017-06-21) and they won't if bibtex is 
	not being used.  Report from Daniel Gerbet.

2017-07-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\unicodechardefs):
	Define U+25C7 as \diamond and remove definitions for U+25A1,
	U+2A1D, U+2201, U+2127, U+21BE, U+2290, U+22B4, and U+22B5 which 
	didn't work.  (Benno Schulenberg reported that U+25C7 didn't 
	work.)

2017-07-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@image>: Save 
	'input_perl_encoding' value on @image element.
	* tp/Texinfo/Convert/Plaintext.pm (_image_text): Use it instead
	of looking at the current value of INPUT_PERL_ENCODING.

2017-07-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi_file): Set the parent key on 
	a created 'preamble' element.

2017-07-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac (fetch_conf): Put
	all sed commands within an environment variable, 'sed_script'.
	Assign 'sed_script' from a double-quoted string, using shell 
	variables to include awkward characters.  This avoids there 
	being multiple level of quoting present which can be extremely 
	confusing, i.e., autoconf's quadrigraphs, quoting within the 
	backquoted string where sed is called, as well as sed's own 
	escaping of special characters.

	* tp/Texinfo/MiscXS/configure.ac (fetch_conf): Make the same 
	change.

2017-07-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/c-u-m-x-scroll-forward.sh, info/t/inc-sea-insensitive.sh, 
	info/t/search-split-after-index.sh, info/t/split-footnotes.sh, 
	info/t/star-note-non-whitespace.sh, info/t/tab-argument.sh, 
	info/t/xref-across-lines.sh: Quote argument to run_ginfo so that 
	quoting characters are preseved in the subshell that execs ginfo.

2017-07-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/xref-across-lines-2.sh: New test.

2017-07-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (scan_reference_label): Canonicalize the 
	whitespace in the nodename, otherwise links can't be followed if 
	the nodename is split across a line.

2017-06-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Converter.pm (_register_command_arg):
	Copy function here from Parser.pm.
	(_table_item_content_tree): Call it.

2017-06-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <menu>: Don't store
	a list of menus in 'unassociated_menus' array.
	* tp/Texinfo/Transformations.pm (_reassociate_to_node)
	(set_menus_to_simple_menu): Remove checks of 
	'unassociated_menus' array.

2017-06-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <macro expansion>:
	Add a check for the return value of _text_to_lines being empty.

2017-06-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/html_tests.t (simple_menu): Add @node and @top commands
	so that the menu is inside a node.

2017-06-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Transformations.pm (fill_gaps_in_sectioning): Call 
	Texinfo::Structuring::section_level to get sectioning level
	(used in tp/t/test_fill_gaps_in_sectioning.t).

2017-06-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_section_level),
	* tp/Texinfo/Structuring.pm (section_level): Move function to
	Structuring.pm.

2017-06-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): Do not add 'level' value
	on sectioning commands.
	* tp/Texinfo/Structuring.pm (sectioning_structure): Add 'level' 
	value on element.
	* tp/Texinfo/Convert/HTML.pm (_convert_heading_command),
	* tp/Texinfo/Convert/Text.pm (heading):
	Account for the case when 'level' is not set.
	* texi2any.pl: Remove a comment.

2017-06-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <@copying>: Removing handling
	of INLINE_INSERTCOPYING variable.  Also remove from the module 
	documentation section at the end of the file.
	(%default_customization_variables): Remove INLINE_INSERTCOPYING.
	* tp/Texinfo/Parser.pm (@variable_string_settables)
	(@obsolete_variables): Move 'INLINE_INSERTCOPYING' to 
	@obsolete_variables.
	* tp/t/plaintext_tests.t (inline_copying_inline_and_paragraph):
	Remove.
	* NEWS: Mention removal.
	* doc/texinfo.texi (Other Customization Variables) 
	<INLINE_INSERTCOPYING>: Remove.

2017-06-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_text_to_lines): Do not return an array 
	containing a single empty string if the input is an empty 
	string; instead, return a completely empty array.  This means
	that parse_texi_line does not get as far into parsing for an
	empty input.
	
2017-06-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm <root commands>: Do not associate a @part 
	command with a following sectioning command if another @part 
	command appears first.  This means there is no special support
	for @part pages following each other immediately.

2017-06-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Timeout-test.inc,
	* info/t/Init-test.inc (timeout-test): Move code to timeout the
	test to a shell function.

2017-06-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Init-inter.inc (run_ginfo): Time out test by running a 
	subshell in the background that kills the current shell inside 
	an "sh -c" command, and execing the ginfo program.  Do not use a 
	FIFO to communicate that the process has finished.

	* info/t/Timeout-test.inc: Do not use "read -t" to read from a 
	FIFO with a timeout.  Use the "wait" shell builtin to wait for
	the process to finish.

	* info/t/Init-test.inc (cleanup): Eliminate use of SUBSHELL,
	TIMED_OUT and FINISHEDFIFO variables.

2017-06-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Init-inter.inc (run_ginfo): Remove use of pgrep to get 
	PID of process.  Get PID of ginfo process by running a subshell 
	with "sh -c", printing the value of $$ (the shell PID), and then
	exec'ing the ginfo program.

2017-06-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfor/Parser.pm, tp/Texinfo/Common.pm
	(complete_indices, _complete_indices): Move function to 
	Common.pm and rename.

2017-06-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <@verbatiminclude>: Save 
	value of 'input_perl_encoding' on the element.
	* tp/Texinfo/Common.pm (expand_verbatiminclude): Use the
	saved value of 'input_perl_encoding' instead of looking at
	'INPUT_PERL_ENCODING' conf value.

2017-06-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (info_get_node_with_defaults): Remove code that
	fell back to a man page.  This got in the way of the code in
	info_get_info_help_node that fell back to info-stnd.info if 
	info.info couldn't be loaded.  Also, this code is called from 
	many places where falling back to a man page would definitely 
	not be what was wanted, so removing the manpage fallback option 
	makes the program more robust and easy to understand.
	* NEWS: Mention info will not try to fall back to a man page if
	it failed to follow a cross-reference.

2017-06-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert) <def commands>:
	Change "@tie{ }" to "@tie{}" in document strings passed to gdt.
	* tp/Texinfo/Parser.pm (_parse_texi) <closing a brace command>:
	Don't check if we are being called from gdt and the closed 
	command was @tie.

2017-06-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): Remove debugging code
	to dump parse tree every time a new line is read.

2017-06-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Increase version to 6.4dev.  Remove "dist-xz" 
	option.

2017-06-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Change some instructions and remove some 
	others.

2017-06-23  Gavin Smith  <gavinsmith0123@gmail.com>

	6.4 release.
	* configure.ac, NEWS, util/texi2dvi, util/texi2pdf,
	doc/refcard/txirefcard.tex: Version number.
	* configure.ac (TEXINFO_DTD_VERSION): Change to 6.4.

2017-06-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (sorted_index_filter) <latex input>: Don't
	print the name of a *.fls recorder file, as then 
	'xref_files_changed' would require one to exist, which it may 
	not.

2017-06-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (xref_files_changed): Call 'sorted_index_files'
	to get a list of the sorted index files that should exist, and
	if any of them are missing, go around another cycle of 
	processing.

2017-06-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (filter_files): Comment changed.
	(add_all_filter): Do not print the argument of the file, so 
	using this with filter_files only prints secondary files.
	(add_all_filter, sorted_index_filter): Rename.
	(sorted_index_files): New function.
	(all_files): Use sorted_index_files instead of add_all_filter.

	No functional changes intended.

2017-06-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/TODO: Mention that some checks for incorrect nesting
	is done already.

2017-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Report.pm (gdt): Set an 'in_gdt' flag
	on the parser.
	* tp/Texinfo/Common.pm (%default_parser_state_configuration):
	Allow 'in_gdt' as a config value.
	* tp/Texinfo/Parser.pm (_parse_texi): Avoid issuing an error
	message in a couple of situations when being called from 'gdt'.
	(It would be thrown away anyway.)  This avoids the need for the 
	error message to be translated, so is slightly faster.

2017-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Report.pm (gdt): Remove code dealing with a
	'translated_paragraph' argument.  Condense code dealing
	with subroutine arguments to a single line.

2017-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm: Remove check for UTF-8 locale 
	that runs "locale -a".
	xspara_init in tp/Texinfo/Convert/XSParagraph/xspara.c does its 
	own check which should be enough.

2017-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS.pm: Remove check for UTF-8 locale, as
	"locale -a" can be slow to run (about 4.5 seconds on my computer 
	after disk caches are cleared), and tp/Texinfo/MiscXS/misc.c may
	not need it.  (Reverses change on 2017-03-12.)

2017-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.3.92
	* configure.ac: Update version.

2017-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (find_node_from_tag): Remove some unused 
	variables.

2017-06-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac,
	* tp/Texinfo/Convert/XSParagraph/Makefile.am,
	* tp/Texinfo/MiscXS/configure.ac,
	* tp/Texinfo/MiscXS/Makefile.am:
	Change name of conditional from HOST_IS_WINDOWS to 
	HOST_NEEDS_NO_UNDEFINED.  Suggestion from Ken Brown.

2017-06-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* Texinfo/Convert/XSParagraph/configure.ac,
	* Texinfo/MiscXS/configure.ac: Check for cygwin when setting 
	HOST_IS_WINDOWS conditional.

2017-06-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac,
	* tp/Texinfo/MiscXS/configure.ac: Copy code for HOST_IS_WINDOWS
	Automake conditional from top-level configure.ac.

	* tp/Texinfo/MiscXS/Makefile.am,
	* tp/Texinfo/Convert/XSParagraph/Makefile.am: Only put 
	-no-undefined -lperl in AM_FLAGS on MS-Windows systems.
	Li Er reported that linking against libperl is not necessary,
	and it won't work if perl is not built with a shared libperl
	library.

2017-06-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex
	(\dotheinsertindexentrybox, \dotheinsertentrybox)
	(\dotheinsertindexentryboxwithpenalty, \dotheinsertentryboxwithpenalty)
	(\insertindexentrybox, \insertentrybox)
	(\entryindexbox, \entrybox): Rename.

	(\dotheinsertentryboxwithpenalty): Simplify by not using 
	\aftergroup.  Move constant string definition outside of macro.
	Remove useless \long prefix from definition.

2017-06-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\finishentry, \dotheinsertindexentrybox):
	Use a control sequence \dotheinsertindexentrybox instead of 
	calling \insertindexentrybox and \entrywidowpenalty.  Do not 
	open a new group and then use \entrywidowpenalty to close the 
	group, (\entrywidowpenalty could be \let either to \egroup or 
	our macro \indexwidowpenalty which itself closed the group), as 
	this requires the reader of the code to understand the 
	definition of \entrywidowpenalty to follow what is going on.  No 
	functional changes intended; this change is for clarity only.
	(\entrywidowpenalty, \indexwidowpenalty): Remove.
	(\dotheinsertindexentryboxwithpenalty): Code from 
	\indexwidowpenalty moved here.  This is one possible value
	for \dotheinsertindexentrybox.
	(\printindex): Use \dotheinsertindexentryboxwithpenalty for
	\dotheinsertindexentrybox.  Do not set a value for 
	\entrywidowpenalty.

	(\printindex, \indexinputprocessing): Split code that checks the 
	first token of the next line into a new macro.  This should 
	improve clarity.

2017-06-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (scan_reference_label): Save filename
	and nodename components of the label separately.
	(scan_node_contents): Move code dealing with xrefs ending in
	"::" into this function out of 'scan_reference_target'.  Do
	not call 'info_parse_node' to get the filename and nodename
	of the target from the 'label' field; use the data that was
	already saved in 'scan_reference_label' instead.  Add a comment
	about possibly ill-formed xrefs.

	This change is to simplify the code slightly, and shouldn't
	result in any significant functional changes.

2017-05-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (info_short_help): Move right-hand column of 
	descriptions so that a word in an example in the left-hand 
	column doesn't line up with the edge of the right-hand column.

2017-05-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (info_short_help): Change "options" to 
	"frequently-used options" and remove documentation of several 
	options: --dribble, --raw-escapes, --no-raw-escapes, --restore,
	--strict-node-location, --vi-keys, --debug.  (All of these are
	still documented in full in the manual.)  Only show one example
	of loading a manual for the Info program.  Reformat one example.
	Remove a blank line from the output.

	* info/t/help.sh: Update.

2017-05-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@code): Fix grammar.  Change "variable such 
	as" to "variables, such as", and add commas around other uses of
	"such as".

2017-05-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@emph @strong): Make output of example 
	Texinfo code consistent with the input, as was the case before
	2012-09-06.  Inconsistency reported by Matan Nassau.

2017-05-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (tree_search_check_node) <no more matches>: Add
	the "Top" node to the window history, instead of using a
	menu entry in the current node (as the current node may not
	have a menu).  Otherwise, if a tree search was rooted at a node
	without a menu, 'active_menu' would be left with an invalid 
	value, leading to a crash if it was used again when the user did 
	a 'tree-search-next' command.  Report from Benno Schulenberg.

2017-05-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (info_short_help): Remove full stops from the ends 
	of lines describing options.

2017-05-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_xref_item): Give an error message if
	there are no cross-references in the node, to be consistent
	with 'menu-item'.  This happened in Texinfo 5.2 and earlier.
	Report from Benno Schulenberg.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Custom Key Bindings): Correct '\xr' to 
	'^xr'.  Report from Benno Schulenberg.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.3.91.
	* configure.ac: Update version.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/window.c (window_delete_window): Call 'free_matches' and 
	free 'search_string' field in order to avoid a memory leak.
	* info/t/close-window-after-search.sh: New test.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_search_in_node_internal): Call
	free_matches even after a failing search in order to avoid a 
	memory leak.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS (info): Add items about setting style variables and 
	--vi-keys.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infodoc.c (replace_in_documentation): Remove code
	setting variables whose value is no longer used anywhere.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS (info): Add item about the handling of Info files
	with CR-LF line endings.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infodoc.c (replace_in_documentation): Use functions 
	operating on a struct text_buffer object to keep track of
	whether there is enough space in the output buffer.
	Benno Schulenberg reported that there would be an out-of-bounds
	write when a message reporting an index match was output if the
	binding of ',' had been changed away from 'next-index-match'.

2017-05-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infodoc.c (replace_in_documentation): Explicitly compare 
	a pointed-to character to the only character value it can be 
	equal to other than null, for clarity.  Move code near other 
	code that uses the same variables.  Change comment for a special
	case to make it easier to ignore, and move the default case 
	before the conditional for the special case.  No functional 
	changes.

2017-05-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infodoc.c (replace_in_documentation):
	Remove code to handle numbers before command name, like
	"\\[6next-line]" meaning "M-6 M-x next-line", as it is not used 
	anywhere, and this simplifies the code.

2017-05-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/cr-tag-table.sh: Remove test.
	* info/t/inc-sea-bs-after-strip-cr: Remove test.

2017-05-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c, info/filesys.c (convert_eols): Function moved 
	between files.  Change arguments and modify text in place.  Do
	not realloc the buffer to make it smaller.
	* info/filesys.c (filesys_read_info_file)
	[__MSDOS__, __MINGW32__]: Call convert_eols and realloc buffer.
	This reinstates call that was removed on 2014-10-24, except now 
	it is MS-DOS/Windows only.

	* info/nodes.c (find_node_from_tag): Remove most of the code
	here that deals with conversion of end-of-lines, including
	code updating pointers to node contents in currently-displayed 
	windows.
	* info/nodes.c (adjust_nodestart): Do not take extra argument 
	giving the slack to search for a node.
	* info/nodes.h (N_EOLs_Converted): Remove.

	This reverses changes made on 2014-12-29.  Although there has 
	not been a report of any problems with this code, it is too 
	complicated and difficult to understand for what it achieves 
	(allow reading Info files whether CR bytes before LF bytes are 
	counted in the tag table or not).  It updates global data across 
	the program which could cause problems in the future if there 
	are changes elsewhere in the program.

2017-05-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_next_text):
	Do not strip \r from end of line.  This reverses the change
	on 2017-04-29.
	* tp/tests/test_scripts/coverage_formatting_cr.sh,
	* tp/tests/coverage (formatting_cr): Remove test.
	texi2any does not support CR LF line endings on GNU/Linux.
	* tp/tests/coverage/formatting_cr.texi: Removed.

2017-05-17  gettextize  <bug-gnu-gettext@gnu.org>

	* gnulib/m4/gettext.m4: New file, from gettext-0.19.8.
	* gnulib/m4/iconv.m4: Upgrade to gettext-0.19.8.
	* gnulib/m4/lib-ld.m4: Upgrade to gettext-0.19.8.
	* gnulib/m4/lib-link.m4: Upgrade to gettext-0.19.8.
	* gnulib/m4/lib-prefix.m4: Upgrade to gettext-0.19.8.
	* gnulib/m4/nls.m4: New file, from gettext-0.19.8.
	* gnulib/m4/po.m4: New file, from gettext-0.19.8.
	* gnulib/m4/progtest.m4: New file, from gettext-0.19.8.

2017-05-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* gnulib: run gnulib-tool to import 'gettext-h' module instead
	of 'gettext' module, as the 'gettext' module is deprecated in 
	Gnulib. run gettexize again to put the files back.

2017-05-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Node Commands) <global-prev-node>: Change 
	'forward or down' to just 'forward'.

2017-05-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Node Commands) <goto-node>:
	Re-write, describing completion and selection of nodes in other 
	files separately.  The old text implied that you could select a 
	node in another file without using a filename if that file had 
	been loaded already in the current Info session.
	Benno Schuleberg noticed that the text contained the phrase
	"the Info file of the other file", which was wrong.

2017-05-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Node Commands) <global-next-node>: Change 
	'forward or down' to just 'forward'.  Explain that the menu is 
	checked before the Next pointer, rather than the other way 
	around as it incorrectly stated.  Benno Schulenberg reported 
	that this was documented to happen the wrong way around.  In 
	addition, correct description of what happens when neither a 
	menu or a Next pointer is present.

2017-05-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Mention to always run change_perl_modules.sh
	even if it is a pretest release, as this is needed now there is
	module version checking.

2017-05-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infomap.c (default_vi_like_info_keys),
	* doc/info-stnd.texi (Custom Key Bindings):
	Bind 'b' to 'scroll-backward-page-only' instead of 
	'scroll-backward' for consistency with f, C-f and C-b.

2017-05-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (point_backwards_word): Remove unused variable.

2017-05-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_down_line, info_up_line): Call
	_scroll_backward and _scroll_forward with argument so that it
	possible for scrolling to change node, depending on the value
	of 'scroll-behaviour'.
	(mouse_event_handler): Call _scroll_backward and _scroll_forward
	instead of info_down_line, info_up_line so that mouse scrollwheel
	scrolling continues to be confined to an single node.
	* NEWS: Mention that 'down-line' and 'up-line' are affected by
	the value of 'scroll-behaviour'.

2017-05-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (infokey format): Add missing documentation 
	for 'C-x p' for 'prev-node' under --vi-keys.  Correct bindings
	of 'g' and 'G' to 'first-node' and 'last-node' respectively.
	* info/infomap.c (default_vi_like_info_keys): Re-add 'C-x n' for
	'next-node' (removed accidentally on 2014-06-10).

	Reports from Benno Schulenberg.

2017-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\xrdef): Place a \gdef using a \csname
	within a group to avoid save stack build-up for long aux files.

2017-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/indices.c (info_next_index_match): Remove full stop from 
	end of message.  (Missed on 2017-05-13.  Report from Benno 
	Schulenberg.)

2017-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/sesson.c (point_backward_char): Change return type to int
	and return 0 on failure.  Make sure we always go backwards.
	(point_backward_word): Use point_backward_char to simplify code.

	This continues the fix of the bug of the point getting stuck
	at the start of a node (partially fixed on 2017-05-11).

2017-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Xref Commands, Parts of an Xref)
	(Selecting Xrefs): Change 'cross reference' to 'cross-reference'.

2017-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Variables) <scroll-last-node>: Remove full 
	stop from a quoted message.

2017-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/window.c (calculate_line_starts, window_compute_line_map):
	Add a comment and cast return value of a function to void to 
	make it clear that the return value is being discarded.

2017-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/indices.c (info_index_search, info_next_index_match),
	* info/indices.h (APROPOS_NONE),
	* info/info-utils.c (copy_converting),
	* info/info.c (get_initial_file, add_initial_nodes, init_messages),
	* info/infodoc.c (describe_key, info_where_is),
	* info/m-x.c (info_execute_command),
	* info/session.c
	(menu_digit, info_menu_or_ref_item, info_follow_menus)
	(forward_move_node_structure, backward_move_node_structure)
	(info_view_file, dump_nodes_to_file, info_print_node)
	(info_toggle_regexp, info_search_internal)
	(tree_search_check_node, tree_search_check_node_backwards)
	(wipe_seen_flags, dispatch_error): Remove full stop from end
	of messages given to the user.  Inconsistent use of full stops
	reported by Benno Schulenberg.

2017-05-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (infokey format): Correct documentation of
	key binding for 'select-reference-this-line' command under --vi-keys.

2017-05-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (point_forward_char): Make sure that we always 
	advance the position of the point on the display.  The point 
	could get stuck at the very start of a node if the 'nodeline' 
	variable was set to 'pointers'.  Report from Benno Schulenberg 
	on 2017-04-27.

2017-05-03  Jason Hood  <jadoxa@yahoo.com.au>

	Allow style variables to be described and set.
	(Patch originally submitted 2017-01-29 on bug-texinfo.)

	* info/variables.c (rendition_variable): Remove.
	(rendition_choices): New variable.
	(info_variables): Use rendition_choices for the style variables.
	(rendition_to_string): New variable.
	(describe_variable, set_variable, set_variable_to_value): 
	Special handling for style variables.

2017-05-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: When checking for Perl XS support, set
	TEXINFO_XS environment variable in order to get more
	information printed (and also to negate any pre-existing
	definition for this variable).

2017-05-01  Eli Zaretskii  <eliz@gnu.org>

	* tp/Texinfo/MiscXS/misc.c (xs_unicode_text): Fix a typo in a
	comment.

2017-04-30  Eli Zaretskii  <eliz@gnu.org>

	* info/terminal.c [HAVE_TERMCAP_H]: Don't take this branch for
	MinGW, as some MinGW ports of ncurses install termcap.h in
	addition to ncurses/termcap.h.

	* tp/Texinfo/Convert/XSParagraph/xspara.c [_WIN32]: Include
	ctype.h, to work around MinGW compilation errors due to Gnulib
	replacement of wint_t type.
	(iswspace, iswupper) [_WIN32]: Rename to call w32_iswspace and
	w32_iswupper, to avoid conflicts with system headers, due to
	Gnulib replacement of wint_t type.
	(iswupper) [_WIN32]: Copy argument from wint_t variable to a
	wchar_t variable, which is what GetStringTypeW expects.

	* tp/Texinfo/MiscXS/misc.c [_WIN32]: Include ctype.h, to work
	around MinGW compilation errors due to Gnulib replacement of
	wint_t type.
	(xs_unicode_text): Use dTHX to avoid perl error about undefined
	"my_perl" due to Perl's 'malloc' being used.

2017-04-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_next_text): Strip \r from end of line.
	This produces changes in the results of the
	test_scripts/coverage_formatting_cr.sh test.  (Eli Zaretskii
	reported that the results of this test were different under 
	MinGW on MS-Windows.)

2017-04-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi_regex),
	* tp/Texinfo/MiscXS/misc.c (xs_parse_texi_regex): Do not
	consider any whitespace other than space, tab or newline
	to be a possible Texinfo command.

2017-04-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (tree_search_check_node)
	(tree_search_check_node_backwards): Adjust failure message 
	according to whether a search match was previously found.  
	Suggestion by Benno Schulenberg.

2017-04-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/display.c (display_process_line): Avoid possibly
	dereferencing a null pointer.  This could happen if the 
	'match-rendition' value was set to an empty value in .infokey.
	Report by Benno Schulenberg.

2017-04-26  Benno Schulenberg  <bensberg@justemail.net>  (tiny change)

	* info/session.c (info_tree_search): Mark a message for 
	translation and add note for translators.

2017-04-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_search_internal): Search starting node at 
	most twice in order to be able to find matches before starting 
	offset in starting node.  Otherwise searches do not wrap around 
	the first and last nodes in a file if all the matches are in a 
	single node.  Report from Benno Schulenberg.

2017-04-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/tests/texi2dvi_empty_text.sh: Remove test, as it does not
	work if TeX is not installed.  Report by Assaf Gordon.

2017-04-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.3.90.
	* configure.ac: Update version.  Add dist-xz to options.

2017-04-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* texindex/ti.twjr,
	* info/info.c,
	* tp/texi2any.pl: Copyright 2017.

2017-04-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* po/POTFILES.in: Remove info/tilde.c and add 
	tp/Texinfo/Convert/Text.pm.

2017-04-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Macro Details): Mention possibility of 
	interchanging a macro and a conditional.

2017-04-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* Makefile.am (po-check): Change parsetexi/ to tp/parsetexi.

2017-04-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_complete_indices): New function.
	* tp/Texinfo/Structuring.pm (do_index_keys): Move code from
	do_index_keys to _complete_indices to complete index entries for 
	@defop and similar, and also code to set the 'in_code' value for 
	index entries.
	* tp/Texinfo/Parser.pm (_parse_texi): Call it after parsing
	the whole input.
	* tp/Texinfo/Structuring.pm, tp/Texinfo/Parser.pm
	(_non_bracketed_contents): Move function to Parser.pm.

	* tp/texi2any.pl: Do not call do_index_keys.  This avoids a 
	duplicate error message for an empty index entry sort key.

2017-04-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/maintain/regenerate_cmd_tests.sh: In test scripts generated 
	in tp/tests/test_scripts directory, include a comment saying
	it is a generated file

2017-04-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XSLoader.pm: Add more debugging messages.

2017-04-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Inserting Quotation Marks): Include sort 
	keys for two index entries (< and <<).

2017-04-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* Makefile.am, README-hacking: Remove mention of 'long-checks',
	as these don't exist anymore.

2017-04-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Makefile.am: Correct the name of an included file in a 
	comment.

2017-04-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/maintain/regenerate_docstr.sh: Use Makefile in build 
	directory to build .gmo files.  Report from Hans Bernhard-Bröker.

2017-04-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS.pm: Call Texinfo::XSLoader::init with the
	real name of the package with the XS routines.

2017-04-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm,
	* tp/Texinfo/Parser.pm,
	* tp/Texinfo/Convert/Unicode.pm:
	Move calls to Texinfo::XSLoader::override to a custom 'import'
	method, wrapping the one from the Exporter module, instead of 
	occurring inside a UNITCHECK block.  This is to try to work
	on older versions of Perl where UNITCHECK didn't exist.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph: Run gnulib-tool --add-import.
	* (top-level): Run gnulib-tool --add-import.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* po_document/LINGUAS: Add cs, da.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Update instructions for updating translation
	files.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac, README-hacking: Change instructions for
	upgrading gettext.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Add news items.

2017-04-14  gettextize  <bug-gnu-gettext@gnu.org>

	* gnulib/m4/progtest.m4: Upgrade to gettext-0.19.8.
	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.19.8.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\enablebackslashhack, \fixbackslash):
	Revert to usual definitions after a line command parsed with
	\parsearg.  This led to an error when a @synindex command was
	used near the start of a file, reported by Mathieu Lirzin.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_convert_enumerate_command): 
	Handle case of labelling list entries with letters, using 'type' 
	and 'start' attributes on the <ol> tag.  This worked in the 
	makeinfo implementation from Texinfo 4.13 and earlier.  Report
	from Andreas Schwab.

2017-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_convert_enumerate_command):
	Check if the 'enumerate_specification' is defined, rather than
	true, as if the value is '0', this is considered to be false.
	Enumerated lists starting at 0 broken reported by Andreas Schwab.

2017-04-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (match_in_match_list): Take a argument to say
	which direction to search in, instead of using the order of the
	start and end arguments.
	(info_search_in_node_internal): Update, and make sure that both
	the start and end of the search area are after the 'body_start'
	of the node.

2017-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/search.c (match_in_match_list): Use helper functions
	at_end_of_matches and match_by_index.

2017-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_search_in_node_internal): Always save
	the updated match state for a window.

2017-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/search.c (match_in_match_list): Combine code for 
	searching backwards and forwards, and do not get all the matches 
	in the node if searching backwards.

2017-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/file-index-colons.sh: New test of reading an index 
	entry with a colon.

2017-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/display.c (display_update_one_window): Update modeline 
	before anything else.

2017-04-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (scan_reference_label): If inside an index 
	node, scan forward to the last colon on the line to get the
	index entry, instead of the first colon.

2017-04-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (do_index_keys): Strip '-', '\',
	'<', '@' if there has been @set txiindexhyphenignore,
	txiindexbackslashignore, txiindexlessthanignore,
	or txiindexatsignignore respectively.

2017-04-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (%command_ignore_space_after): Add 
	'sortas', in order to ignore spaces after its argument.

2017-04-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@sortas>: Check if inside 
	index entry differently.

2017-04-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/09indices.t (explicit_sort_key): New test.

2017-04-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <close brace, @sortas>: Set 
	'sortas' value on index entry element.
	(_enter_index_entry): Set 'sortas' value on index entry from 
	'extra' value on element.

	* tp/Texinfo/Structuring.pm (_do_index_keys): Check for 'sortas' 
	value on index entry and, if present, use that as the sort key 
	instead of using the text of the index entry.

	* tp/Texinfo/Parser.pm (%in_index_commands): New hash,
	containing 'sortas'.
	(_parse_line_command_args) <@defindex, @defcodeindex>: Use 
	%in_index_commands instead of %in_simple_text_commands for valid 
	nestings hash.
	(%no_command_cmds): Add 'sortas'.
	(%in_full_text_commands, %full_text_commands): Remove 'sortas'.

2017-03-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Test of index sort keys): New example.

2017-03-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\smallbook, \smallerbook, \afourpaper)
	\afivepaper): Remove paper-size-specific values of \hfuzz.  Set 
	\hfuzz at top-level to 1pt.  Suggestion from Karl Berry.

2017-03-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/search.c (at_end_of_matches): Avoid calling 
	'extend_matches' if not necessary.

2017-03-21  Gavin Smith  <gavinsmith0123@gmail.com>

	Implement lazy search match lists.

	* info/window.h (MATCH_STATE): Add 'regex' field of type regex_t.
	Add fields 'match_alloc', 'finished', 'buffer' and 'buflen'.
	* info/search.c (free_matches): Update for new fields.
	(regexp_search): Do not call regfree on regex_t variable; copy
	it to MATCH_STATE object instead.  Set new fields on MATCH_STATE.
	(extend_matches): New function, split out from regexp_search.
	(regexp_search, match_in_match_list, match_by_index)
	(at_end_of_matches): Call extend_matches as necessary.

2017-03-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/search.c (copy_binding): Remove this function, which is
	not used much.  Remove comment before this function.
	* info/nodes.c (get_nodes_of_tags_table): Use struct assignment 
	to a local struct instead of copy_binding.

2017-03-21  Gavin Smith  <gavinsmith0123@gmail.com>

	Access list of search matches through accessor functions only.

	* info/window.h (MATCH_STATE): New struct type.
	(WINDOW): Use it for new field 'matches', replacing previous 
	'matches' and 'match_count' fields.

	* info/search.c (match_by_index, free_matches, matches_ready)
	(at_end_of_matches):
	New functions.
	* info/session.c (info_search_in_node_internal, put_node_in_window)
	(info_search_internal, info_clear_search, incremental_search),
	* info/window.c (window_set_node_of_window, tree_search_check_node),
	* info/display.c (display_process_line): Use them.

	* info/session.c, info/search.c (match_in_match_list): Move 
	function to search.c, and take MATCH_STATE argument.
	* info/search.c (regexp_search): Return result via a pointer to 
	a MATCH_STATE.

	* info/display.c, info/search.c (decide_if_in_match): Move to
	search.c.
	* info/display.c (matches): Variable is of type MATCH_STATE *.

	This opens the way to not calculating an entire list of matches
	in one go, which may take a long time if there are too many (thus
	leading to the need for the 'min-search-length' variable).

2017-03-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (HTML Customization Variable) <WORDS_IN_PAGE>:
	Add index entry "Navigation footer" to make this information 
	easier to find.

2017-03-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c: If not loading any nodes at all, and outputting
	an error message, exit with a non-zero status.

2017-03-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Invoking Info): Mention combination of 
	--all and --index-search.
	* NEWS: Mention this feature.

2017-03-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (virtual_index_p): Remove variable.
	(long_options): Remove "--virtual-index".
	(main): Don't check for --virtual-index option.  Use the
	combination of --index-search and --all for this functionality.

2017-03-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/ModulePath.pm.in ($VERSION): Define variable.

2017-03-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl: Compare version of this file and the version
	of loaded modules.  If they differ, abort.

2017-03-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp: Run maintain/change_perl_modules.sh.

2017-03-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS.pm: Check for UTF-8 locale, copied from
	tp/Texinfo/Convert/Paragraph.pm.
	* tp/Texinfo/XSLoader.pm (init): Allow argument with name of
	XS module to be undefined.

2017-03-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Cursor Commands): Move text out of 
	footnote into main text.
	(Searching Commands): Add a missing ')'.

2017-03-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Update with news since last release.

2017-03-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (texi2any Environment Variables): New node.
	Document TEXINFO_XS.

2017-03-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\begindoublecolumns): Reduce \vsize to
	account for what has appeared on the page so far.
	(\doublecolumnout): Do not subtract the height of what has
	appeared on the page so far before dividing \vsize in two.
	Add it back on again before exiting the output routine.
	(\enddoublecolumns): Restore \vsize from \txipageheight.

	This fixes a problem with the formatting when the index material 
	would not fit on the page after the partial page, but there was
	not enough of it to make the output routine (\doublecolumnout)
	fire before the output routine was changed to \balancecolumns.
	Hence \balancecolumns was caused to balance too much material 
	and would output a box that was too tall for the page.

2017-03-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Medium length index): New test
	of index formatting.

2017-03-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\doublecolumnout, \balancecolumns):
	Use \PAGE instead of literal 255 for the box number.

2017-03-06  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo-ja.tex: Fix error message for XeTeX.

2017-03-05  Mathieu Lirzin  <mthl@gnu.org>  (tiny change)

	* util/tests/texi2dvi_empty_text.sh: New test.
	* util/Makefile.am (AM_TESTS_ENVIRONMENT): Use 'texinfo.tex'
	from "$(top_srcdir)/doc".

2017-03-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\internalpagesizes) <dvi output>: Output
	a \special setting the page size.  This has the effect that a
	completely empty page can be output if a document has nothing in
	it.  This changed on 2015-08-25 when index files were no longer 
	opened automatically.  This made a test in the Automake 
	distribution fail, reported by Mathieu Lirzin.

2017-03-04  Thien-Thi Nguyen  <ttn@gnu.org>  (tiny change)

	* doc/texinfo.texi (@noindent): Spell "@noindent" correctly.

2017-02-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infomap.c (default_vi_like_ea_keys): Add ESC as an
	abort key, and remove bindings ESC 1 ... ESC 9 that conflict
	with this.

2017-02-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infomap.c (default_vi_like_ea_keys): Interchange the 
	meanings of M-h and M-l to match line editing commands of GNU 
	Less.  (The former bindings appear to have been in place since 
	the beginning, so likely no-one has ever used them).
	* doc/info-stnd.texi (infokey format): Interchange M-h and M-l
	in sample infokey file.

2017-02-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Cursor Commands, Scrolling Commands)
	(Node Commands, Selecting Xrefs, Miscellaneous):
	Remove documentation of --vi-keys key bindings, except for
	M-1 ... M-9 as these can't be specified in .infokey.

2017-02-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (infokey format): Document the --vi-keys 
	key bindings here.
	(Invoking Info) <--vi-keys>: Refer to 'infokey format' node.
	(Miscellaneous Commands) <get-info-help-node>: Don't say that
	info.texi is distributed with GNU Info.

2017-02-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (forward_move_node_structure) 
	(backward_move_node_structure): Don't do anything for a man page.

2017-02-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/tilde.c (tilde_expand): Delete function, as it is not 
	actually called anywhere.
	(tilde_additional_prefixes, tilde_additional_suffixes)
	(tilde_find_prefix, tilde_find_suffix): Remove.

2017-02-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/tilde.c (tilde_additional_prefixes, tilde_additional_suffixes):
	Declare as static arrays, as they are not set anywhere else.

2017-02-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/tilde.c (tilde_expansion_failure_hook): Remove unused 
	variable.
	(tilde_expand_word): Do not look at tilde_expansion_failure_hook.

2017-02-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/tilde.c [TEST] (main, xmalloc, xrealloc): Remove.

2017-02-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/echo-area.c (initialize_input_line): Don't consider
	possibility that the prompt argument is null.  This removes the
	appearance that we call 'strlen' on a pointer when it could be 
	null.  (Report from Hans-Bernhard Bröker.)
	(info_read_in_echo_area): Don't mention the possibility of a 
	null prompt argument in a comment.
	* info/variables.c (read_variable_name): Declare as static.

2017-02-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infodoc.c (replace_in_documentation): Remove redundant 
	assignment.  (Report from Hans-Bernhard Bröker.)

2017-02-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/m-x.c (info_execute_command): Remove code printing an 
	error message that would use a freed pointer.  (It is not 
	actually executed because info_read_completing_in_echo_area will 
	not return anything outside the list of permissible completions.)
	(Report from Hans-Bernhard Bröker.)

2017-02-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_search_internal): Initialize some 
	variables so they do not appear to be used uninitialized.  (They 
	were not actually used uninitialized because if they were not 
	initialized, the loop where they were used was broken out of 
	beforehand.)  (Report from Hans-Bernhard Bröker.)

2017-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_intuit_options_node): Do not free a 
	pointer to a node record if following a menu entry to the next 
	node failed.  (Report from Hans-Bernhard Bröker.)

2017-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (add_initial_nodes): Avoid a condition on an 
	uninitialized value.  (Report from Hans-Bernhard Bröker.)

2017-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/window.c (window_change_window_height): Simplify some 
	conditions to avoid appearing to possibly dereference a pointer
	after it has been checked for being null.
	(Report from Hans-Bernhard Bröker.)

2017-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/search.c (skip_line): Remove unused function (which had a
	useless null pointer check in it.) (Report from Hans-Bernhard Bröker.)

2017-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/indices.c (next_index_match): Return a value instead of
	passing a pointer to a value to be set so that it is clear that
	calling code does not depend on an uninitialized value.  All 
	callers updated.  (Report from Hans-Bernhard Bröker.)

2017-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/display.c (display_update_one_window): Remove a useless
	check of a null pointer.  Report from Hans-Bernhard Bröker, 
	found using static code analysis with clang.

2017-01-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/tag.c (tag_expand): Take a pointer as an argument 
	pointing to the end of the buffer that is being processed, and 
	check against this pointer to make sure we don't read too far.  
	Invalid read reported by Hanno Böck.

2017-01-29  Jason Hood  <jadoxa@yahoo.com.au>

	* info/pcterm.c
	(norm_attr, inv_attr, xref_attr, current_attr): Define as WORD 
	instead of SHORT.
	(w32_info_prep): Enable underline, if available.
	(highvideo): Invert the normal foreground intensity, instead of
	just setting it.
	(normvideo): Remove underline attribute.  Use the normal
	intensities, instead of just removing them.
	(blinkvideo): Invert the normal background intensity, instead of
	using highvideo.
	(underline): New function.
	(textcolor, textbackground): Preserve underline attribute.
	(pc_begin_underline, pc_end_underline): Use underline if it is
	available, instead of the colour blue.
	(convert_color, pc_set_fg_color, pc_set_bg_color): Use the 
	normal intensities.
	(pc_initialize_terminal): Use the normal background for 
	'xref_attr', instead of black.  Support underline in 
	INFO_COLORS.  Really end all modes, not just standout.

	* info/terminal.c (terminal_begin_blink): Use
	'terminal_begin_blink_hook'.

2017-01-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_init): Remove
	error message printed if a UTF-8 locale couldn't be found, so
	that we fall back to the pure Perl module.  This error message
	caused tests comparing the output on standard error to fail on 
	systems where a UTF-8 locale couldn't be found.  Reported by
	Michael Deutschmann for uClibc with locales compiled out.

2017-01-29  Jason Hood  <jadoxa@yahoo.com.au>

	* info/echo-area.c (pause_or_input) [__MINGW32__]: Add a
	working implementation of this function, allowing echo area 
	messages to be seen.
	* info/pcterm.c (gettextinfo):  Windows 10 can now apparently 
	seek console input, so just use GetConsoleMode to determine 
	that.
	(pc_initialize_terminal) [_WIN32]: Sets the 'term_??'
	definitions for KEY_HOME, KEY_END (and KEY_INSERT), allowing 
	Home and End to be used in the echo area (rather than having to
	explicitly define 'M-<' and 'M->').
	(w32_our_tty): Shorten function.

2017-01-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (scan_node_contents): Use 'strncmp' instead 
	of 'memcmp' when checking for "* Menu:" string to avoid possibly 
	looking past the end of the file buffer, detected with 
	'-fsanitize=address' passed to gcc.  Invalid read reported by 
	Hanno Böck.

2017-01-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (scan_reference_label): Properly check 
	return value of 'read_quoted_string' to avoid reading past the 
	end of the buffer.  Invalid read reported by Hanno Böck.

2017-01-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (adjust_nodestart): Check that both the start and 
	end of the region where we search for the node separator are
	within the file buffer, to avoid invalidly reading memory in 
	case the file tags table had an incorrect offset.  Invalid read
	reported by Hanno Böck.

2017-01-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (get_tags_of_indirect_tags_table): Check if 
	'tags' field of file buffer record is null.  This avoids 
	dereferencing a null pointer.  (Report from Hanno Böck.)

2017-01-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_file_header_information):
	Place name of manual in parentheses after the name of the page, 
	instead of before it.  This is so that if several pages from a 
	single manual are displayed in separate browser tabs, the user
	will be able to distinguish them if only part of each page title 
	is shown in each tab.
	Suggestion from Bryan Ferris <saffronsnail@hushmail.com>.

2017-01-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (build_tags_and_nodes): Check that a buffer 
	offset isn't 0 before subtracting 1 from it.  This is to avoid 
	reading outside allocated memory for malformed input.  (Report 
	from Hanno Böck.)

2017-01-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (build_tags_and_nodes): Simplify code by moving 
	code inside a 'while' loop up one level, as the loop never 
	executes more than once.

2017-01-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (read_quoted_string): If no 177 byte is
	found to close a string, return 0 as intended.  This is intended 
	to avoid reading past the end of allocated memory, which could 
	happen for malformed input.  (Hanno Böck, bug-texinfo 2016-10-18.)

2017-01-21  Jason Hood  <jadoxa@yahoo.com.au>  (tiny change)

	* info/infomap.c (fetch_user_maps) [__MINGW32__]: Try to get
	home directory from value of 'USERPROFILE' environment variable.

2017-01-21  Jason Hood  <jadoxa@yahoo.com.au>  (tiny change)

	 * doc/info-stnd.texi (Colors and Styles): Correct "nocolour" to 
	 "bgnocolour".

2017-01-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/man.c (xrefs_of_manpage): Check that names of man pages
	only contain certain characters, and don't allow "0" as the 
	section number.  This reduces the chance of incorrectly
	identifying text in a man page as a cross-reference.

2017-01-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/man.c (xrefs_of_manpage): Fix code finding end of the
	name of a man page (broken on 2016-10-09).

2017-01-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/run_parser_all: Include ${srcdir} when replacing
	"@PATH_SEPARATOR@" so that test will work when run out-of-source
	(used only in tp/tests/sectioning/tests-parser.txt).  Include 
	$srcdir/$testdir as well as $test dir when running texi2any.pl.

2017-01-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/configure.ac: Remove calls to gl_EARLY and 
	gl_INIT.  (Report from Hans Bernhard Bröker.)

2017-01-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Open or close group in a macro): 
	More examples with @comment.
	(Braceless at end of line) New section.

2017-01-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm (import): New function to
	export symbols.  Set it in the symbol table of the paragraph 
	formatting module.
	* tp/Texinfo/XSLoader.pm (init): Return name of module that was 
	loaded as a string.  Override module the same way regardless of
	whether it is the XS or non-XS module that was loaded.
	* tp/t/paragraph.t, tp/Texinfo/Convert/Plaintext.pm,
	tp/Texinfo/Convert/Info.pm: Do not import symbols from 
	Texinfo::Convert::Paragraph explicitly.

2017-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (new_formatter): Call 
	Texinfo::Convert::Paragraph::new directly instead of using 
	Texinfo::Convert::Line or Texinfo::Convert::UnFilled.

2017-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert, _convert_element)
	(_process_text): Remove debugging statements.

2017-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Macro Details): Remove mention of a 
	difference between @comment and @c.

2017-01-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\endlineisspace): New.
	(\defmacro) <0 arguments> Skip any whitespace after the macro 
	name.
	(\scanmacro): Remove code for propagating a final @comment in
	a macro body.
	(\comment): Give the same definition as \c.

2017-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_set_state),
	* tp/Texinfo/Convert/XSParagraph/XSParagraph.xs (xspara_new):
	Use an integer-valued SV to represent a paragraph formatting
	state instead of a blessed reference to an integer-valued SV.

2017-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Info.pm:  Remove usage of method call
	syntax when calling subroutines in the 
	Texinfo::Convert::Paragraph module.

2017-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/paragraph.t: Avoid using method call syntax to call 
	subroutines in Texinfo::Convert::Paragraph.  Only run each test 
	once.  Remove tests using 'lines_counter' value on paragraph 
	hash.

2017-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm:  Remove remaining usage
	of method call syntax when calling subroutines in the
	Texinfo::Convert::Paragraph module.

2017-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/Makefile.am,
	* tp/Texinfo/MiscXS/configure.ac: Remove code for using gnulib, 
	as it isn't required for this module, and this saves the 
	complication of having an extra gnulib checkout.
	* tp/Texinfo/MiscXS/lib,
	* tp/Texinfo/MiscXS/snippet: Remove all files.
	* tp/Texinfo/MiscXS/m4: Remove all gnulib files.

2017-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm: Import some symbols for 
	subroutines from the Texinfo::Convert::Paragraph module.  Reduce
	usage of method call syntax when calling subroutines in the
	Texinfo::Convert::Paragraph module.

2017-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_end): Clear
	'in_use' on 'state' structure as well as in the 'saved_states'.
	This avoids the storage being lost if 'xspara__switch_state' 
	copies 'state' into 'saved_states'.

2017-01-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/miscxs.c,
	* tp/Texinfo/MiscXS/misc.c: Rename file in order to avoid 
	clashing with MiscXS.c (file generated from MiscXS.xs by xsubpp)
	on case-insensitive file systems.

2017-01-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (PARAGRAPH): New 
	configuration fields 'no_final_newline' and 'add_final_space'.
	(xspara_new): Set 'in_use' on state so that it is saved properly.
	(xspara_init_state): Remove some out-of-date comments.  Retrieve
	'no_final_newline' and 'add_final_space' values.
	(xspara_end): Use 'no_final_newline' to decide whether to add
	a final newline, and pass value of 'add_final_space' to
	_add_pending_word.

	* tp/Texinfo/Convert/ParagraphNonXS.pm (end): Use 
	'no_final_newline' to decide whether to add a final newline, and 
	pass value of 'add_final_space' to _add_pending_word.

	* tp/Texinfo/Convert/Line.pm: Replace with wrapper around 
	Texinfo::Paragraph.
	* tp/Texinfo/Convert/UnFilled.pm (new): Use 'no_final_newline'
	option.

	* tp/t/paragraph.t (line count line tests): Remove, as the
	'lines_counter' information isn't available any more.

2017-01-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (add_next): If given
	empty argument, set 'invisible_pending_word'.

2017-01-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert) <@image>: Call
	'add_next' with an empty string argument so that any spaces 
	following the command aren't lost.

2017-01-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/ParagraphNonXS.pm,
	* tp/Texinfo/Convert/XSParagraph/xspara.c (add_text): If
	there is an empty pending word at the very start of a line,
	allow spaces to be output after it.

2017-01-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/XSParagraph.xs: Uncomment calls
	to xspara_set_state, and remove calls to xspara_get-state.  
	Receive paragraph object as an SV *, not an HV *.
	(xspara_new): Create and return a reference to an integer scalar 
	value.

	* tp/Texinfo/Convert/XSParagraph/xspara.c
	(xspara_set_state, xspara_init_state): Rename function.
	(xspara_set_state, xspara_new): Keep array of paragraph 
	formatting states, and copy them to and from 'state' depending 
	on which is currently active.
	(state_array, state_array_size, current_state, xspara__switch_state):
	New.
	(PARAGRAPH): New field 'in_use'.

2017-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/ParagraphNonXS.pm
	(add_pending_word) <unfilled>: Include leading spaces after 
	indent.
	(add_text) <unfilled>:
	Do not detect end of sentence, save spaces at beginnings of 
	lines, do not condense multiple spaces to one space.
	(add_next): Call '_add_pending_word' to make sure a leading line
	indent is added.
	(end) <unfilled>: No newline at end of output.
	(new): Initialize 'unfilled' value.

	These changes nearly match the behaviour of the C 
	implementation, except for a test failure where the C code 
	doesn't handle nested formatters correctly
	(t/results/raw/raw_expanded_in_style.pl).

2017-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert, convert_unfilled): 
	Remove commented-out code incrementing and decrementing a 'code' value.

2017-01-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (PARAGRAPH): New
	configuration field 'unfilled'.
	(xspara_set_state): Set 'unfilled' from argument.

	(xspara__add_pending_word): Include leading spaces after indent 
	if 'unfilled' is on.

	(xspara__add_next): Call 'xspara__add_pending_word'.  This 
	shortens the code and makes sure that a leading line indent is added.

	(xspara_add_text) <unfilled>: Record spaces at the beginning of 
	lines, do not convert newlines to spaces, and no end of sentence 
	detection.

	(xspara_end) <unfilled>: Don't append a newline.

	Note: ParagraphNonXS.pm not done yet.

	* tp/Texinfo/Convert/UnFilled.pm: Remove code of module, and 
	replace with wrapper around Texinfo::Paragraph using the 
	'unfilled' option.

	* tp/Texinfo/Convert/Plaintext.pm (_convert)
	<@sp, node names in menus>: Call 'add_pending_word' to flush 
	output.

	This change leads to some changes in output:
	  Spaces included at ends of lines in @verbatiminclude.
	  Spaces lost at ends of lines in most other contexts, like
	menus.  Spaces were already removed at the end of a line,
	but not consistently.

	* tp/t/paragraph.t (unfilled lines_counter tests): Remove tests,
	as 'lines_counter' is not available any more.

2017-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/miscxs.c (xs_parse_texi_regex): Use malloc
	and memcpy instead of strndup for better portability.

2017-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_output_old): Remove unused 
	function.
	Whole file: Get subroutine arguments by assigning from @_.

2017-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi, _parse_texi_regex): Split 
	out several regexes used at the start of the remaining part of 
	the line.
	* tp/Texinfo/MiscXS/MiscXS.xs,
	* tp/Texinfo/MiscXS/miscxs.c (xs_parse_texi_regex): New function.
	* tp/Texinfo/Parser.pm: Add a 'UNITCHECK' section to override 
	'_parse_texi_regex'.

2017-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/automatic_nodes.t: Use the "Texinfo::ModulePath" module.

2017-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/MiscXS.xs,
	* tp/Texinfo/MiscXS/miscxs.c (xs_process_text): New function.
	* tp/Texinfo/Convert/Plaintext.pm: Add a 'UNITCHECK' section to 
	use 'Texinfo::MiscXS::process_text' inside '_process_text' function.

2016-12-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/miscxs.c (xs_abort_empty_line)
	(xs_merge_text): Use 'bytes_to_utf8' instead of calling 
	'sv_utf8_upgrade'.  The latter appears to cause strange results 
	under perl 5.10.1 (possibly involving the value of $1), and 
	there is a warning about using 'sv_utf8_upgrade' in the perlguts
	man page.
	* tp/Texinfo/MiscXS/MiscXS.xs (xs_abort_empty_line): Check
	if an argument is defined with SvOK.

2016-12-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac,
	* tp/Texinfo/MiscXS/configure.ac: Use 'test -n' instead of
	'test -v' for better portability.  Clear another cache variable 
	used internally by autoconf.

2016-12-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/miscxs.c (xs_merge_text, xs_abort_empty_line):
	Use 'av_len' instead of 'av_top_index' for compatibility with 
	older versions of Perl.

2016-12-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: If XS modules are enabled, configure in 
	tp/Texinfo/MiscXS directory.
	* autogen.sh: Run autoreconf in MiscXS directory.

2016-12-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/fail.pl: Change path given for 
	TestXS module so that it will be found when source is configured
	for an out-of-source build.
	* tp/Makefile.am (SUBDIRS, DIST_SUBDIRS): List MiscXS.pm and 
	MiscXS subdirectory.

2016-12-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/TestXS.pm: Use 
	Texinfo::XSLoader module.
	* configure.ac: Change path passed with "-I" to perl so 
	Texinfo::XSLoader module can be found.

2016-12-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert): Don't use method 
	call syntax for recursive calls.
	* tp/DebugTexinfo/DebugCount.pm: Remove, as it isn't used much.
	* doc/texinfo.texi (Customization Variables and Options) 
	<TEXINFO_OUTPUT_FORMAT>: Remove mention of
	'debugcount'.
	* tp/t/test_count.t: Delete test.
	* tp/t/test_utils.pl: Don't use "DebugTexinfo::DebugCount" 
	module.

2016-12-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (whole file): Use assignment from @_
	for subroutine arguments instead of "shift".  This shortens the
	code and may be slightly more efficient.

2016-12-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/miscxs.c (merge_text): Call C function
	'xs_abort_empty_line' directly instead of going through Perl 
	subroutine call infrastructure.

2016-12-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/MiscXS.xs,
	* tp/Texinfo/MiscXS/miscxs.c (abort_empty_line): New function.
	* tp/Texinfo/Parser.pm: Add a 'UNITCHECK' section to override
	'_abort_empty_line' with Texinfo::MiscXS::abort_empty_line.

2016-12-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_convert): Remove some statements for 
	debugging.  Shorten access to data structures by using 
	variables.

2016-12-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS/MiscXS.xs,
	* tp/Texinfo/MiscXS/miscxs.c (merge_text): New function.
	* tp/Texinfo/Parser.pm: Add a 'UNITCHECK' section to override
	'_merge_text' with Texinfo::MiscXS::merge_text.
	(_merge_text): Reorder a condition to make executing a regex
	less likely.

2016-12-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/protect_character_in_texinfo.t,
	tp/t/reference_to_text_in_tree.t, tp/t/test_brace_count.t, 
	tp/t/test_fill_gaps_in_sectioning.t, 
	tp/t/test_is_content_empty.t,
	tp/t/test_protect_hashchar_at_line_beginning.t: Use 
	Texinfo::ModulePath.

2016-12-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@menu> Check if parent
	command is defined before using it as a hash key.

2016-12-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/ModulePath.pm.in (init): Take extra argument 'updirs'
	allowing to find 'top_srcdir' from the path of the currently
	running Perl script.

	* tp/t/test_sort.t, tp/t/accents.t, tp/t/automatic_menus.t, 
	t/collect_spaces.t, tp/t/do_master_menu.t, tp/t/fix_texinfo.t, 
	t/index_before_item.t, tp/t/nodenormalization.t: Use 
	Texinfo::ModulePath module instead of adding directories to @INC
	manually.

2016-12-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XSLoader (override): Check if source subroutine is
	defined.

2016-12-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/MiscXS.pm: New file.
	* tp/Texinfo/MiscXS/,
	tp/Texinfo/MiscXS/configure.ac,
	tp/Texinfo/MiscXS/Makefile.am,
	tp/Texinfo/MiscXS/MiscXS.xs,
	tp/Texinfo/MiscXS/miscxs.c,
	tp/Texinfo/MiscXS/miscxs.h: New files.
	* tp/Texinfo/ModulePath.pm.in: Add 'Texinfo/MiscXS' directory to
	module search path.
	* tp/Texinfo/XSLoader (override): New function.
	* tp/Texinfo/Convert/Unicode.pm: Add 'UNITCHECK' section calling
	'Texinfo::MiscXS::unicode_text' to override 'unicode_text'.

2016-12-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_count_added): Inline call
	to _add_lines_count and use variable to shorten expressions.

2016-12-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl: Set '$Texinfo::XSLoader::disable_XS'
	instead of '$Texinfo::Paragraph::disable_XS'.

2016-12-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_def): Avoid an unnecessary
	call to 'parse_texi_line'.

2016-12-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <@include> If in the tests, 
	strip off leading directories when recording filename.  This is 
	to be consistent with what is done in 'parse_texi_file'.

2016-12-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_def): Instead of calling 'gdt' on 
	inserted text, add an 'untranslated' element containing the 
	untranslated text.
	* tp/Texinfo/Convert/HTML.pm (_convert),
	* tp/Texinfo/Convert/Text.pm (_convert):,
	For 'untranslated' elements, call 'gdt' on the text.

	This results in some changes to the test results:
	  Strings not translated in the results from Text.pm, but they
	weren't properly translated before either.
	  Strings inside @copying translated according to document
	language at time of @insertcopying, not time of @copying.


2016-12-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (%def_map): Don't surround values 
	containing spaces with braces.
	* tp/Texinfo/Parser.pm (_parse_def): Always create a 'bracketed' 
	element to contain prepended text.

2016-12-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Text.pm (_convert): Delete disabled code 
	used for debugging.

2016-12-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (do_index_keys): Explicitly list the 
	commands to get the text of index entries for.

2016-12-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line): For some index commands
	(e.g., @defcv), do not record the text of the index entry in
	order to avoid needing to call Texinfo::Report::gdt, which
	would be difficult to do in the XS rewrite.  Store
	the current document language for the index entry.

	* tp/Texinfo/Structuring.pm (do_index_keys): Fill in the text
	of the index entries where missing.  Account for the $self 
	argument being either a Texinfo::Parser object or a converter 
	object.

	* tp/Texinfo/Parser.pm, tp/Texinfo/Structuring.pm 
	(_non_bracketed_contents): Move function to Structuring.pm.

2016-12-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (merge_indices): Remove some 
	commented-out statements for debugging.

2016-12-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XSLoader.pm,
	* tp/Texinfo/Convert/Paragraph.pm: Move check for UTF-8 locale 
	into Paragraph.pm, and allow it to pass strings into XSLoader.pm 
	to print messages for debugging purposes.

2016-12-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XSLoader.pm: New file.
	* tp/Texinfo/Convert/Paragraph.pm: Move all the code into 
	XSLoader.pm.  This is intended to allow the code for loading XS 
	modules to be shared among multiple modules.

2016-12-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/terminal.c (terminal_switch_rendition): If turning off 
	either foreground or background colour, call 
	'terminal_default_colour' and reinstate any remaining foreground 
	or background colour afterwards.  This fixes a bug where 
	foreground colour might not be turned on again if background 
	colour was turned off.

2016-12-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert): Remove extra blank 
	line inserted after a menu that has been created.

2016-12-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): Call 'labels_information' 
	to initialize some data for the first time.
	(labels_information): Use presence of $self->{'targets'} to 
	decide whether 'labels' has been initialized, because it is 
	possible that 'labels' could be initialized to an empty hash, 
	which would still test as false.

2016-12-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Init-inter.inc: Always use ':' as the path separator, 
	instead of trying to check whether ';' should be used.  Ken Brown
	reported that this check was broken due to an undefined variable.

2016-12-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Init-inter.inc: Use mkfifo instead of mknod for better 
	portability.

2016-12-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Report.pm (errors): Do not sort errors by line 
	number, as this can cause error continuations to be separated 
	from the first error line.

2016-12-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/paragraph.t (two_words_dot_paren_dot, two_words_dot_dot)
	(three_newlines): New tests.
	* tp/t/plaintext.t (punctuation_in_sc): New test.

2016-12-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/ParagraphNonXS.pm
	(add_text): Do not remove end-of-sentence flag here, as adding 
	more spaces later on would cancel the doubled space.
	    When adding spaces, leave existing spaces untouched.
	    Do not handle end-of-sentence disinhibition in this
	function, as it is dealt with in '_add_next'.
	    Use 'last_char' value from before calling '_add_next' to
	decide whether we've reached the end of a sentence, along with a 
	different regular expression.
	(_add_next): Remove any backspace marker characters, not just 
	the last one.

	These changes are intended to match the implementation under 
	tp/Texinfo/Convert/XSParagraph.

2016-11-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (_do_index_keys, do_index_keys): 
	Rename, and remove second argument.
	* tp/texi2any.pl: Call 'do_index_keys' so that the data set in 
	this function, for example the 'in_code' value on index entries, 
	will be set in case 'do_index_keys' is not called again.

2016-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/ModulePath.pm.in: Correct a condition.

2016-11-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_expand_macro_arguments, _parse_texi):
	Treat form feed as other whitespace when parsing macro usage.

2016-11-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (@obsolete_variables): Add 
	'MACRO_BODY_IGNORES_LEADING_SPACE'.
	(@variable_string_settables): Remove the same.

	* tp/Texinfo/Parser.pm (%default_customization_values): Remove 
	'MACRO_BODY_IGNORES_LEADING_SPACE'.
	(_strip_macrobody_leading_space): Remove function.
	* tp/t/60macro.t (leading_spaces_ignore): Remove test.

	* doc/texinfo.texi (Other Customization Variables): Remove 
	mention of this variable.

	The 'MACRO_BODY_IGNORES_LEADING_SPACE' variable attempted to
	match a failing of the implementation of macros in texinfo.tex
	where spaces at the start of a line could be ignored, but it 
	didn't match it perfectly: specifically, a macro used inside
	a command like @example where the catcode of space had been 
	changed didn't have leading spaces skipped.

2016-11-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_macro_command_line): Permit _ in 
	macro name.

2016-11-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_special_misc_command) <@set>: 
	Treat form feed characters the same as any other whitespace.

2016-11-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): Supply 'contents' and 
	'parent' for empty @value element.
	* tp/Texinfo/Report.pm (_substitute_element_array): Add a case
	for values not defined.

2016-11-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/test_brace_count.t: Disable some tests.

2016-11-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (_count_opened_tree_braces): Don't
	check for parentheses in the arguments or contents when 
	balancing parentheses.
	(parse_node_manual): If parentheses do not balance, consider the 
	whole argument to be the node name.

2016-11-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_abort_empty_line): Include element type
	in "ABORT EMPTY" debugging message.
	(_parse_node_manual): Update comment.
	(_parse_texi): Remove unnecessary deletion of 'normalized'
	value.
	* tp/Texinfo/Structuring.pm (nodes_tree): Create a new parser 
	object to parse the "TOP_NODE_UP" string.

2016-11-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@example): Add missing ) after @pxref.
	(@cartouche): Make example and output match.
	(@table): Remove superfluous closing quote (`indicating'' to 
	`indicating').
	(Internationalization): Change the word "yourself" to "the one".
	(@documentlanguage): Add missing closing quote.
	(Testing for Texinfo Commands): Change "consider true X" to
	"consider X to be true".
	(Format with texi2dvi): Add missing ) after @pxref.
	(Invoking texi2any): Change "texi2any accept" to "texi2any 
	accepts".
	(HTML Translation): Add missing ) after @pxref.

	All reports by Wensheng Xie <xiewensheng@gmail.com>.

2016-11-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Top): In @detailmenu for Info format 
	description, refer to nodes with their names instead of shorter 
	labels.  This is so that, for example, "info texinfo printindex"
	goes to the index entry for "printindex" instead of the
	"Info Format Printindex" node.
	(Other Customization Variables): Remove 
	'TEXINFO_COLUMN_FOR_DESCRIPTION' and 'indent_menu_descriptions'.

2016-11-08  Gavin Smith  <gavinsmith0123@gmail.com>

	Delay node name normalization until after parser is finished.

	* tp/Texinfo/Common.pm (parse_node_manual): Do not record 
	'normalized' value in return value.
	(%default_parser_state_configuration): Add array value 'targets'.

	* tp/Texinfo/Convert/HTML.pm (_parse_node_and_warn_external):
	Call 'normalize_node' and set 'normalized' value on return value.

	* tp/Texinfo/Parser.pm
	(_register_label): Store target in 'targets' array, instead
	of in 'labels' hash.  Don't do any error checking.
	(labels_information): If 'labels' hash is not already set on 
	parser object, generate it from the 'targets' array.  Check for 
	empty and duplicate node names.  Create 'nodes' array.
	(_check_empty_node): Remove check for empty node name after
	expansion.

	(_end_line) <@float, @node>: Always call _register_label, with
	less error checking.  Do not record node in 'nodes' array.

	* tp/Texinfo/Transformations.pm (_new_node): Set 'normalized'
	for the new node that is being created, and store it in the
	'labels' hash.
	* tp/Texinfo/Structuring.pm (nodes_tree)
	(associate_internal_references, new_node_menu_entry): Set 
	'normalized' values on tree elements.

	* tp/t/automatic_nodes.t: Add several calls to 
	'associate_internal_references'.
	(index entry reassociated duplicate node ignored): Disable test.

2016-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/indices.c (create_virtual_index): Split function out from
	'info_virtual_index'.
	* info/info.c (virtual_index_p): New variable.
	(long_options): New option "--virtual-index".
	(main): If --virtual-index given, then call create_virtual_index
	and output the result, either in an interactive session or to
	an output file.

2016-11-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_register_extra_menu_entry_information):
	Delete 'normalized' value of 'menu_entry_node' hash.
	(_enter_menu_entry_node): Add menu entry to 'internal_references'
	array.
	* tp/Texinfo/Structuring.pm (associate_internal_references): 
	Check for menu entries in the 'internal_references' array
	and set 'normalized' on them.  Shorten code by storing a 
	reference in a variable.
	* t/automatic_menus.t,  t/do_master_menu.t: Call 
	'associate_internal_references' in order to have the 'normalized'
	values set.

2016-11-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_register_label): Remove exemption for
	recording 'normalized' names for floats.  Reverses change on
	2016-11-01.

2016-11-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Report.pm (errors): Sort the errors by filename and 
	line number.

2016-11-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <cross-reference commands>:
	Don't record 'normalized' for @inforef, and for any reference 
	that is not recorded in the 'internal_references' array.

2016-11-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <cross-reference commands>:
	Don't record 'normalized' value on command if cross-reference is
	to another manual.
	(_check_empty_node): Check that 'normalized' value is defined.
	* tp/Texinfo/Convert/TexinfoXML.pm (_convert): Call normalize_node
	to compensate.

2016-11-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/DocBook.pm (_convert) <xref commands>: 
	Instead of using 'normalized' value to see if the 
	cross-reference refers to the "Top" node, convert the first 
	argument to the command (into DocBook) and check if the 
	resulting string is "Top".  Later on in function, re-use this
	value for the contents of the <link> element.

2016-11-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (associate_internal_references): 
	Remove unused arguments.

2016-11-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/ModulePath.pm.in: Set $top_builddir from 
	$top_srcdir as well as the other way around.  This is so that
	XS modules can be used from tests run from the command-line.

2016-11-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (output): Check for existence of a 
	string before testing equality.

2016-11-01  Gavin Smith  <gavinsmith0123@gmail.com>

	Experimental change to reduce use of normalized labels.

	* tp/Texinfo/Parser.pm (_register_label): For @float's only,
	do not save the normalized HTML target name.  (This does not
	gain anything at the moment because the normalized name is still
	calculated in Parser.pm.)
	* tp/Texinfo/Structuring.pm (number_floats): Check that 
	'node_content' value exists for float instead of 'normalized'.
	* tp/Texinfo/Convert/TexinfoXML.pm (_convert) <@float>,
	* tp/Texinfo/Convert/DocBook.pm (_convert) <@float>: Call
	Texinfo::Convert::NodeNameNormalization::normalize_node to 
	compensate for loss of 'normalized' value.
	* tp/Texinfo/Convert/HTML.pm (_node_id_file),
	* tp/Texinfo/Convert/Converter.pm (_node_filename): Fall back to
	use 'node_content' if 'normalized' is not available.

2016-10-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_get_target, command_text)
	(_node_id_file): Comments added or changed.

2016-10-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac (TEXINFO_DTD_VERSION): Bump version to 6.3dev.
	Although the DTD hasn't changed, the meaning has due to change
	in 'type' attribute of 'float' element on 2016-10-16.
	* util/texinfo.dtd: Add 2016 copyright year.

2016-10-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm,
	* tp/Texinfo/Transformations.pm
	(fill_gaps_in_sectioning, insert_nodes_for_sectioning_commands)
	(add_node_menu_if_missing, complete_node_menu)
	(complete_tree_nodes_menus, new_master_menu, regenerate_master_menu)
	(menu_to_simple_menu, set_menus_to_simple_menu): Move some 
	less-used functions out into a new file, Transformations.pm.

	* tp/Texinfo/Structuring.pm,
	(_new_block_command, new_block_command): Rename.
	(_new_node_menu_entry, new_node_menu_entry): Rename.
	(add_missing_menus): Remove, as it isn't used anywhere.

	* Pod-Simple-Texinfo/pod2texi.pl: Call functions in their new 
	locations.

2016-10-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (nodes_tree): Use a hash reference
	that is inside a variable for brevity.

2016-10-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm: Rename 'ids' hash to 'seen_ids'
	and use 1 as its values instead of references to tree elements.

2016-10-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm
	(_new_sectioning_command_target): Do not set 'id' on target 
	record: only set 'target'.  Do not set 'contents_id' or
	'shortcontents_id'.
	(_prepare_special_elements): Don't call 
	Texinfo::Config::special_element_target_file_name with $id
	argument, and don't set 'id' on target record.
	(_prepare_index_entries): Don't set 'id' on target record 
	separately from 'target'.
	(_prepare_contents_element): Don't set 'id' on target records.
	Don't call Texinfo::Config::special_element_target_file_name
	with 'id' argument.
	(_get_target): Comment updated.

	(_node_id_file): Don't call Texinfo::Config::node_target_name with
	$id argument, and don't include $id in return value.
	(_set_root_commands_targets_node_files): Don't get $id from 
	return value of '_node_id_file', and don't set 'id' on target 
	records for the "root commands".

	(command_target): Check if the element has an 'associated_node',
	and if so, use it instead.
	(command_id): Use 'target' value on target record instead of 'id'.
	(command_contents_id): Remove function.
	(_default_contents): Call command_contents_target instead.
	(_element_direction): Do not accept 'id' as the $type argument.
	(_convert_printindex_command): Pass 'target' to 
	_element_direction instead of 'id'.

	(_prepare_footnotes): Previously, in the 'targets' record for 
	the footnote, the anchor name for the footnote was in 'target' 
	and the anchor name for linking back to the main text was in 
	'id'.  Now, only store the anchor name for the footnote itself.
	(_convert_footnote_command): Get the anchor name for linking 
	back to the main text from the anchor name for the footnote.

	* tp/t/init/only_toc_out.init (special_element_target_file_name):
	Remove '$id' from both argument list and return value.

2016-10-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_get_target, command_href)
	(label_command, _node_id_file): Comments added.

2016-10-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert),
	* tp/Texinfo/Convert/HTML.pm (convert_heading_command):
	Call 'menu_of_node' with first argument undef instead of 
	creating a new Texinfo::Parser object.

2016-10-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (_new_node_menu_entry): Set 
	'menu_entry_node' and 'menu_entry_separator' extra values on 
	menu entry directly instead of calling 
	'Texinfo::Parser::_register_extra_menu_entry_information'.

2016-10-27  Gavin Smith  <gavinsmith0123@gmail.com>

	Reinstate change made on 2016-10-08 and reverted on 2016-10-23.

	* tp/Texinfo/Parser.pm (_parse_texi): If 'menu' element is not 
	directly under a "root element" (@node or sectioning), don't 
	record it in the list of menus for that node, and issue a warning.

2016-10-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl: Remove code for calling 'add_missing_menus' if 
	'validatemenus' is off.  It can add menus incorrectly if all the 
	menus in the node are not recorded, which could be the case
	for menus incorrectly nested inside another command.

	* tp/Texinfo/Convert/Structuring.pm (add_node_menu_if_missing)
	Split out new function 'menu_of_node'.

	* tp/Texinfo/Convert/HTML.pm
	(_convert_menu_command): Record that a menu has been seen in the
	current node.
	(_convert_heading_command): If no menu has been seen in the 
	node, call 'menu_of_node' and convert the result.

	* tp/Texinfo/Convert/Plaintext.pm
	(_menu): Record that a menu has been seen in the current node.
	(_convert): If no menu has been seen in the node, call 
	menu_of_node and convert the result.

	* tp/t/30sectioning.t (no_menu): Test 'info' format instead of
	'plaintext'.

2016-10-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (count_bytes): Call throughout
	without using method call syntax.
	(_align_lines): Remove some commented-out lines of code.

2016-10-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (nodes_tree): If 'validatemenus' is 
	not on, do not complain about a node lacking a menu item if that 
	node has no menu at all.  If 'validatemenus' is not on, in order 
	to complain about the menu structure not matching the section 
	structure, the nodes must be associated with sections and 
	contain menus.  Some comments changed.

2016-10-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (nodes_tree): Only check whether 
	node is in a menu if 'validatemenus' is on.

2016-10-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/30sectioning.t (no_menu): New test.

2016-10-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/Makefile.am (long-checks, long-checks-all): Remove.
	(tex-html-checks tex-html-check): Remove use of LONG_TESTS.
	(long_tests): Add contents to 'base_tests' variable and 
	remove.
	(copy-long): Remove.
	(Makefile.onetst, DIST_SUBDIRS, clean-tests): Remove use of 
	'long_tests' variable.
	* tp/tests/README: Remove discussion of "long tests".

	* tp/Makefile.am (long-checks): Remove target.
	* tp/maintain/regenerate_cmd_tests.sh: Remove handling of "long 
	tests".

2016-10-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): Record menu regardless of 
	where it occurred.  (Revert change on 2016-10-08 in order to 
	avoid failure of "long tests" under tp/tests.)

2016-10-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (sectioning_structure): Use 'next' 
	instead of putting whole body of loop within a condition.  
	Change comment at start of function.  Delete some code used for 
	debugging.

2016-10-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (_next_content, _collect_structure):
	Remove unused functions.

2016-10-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (_check_menu_entry): Remove 
	'$check_menu_entries' argument, and don't return anything.  
	Callers updated.
	(nodes_tree): Some comments changed.

2016-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_float_type): Convert type of
	float with Texinfo::Convert::Texinfo instead of with 
	Texinfo::Convert::NodeNameNormalization.
	* tp/Texinfo/Parser.pm (_end_line) <@listoffloats>: Remove 
	commented-out code.

2016-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Info.pm (output) <anchors and nodes>,
	(_node): Don't refer to 'normalized' value on an element defining an
	xref target; use 'node_content' instead.
	(output) <anchors and nodes>: Convert the anchor with _node_line
	to check for duplicates, instead of using the 'normalized' value.
	* tp/Texinfo/Convert/Plaintext.pm:
	Remove "use Texinfo::Convert::NodeNameNormalization".
	(_footnotes): Don't set 'normalized' on the elements we create
	representing footnote anchors.
	(_convert) <float>: Use 'node_content' instead of 'normalized'
	to check if this float should be an anchor.

2016-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert): For 'float'
	elements, change check on 'content' value back to check on 
	'normalized' value on 'type' hash.

2016-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_align_lines, _convert):
	Remove some commented-out lines for debugging purposes.  Reduce 
	references to 'normalized' values on elements.  For 'float' 
	elements, use the 'content' key instead.

2016-10-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (get_initial_file): Don't fall back to the dir node.
	(main): Quit if there are no nodes to show.
	* info/t/dir-dangling-entry.sh: Update to match this new behaviour.

2016-10-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (parse_top_node_line):  Check if the
	buffer ends before the end of the first line.  Out-of-bounds
	read reported by Hanno Böck.  Some comments changed.
	* info/nodes.c (node_set_body_start): Don't try to advance the
	'body_start' past the end of the first line of the node: it is 
	not necessary, and the current code breaks if the buffer ends 
	during the first line.

2016-10-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/man.c (xrefs_of_manpage): Allow SGR sequence in manpage
	name, and fix code checking for two-character manpage section.

2016-10-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* Texinfo/Parser.pm (_next_bracketed_or_word): When returning
	a bracketed element, change the type of the in-tree element
	from 'bracketed' to 'bracketed_def_content' instead of creating
	a new 'bracketed_def_content' with the same contents.  Do not
	pass 'empty_space_at_end_def_bracketed' to _isolate_last_space.

	* Texinfo/Convert/Texinfo.pm (convert): Handle 
	'bracketed_def_content' the same as 'bracketed'.

	* Texinfo/Convert/DocBook.pm (%ignored_types),
	* Texinfo/Convert/HTML.pm (%ignored_types),
	* Texinfo/Convert/NodeNameNormalization.pm (%ignored_types),
	* Texinfo/Convert/Plaintext.pm (%ignored_types),
	* Texinfo/Convert/Text.pm (%ignored_types),
	* Texinfo/Convert/TextContent.pm (%ignored_types):
	Remove 'empty_spaces_at_end_def_bracketed'.

2016-10-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/man.c (find_reference_section): Remove this unused function.
	(xrefs_of_manpage): Allow only two characters in manpage section.

2016-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <def commands>: Remove parent 
	values pointing to 'root_line' element returned from 'gdt'.

2016-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): Include 'parent' on 
	'menu_star' element.

2016-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): If 'menu' element is not 
	directly under a "root element" (@node or sectioning), don't record
	it in the list of menus for that node, and issue a warning.

2016-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm
	(indent_menu_descriptions, indent_one_menu_descriptions):
	Remove.  This feature has not worked in any released version of 
	Texinfo due to calling 'indent_menu_descriptions' (itself) 
	instead of 'indent_one_menu_descriptions'.  This also simplifies
	matters, as the 'menus' list for each node is not used anywhere
	else in the modules under tp/Texinfo/Convert/.
	* tp/texi2any.pl: Don't call indent_menu_descriptions if 
	'indent_menu_descriptions' was present in TREE_TRANSFORMATIONS.
	* tp/t/indent_menu_descriptions.t: Remove.
	* doc/texinfo.texi (Other Customization Variables) 
	<TREE_TRANSFORMATIONS>: Remove mention of 'indent_menu_descriptions'
	feature.
	<TEXINFO_COLUMN_FOR_DESCRIPTION>: Remove mention.
	* tp/Texinfo/Converter/Converter.pm (%all_converters_defaults),
	* tp/Texinfo/Converter/Common.pm (@variable_string_settables):
	Remove 'TEXINFO_COLUMN_FOR_DESCRIPTION'.

2016-10-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (build_tag_table): Check if node name in tag table
	is empty (possible for malformed input).  Crash reported
	by Hanno Böck.

2016-10-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/t/XSParagraph.t: Remove unused 
	file.
	* tp/tests/htmlxref-only_split/Makefile.am,
	* tp/tests/Makefile.am: Remove reference to removed .texinfo 
	subdirectory.

2016-09-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm,
	* tp/Texinfo/Convert/Plaintext.pm,
	* tp/Texinfo/Structuring.pm: Remove 'use locale' directives for 
	older Perl versions.  There were subtle differences,
	for example whether German eszet uppercased to "SS" or
	itself.  It would also need the locale to be set and restored 
	everywhere it mattered.
	* tp/Texinfo/Structuring.pm (_do_index_strings): Call 
	utf8::upgrade on the index entry sort key.

2016-09-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm: Remove commented out "use POSIX" 
	declaration.
	* tp/Texinfo/Report.pm (gdt): Remove commented-out calls to 
	POSIX::setlocale.

2016-09-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm,
	* tp/Texinfo/Convert/Plaintext.pm,
	* tp/Texinfo/Structuring.pm: Test perl version and only
	"use feature 'unicode_strings'" if perl version is at
	least 5.012.  Otherwise, "use locale;" and try to set a
	Latin-1 locale.

2016-09-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Fonts): More tests of fonts.  Add 
	section testing glyph commands.

2016-09-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Remove note about updating texi2html tests, 
	and note about building standalone modules for CPAN.  Move
	advice on updating web pages together.

2016-09-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac,
	tp/Texinfo/Convert/XSParagraph/TestXS.pm: Change version number 
	to "0" as (a) alphabetic characters in the version don't work 
	here, and (b) this saves us having to update the version here.
	* README-hacking: Remove note to update the version number in 
	these two files.

2016-09-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac, tp/Texinfo/Convert/XSParagraph/configure.ac,
	tp/Texinfo/Convert/XSParagraph/TestXS.pm: Bump version to 6.3dev.
	Remove "dist-xz" option for testing.

2016-09-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac, configure.ac
	(PERL_EXT_CC): New variable to override compiler used to build 
	XS extension.

2016-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Customization Variables and Options): Remove 
	index entries for some customization variables with index 
	entries duplicated elsewhere.  These variables are 
	'documentlanguage', 'HEADERS', and 'SHOW_MENU'.
	(Other Customization Variables): Add index entry for 'HEADERS'.

2016-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (indices_information): Do not return
	'merged_indices' hash, as this information is not used anywhere.  
	Callers updated.
	* tp/t/test_utils.pl: Don't use 'merged_indices' hash.

2016-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Report.pm (line_error): Remove 'error continuation' 
	functionality.  Callers updated.  This has few user-visible 
	changes, except that the continuation lines will be printed for
	'-c NO_WARN=1', and that processing may be aborted sooner when
	'ERROR_LIMIT' is used due to multi-line errors counting as more
	than one.
	(gdt): Remove some commented-out statements for debugging.

2016-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm,
	* tp/Texinfo/Convert/Plaintext.pm,
	* tp/Texinfo/Structuring.pm: Add a "use feature 'unicode_strings'"
	directive.

2016-09-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_line_command_args) <@synindex>: 
	Update $self->{'merged_indices'} for any indices already merged
	into the source index.

2016-09-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_line_command_args) <@synindex>:
	Remove 'contained_indices' hash when an index is merged into 
	another index.  This simplifies the result in the following 
	situation: Index B is merged into index A, then index C is 
	merged into index B.  Previously, index C would not be in the 
	'contained_indices' of index B: it would only be in those of 
	index A.  Had index C been merged into index B first, index C 
	would have been recorded as being in both.  Eliminating the 
	'contained_indices' hash on the intermediate indices removes the 
	dependency on the order that the '@synindex' commands occurred.

2016-09-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_line_command_args): Add a comma 
	to a message.

2016-09-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): Don't store the line 
	number for a command defined with @definfoenclose, even if it 
	was previously a built-in command.
	(_parse_line_command_args) <@definfoenclose>: Add a comment 
	warning about redefining a built-in command.

2016-09-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Documentlanguages.pm: Regenerate by running
	maintain/regenerate_documentlanguages.pl.
	* README-hacking: Mention running this command for a new 
	release.

2016-09-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_check_contents_location): Remove unused 
	function.

2016-09-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_special_misc_command): Change
	"a @-command" to "an @-command" in a message.
	(_parse_line_command_args): Comment changed.

2016-09-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_compute_spaces_align_line):
	Change a ">" to a ">=" to avoid the possibility of a negative 
	return value when $line_width equals $max_column exactly.  Error 
	message "Negative repeat count does nothing" reported by
	Paul Eggert.

2016-09-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/indices.c (info_virtual_index): Put text within a
	call to gettext so that it can be translated.

2016-09-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\definefontsetatsize): New macro to reduce 
	repetition in \textfonts, \titlefonts etc.
	(\reducedrm): Comment changed.

2016-09-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\ifrmisbold): Define with \newif.
	(\switchtolsize, \switchtolllsize): Define for each font size.  
	If \ifrmisbold is true, override \rmfont with \bffont.  This 
	guarantees that the roman font will be overridden, instead of 
	having to call \rmisbold everywhere large font sizes are used.
	It also ensures that superscripts are in bold for large font 
	sizes when style commands are nested.
	(\textfonts, \titlefonts, \chapfonts, \secfonts, \subsecfonts)
	(\reducedfonts and \smallfonts, \smallerfonts \textfonts)
	(\titlefonts, \chapfonts, \secfonts): Specify \rmisboldtrue or
	\rmisboldfalse.
	(\rmisbold): Remove macro, and replace with \rm everywhere it is 
	used.
	(\selectfonts): Use \switchtolllsize, \switchtolsize instead.

2016-09-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\assignfonts): New macro, in order to reduce
	duplicated code in \textfonts, \titlefonts, \chapfonts, 
	\secfonts, \subsecfonts, \reducedfonts and \smallfonts, 
	(\smallerfonts \textfonts, \titlefonts, \chapfonts, \secfonts)
	(\subsecfonts, \reducedfonts, \smallfonts, \smallerfonts):
	Use \assignfonts.
	(\ttslfont): Assign correctly (previous patch called it \ttfontsl
	by mistake).
	(\df): Refer to \ttslfont.

2016-09-17  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex
	(\latonechardefs, \latninechardefs)
	(\lattwochardefs, \unicodechardefs):
	Add missing braces for symbol insertion commands with no arguments.

2016-09-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex
	(\tenrm, \tenit, \tensl, \tenbf, \tentt, \tensf, \teni)
	(\tensy, \tenttsl):
	Rename as \rmfont, \itfont, \slfont, \bffont, \ttfont, \sffont,
	\ifont, \syfont and \ttslfont respectively, because these fonts 
	are not always ten points in size.  No functional changes intended.
	(\setfontstyle, \selectfonts, \rmisbold)
	(\rm, \it, \sl, \bf, \tt, \sf, \ttsl): Move after section on PDF 
	CMaps and font definitions so that \setfontstyle is closer to 
	the definition of the fonts it uses, and \rm etc. are closer to 
	\textfonts etc. which use them.
	(\li): Remove synonym of \sf.
	(\shortcontrm, \shortcontbf, \shortcontsl, \shortconttt): Move 
	to be with the other fonts defined with \setfont.

2016-09-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Non-existent target): New example 
	of an @xref.
	(Fonts): New test of the fonts used.

2016-09-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\|): Remove definition for changebars, as it is
	not used, doesn't work for multiple lines, and isn't supported 
	in texi2any.

2016-09-11  Gavin Smith  <gavinsmith0123@gmail.com>
	
	* doc/texinfo.tex: Remove 'arch-tag' marker at end of file.
	(Added on 2003-10-09 for use by Miles Bader in arch mirror of 
	emacs sources.)

2016-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	6.3 release.
	* configure.ac, NEWS, util/texi2dvi, util/texi2pdf,
	doc/refcard/txirefcard.tex, texindex/texindex.awk:
	Version number.
	* tp/Texinfo: Update version numbers in modules.
	* tp/Texinfo/Convert/XSParagraph/TestXS.pm,
	* tp/Texinfo/Convert/XSParagraph/configure.ac: Version number.

2016-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/README: Mention that the tests must be run before the 
	reference results can be updated.

2016-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Add note about updating the version number 
	under tp/Texinfo/Convert/XSParagraph.

2016-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	6.2 release.
	* configure.ac, NEWS, util/texi2dvi, util/texi2pdf,
	doc/refcard/txirefcard.tex, texindex/texindex.awk:
	Version number.
	* tp/Texinfo: Update version numbers in modules.
	* po, po_document: Synch with translationproject.org and run 
	"make update_po".
	* build-aux/texinfo.tex: Update from doc/texinfo.tex.

2016-09-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.1.92

2016-09-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Add note about checking svn checkout is 
	up-to-date.

2016-09-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.1.91

2016-09-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* po, po_document: Synch with translationproject.org and run 
	"make update_po".

2016-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Mention LINGUAS files and "svn status .".

2016-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/htmlxref-only_mono/test_scripts,
	* tp/tests/htmlxref-only_split/test_scripts,
	* tp/tests/htmlxref/test_scripts:
	Remove unused directories.

2016-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/window.c (window_make_modeline): Do not make modeline 
	depend on whether preprocess_nodes_p is set.

2016-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (scan_reference_target): Remove code that 
	altered the line number of an index entry if 
	preprocess_nodes_p=1, because this is is independent of whether 
	the first line of the node is displayed or not.

2016-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* po/el.po: Commit file.
	* po/LINGUAS: List el.

2016-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* po_document/LINGUAS: List ca, de, el, hr, pt, pt_BR.

2016-08-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph: Run gnulib-tool --add-import.
	* (top-level): Run gnulib-tool --add-import.

2016-08-28  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>  (tiny change)

	* util/texi2dvi (cleanup): Fix cleanup for "clean" build mode.  
	Bug introduced on 2016-05-03.

2016-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Disable output of marks for whole 
	entry, instead of just for the page number.  This is intended to 
	prevent an infinite loop in \ourunvbox when @uref is used in an 
	index entry (reported by Karl Berry for latex refman manual).

2016-08-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Mention gnulib import in XSParagraph subdirectory.

2016-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.1.90

2016-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Document encoding): Test glyph 
	commands in section title.

2016-08-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexnofonts): Eat the {} following glyph 
	commands, and add definitions for \atchar, \lbracechar and 
	\rbracechar.
	(\definedummies): Add dummy for @atchar.
	* doc/texinfo-tex-test.texi (Document encoding): Test some glyph 
	commands in section title.

2016-08-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\balancecolumns): When making bottoms of the 
	two columns flush, use \unskip to remove glue from bottom of 
	columns.  Remove code which ignored glue at the bottom of 
	columns when balancing columns, because this glue was there to 
	help to break before an index initial.

	* doc/texinfo-tex-test.texi
	(Final page initial at top of both columns): New example of 
	index formatting.
	(Short indices): Add text saying what to look at for short 
	indices.
	(\commenceindex, \finishindex): Move use of \smallfonts in order 
	not to cancel the change to \baselineskip done in 
	\begindoublecolumns.

2016-08-08  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\setpdfdestname): New macro for XeTeX.
	(\pdfdestname): Escaped PDF destination name
	is set by \setpdfdestname.
	(\setpdfoutlinetext): New macro for XeTeX.
	(\pdfoutlinetext): Converted and escaped outline text
	is set by \setpdfoutlinetext.
	(\pdfmkdest): Use \setpdfdestname.
	(\dopdfoutline): Use \setpdfdestname and \setpdfoutlinetext.
	(\xrefX): Use \setpdfdestname.

2016-08-08  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\setpdfdestname): New macro for pdfTeX and LuaTeX.
	(\pdfdestname): Escaped PDF destination name
	is set by \setpdfdestname.
	(\setpdfoutlinetext): New macro for pdfTeX and LuaTeX.
	(\pdfoutlinetext): Converted and escaped outline text
	is set by \setpdfoutlinetext.
	(\pdfmkdest): Use \setpdfdestname.
	(\dopdfoutline): Use \setpdfdestname and \setpdfoutlinetext.
	(\xrefX): Use \setpdfdestname.

2016-08-07  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfescapestrutfsixteen):
	Rename from \pdfescapestring for LuaTeX.
	(PDFescstr): New Lua function.
	(\pdfescapestring): New macro for LuaTeX.
	(\txiescapepdfutfsixteen): New macro.
	(\dopdfoutline): LuaTeX:
	Use UTF-8 encodings instead of UTF-16 for PDF destination names.

2016-08-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\doublecolumntopgap, \pagesofar)
	(\begindoublecolumns): Remove use of \doublecolumntopgap 
	dimension.
	(\begindoublecolumns): Don't touch \topskip or alter \vsize 
	other than doubling it.
	(\balancecolumns): Use a different height for boxes when 
	splitting double column material roughly in two.
	* doc/texinfo-tex-test.texi (Final page of index hard to balance):
	Update so that test works properly.

2016-08-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Remove stretch added before entry 
	here.
	(\begindoublecolumns): Put stretch into \baselineskip, so it can
	appear between the lines of a multi-line entry as well as 
	between entries.  This results in more even line spacing.
	(\indexwidowpenalty): Remove \unskip, because the glue it 
	removed isn't there anymore.
	(\balancecolumns): Use \leftskip instead of indenting lines with
	\parshape (which is equivalent to using \moveright), because 
	this is lost when the box is taken apart with \lastbox.
	Change comment about use of \parshape.  Do not set \hangindent 
	either.
	(\ourunvbox): New macro to take apart a vbox with \lastbox and 
	re-add the boxes to the current vertical list.
	(\insertindexentrybox): Use it to add the text of the index entry
	to the current vertical list.
	(\entrylinedepth): Remove \dimen.

2016-08-05  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfmkdest, \dopdfoutline, \xrefX):
	Change the method of destination name switching
	Unicode or ASCII for pdfTeX and LuaTeX.

2016-08-04  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\iftxiuseunicodedestname):
	Add initializing for pdfTeX and LuaTeX.

2016-08-04  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfmkdest, \dopdfoutline, \xrefX):
	Change the method of destination name switching
	Unicode or ASCII for XeTeX.

2016-08-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Test of index widow elimination):
	New test.
	* doc/texinfo-tex-test.WIDOWs: Add file used in test.

2016-08-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexdummies): Put "{}" after use of 
	\lbracechar and \rbracechar in index in order to avoid 
	whitespace following a @{ or @} command in an index being lost 
	when the index file is read back in.

2016-08-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\balancecolumns) <right-hand column higher>:
	Use height of right-hand column to avoid possibly overlapping
	following text.
	(\indexwidowpenalty): Rename from \indexwidowpenalty.
	(\documentencoding): Change the spelling of a word in a message.
	
2016-08-03  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfmkdest):
	Fix LuaTeX PDF destination names.
	LuaTeX can handle Unicode characters for destination names.
	So pass through Unicode characters for LuaTeX.

2016-08-03  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\xref):
	Fix pdfTeX PDF destination names.
	In order to replace Unicode characters with ASCII,
	it is necessary that \edef\pdfxrefdest{#1} is
	before \turnoffactive.

2016-08-03  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\documentencoding):
	Add warning for XeTeX with non-UTF-8 encodings.

2016-08-03  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\xref):
	Fix XeTeX PDF destination names when \txiuseunicodedestnamefalse.
	In order to replace Unicode characters with ASCII,
	it is necessary that \edef\pdfxrefdest{#1} is
	before \turnoffactive.

2016-08-02  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\urlcolor, \linkcolor, \endlink):
	Fix XeTeX PDF color support
	by copying from the definition for pdfTeX.

2016-08-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <"misc text" commands>:
	Convert @@, @} and @{ commands, so there is a way to include 
	these characters in filenames.  (Previously this was done by the
	Texinfo::Convert::Text module.)

2016-08-01  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex
	(\rgbDarkRed, \rgbBlack, \setcolor, \maincolor, \thiscolor)
	(\lastcolordefs, \makefootline, \makeheadline):
	Copy from the definition for pdfTeX.
	(\pdfsetcolor): Add XeTeX PDF color support.

2016-07-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\balancecolumns): Reduce height limit for 
	splitting the final double-column material.  Remove glue from 
	bottom of both left and right columns when comparing heights.
	Compare heights of columns differently.  When not making the 
	bottoms of the two columns flush, use the obtained height of the 
	taller left column for the height of both columns.  (Otherwise, 
	an overful column box could overlap material below.)  An example
	of broken formatting due to this was reported in the AucTeX manual
	by Arash Esbati.
	Change some comments and edit for clarity.

2016-07-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/Makefile.am (TXI_XLATE): Add txi-ja.tex.
	(EXTRA_DIST): Add texinfo-ja.tex and short-sample-ja.tex.

2016-07-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\printindex): Set catcode of @ to 12 instead 
	of 11 so that e.g. "\@math" is not viewed all as one control 
	sequence when it should begin with the control letter "\@".

2016-07-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/refcard/txicmdcheck: Ignore @setcontentsaftertitlepage.
	* doc/refcard/txivarcheck: Ignore HTMLXREF.
	* doc/texinfo.texi (Customization Variables for @-Commands): Remove
	@setcontentsaftertitlepage.

2016-07-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Test of @synindex): Add section.

2016-07-30  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove --javascript-ref option, because nobody is using it.

	* tp/texi2any.pl ($result_options): Remove option 
	--javascript-ref.
	($cmdline_options): Remove value 'JAVASCRIPT_REFS'.
	* tp/Texinfo/Convert/HTML.pm
	(default_javascript_lines): Remove function.
	(%default_formatting_references): Remove 'javascript_lines'.
	(output): Don't call default_javascript_lines.
	(_file_header_informations): Don't use 'JAVASCRIPT_LINES' conf 
	value.
	(_default_begin_file, default_node_redirection_page): Don't 
	include lines referring to a JavaScript file in the file header.
	* tp/Texinfo/Common.pm (@variable_string_settables): Remove
	'JAVASCRIPT_LINES'.
	(@variable_other_settables): Remove 'JAVASCRIPT_REFS'.

2016-07-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (%block_commands, %block_item_commands)
	(%item_line_commands): Remove 'ktable'.
	(%command_index): Remove 'ktable'.
	* tp/Texinfo/Parser.pm (module documentation part): Remove @ktable.
	* tp/Texinfo/Convert/HTML.pm (%default_commands_conversion):
	Remove conversion for @ktable.
	(_convert_before_item_type): Add 'ktable' to a condition.
	* tp/Texinfo/Convert/Plaintext.pm (%item_indent_format_length):
	Remove 'ktable'.
	* tp/t/22xtable.t (ktable): Remove test.

	@ktable is being removed because nobody wants it anymore.

2016-07-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Remove @ktable.
	* doc/texinfo.texi (Command List) <@asis, @ktable>: Remove
	@ktable.
	(@ftable @vtable): Remove mention of @ktable.

2016-07-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\ktable): Remove.

2016-07-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\dosynindex): Call \requireopenindexfile so 
	that we copy a working file descriptor for the index.  Remove code
	that closes the file for the index getting redefined.  Fixes 
	broken @synindex and @syncodeindex commands, reported by
	Ralph Schleicher.

2016-07-28  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex
	(\pdfdest, \dopdfoutline, \pdflink, \xrefX):
	Fix XeTeX PDF destination name for consistent with pdfTeX.

2016-07-27  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex:
	Improve some Unicode and XeTeX, LuaTeX related comments
	by Werner Lemberg's suggestion.

2016-07-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexdummies): Use \definedummyletter\@ 
	instead of outputting "@@" as "@" in index file.
	(\mylbrace, \myrbrace): Remove out-of-date comment.
	(\rbracecmd, \lbracecmd, \rbraceatcmd, \lbraceatcmd):
	Remove unused macros.
	(\atdummies): Use \definedummyletter for \{ and \} instead of 
	using \lbraceatcmd and \rbraceatcmd.
	(\atdummies, \indexdummies): Use \definedummyletter for 
	\(SPACE).

	* doc/texinfo-tex-test.texi (Test of macros with @ in index): 
	New test.

2016-07-20  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex:
	Add XeTeX `dvipdfmx:config' special
	for avoiding PDF destination name replacement.

2016-07-20  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfdest):
	Fix XeTeX PDF destination.

2016-07-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <misc commands>: Add 
	condition on call to _register_global_command.

2016-07-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <root commands>: Initialize 
	contents here, so it will always be set.
	(_end_line) <root commands>: Don't set contents here.

2016-07-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/indices.c (apropos_in_all_indices): Only free file buffer 
	if we had to load it.  Otherwise the file buffer could still be 
	referenced.  Fixes crash reported by "mtsio@cryptolab.net".
	* info/nodes.c (check_loaded_file): Function split out from 
	info_find_file.

2016-07-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* dco/texinfo-tex-test.texi (Test of auxiliary files): Add test
	of macro used in index entry.

2016-07-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\macrolist, \addtomacrolist, \unmacro): Store
	list of macros with "\commondummyword" instead of 
	"\definedummyword", so that we remove the macro when writing an 
	index sort key.  Otherwise, texindex can produce a broken sorted 
	index file.  This fixes bug introduced on 2016-05-28, when the 
	macros used in \commondummiesnofonts were changed.

2016-07-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\ktable): Add to implement @ktable, following 
	pattern of \ftable and \vtable.

2016-07-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/dir.c (build_dir_node): Save contents of dir node.  This 
	avoids a memory leak when hide-node-references=On due to 
	scan_node_contents overwriting node->contents.

2016-07-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/dir-merge.sh: New test.

2016-07-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Command List) <@copying>: Correctly say
	to end with "@end copying".  Reported by Daniel Birket.

2016-07-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\defmacro): Remove separate code for 
	recursive and non-recursive macros, because the code is 
	identical now (except possibly for macros of more than 9 
	arguments).

2016-07-11  Brandon Invergo  <brandon@gnu.org>

	* util/htmlxref.cnf (gnat_ugn_unw, gnat_ugn): Change manual name 
	and location.

2016-07-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (forward_to_info_syntax): Avoid reading past 
	end of string.  Report by Hanno Böck.

2016-07-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Mention @ktable.
	* doc/texinfo.texi (Command List) <@asis, @ktable>: Mention 
	@ktable.
	(@ftable @vtable): Change section heading to "@ftable, @vtable 
	and @ktable".  Keep node name the same.  Add index entry for 
	@ktable.  Mention @ktable throughout.  Delete some unnecessary 
	words.

2016-07-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (%block_commands, %block_item_commands)
	(%item_line_commands): Add 'ktable'.
	(%command_index): Add 'ktable'.
	* tp/Texinfo/Parser.pm (module documentation part): Mention 
	@ktable and small grammar changes.
	* tp/Texinfo/Convert/HTML.pm (%default_commands_conversion):
	Add conversion for @ktable.
	(_convert_before_item_type): Add 'ktable' to a condition.
	* tp/Texinfo/Convert/Plaintext.pm (%item_indent_format_length):
	Add 'ktable'.
	* tp/t/22xtable.t (ktable): New test.

	@ktable requested by Robert Weiner, following pattern of @vtable 
	and @ftable.

2016-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Texinfo.pm: Remove commented-out debugging 
	statements.

2016-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS, doc/texinfo.texi (Conditional Commands) <@errormsg>: 
	Update to reflect fact that @-commands inside @errormsg is no 
	longer supported.
	* NEWS: Move a news item to the right place.

2016-07-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@errormsg, @U>: Don't use
	Texinfo::Convert::Text::convert to get argument, because the 
	dependence on Texinfo::Convert::Text is a significant 
	complication.
	(top level): Remove "use Texinfo::Convert::Text" directive.
	(%default_valid_nestings): Don't allow anything inside @errormsg 
	or @U.
	(__): Remove commented-out definition of '__' sub.
	(parser): Remove commented-out loop printing values.

2016-07-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm: Add "use" directive for 
	Texinfo::Convert::NodeNameNormalization instead of relying on 
	this module being pulled in indirectly.

2016-07-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm: Remove comment referring to 
	'raw_formats_stack'.
	(_parse_texi): Add debugging statement if the condition in an 
	inline command is missing.

2016-06-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi, _register_global_command)
	(_register_label, _enter_index_entry, _end_line)
	(_parse_line_command_args, _parse_special_misc_commands): Remove 
	uses of _ignore_global_commands.  Remove some commented-out 
	lines of code.
	(parser, simple_parser): Remove reference to 
	$self->{'expanded_formats_stack'}.
	(_ignore_global_commands): Removed.

2016-06-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi): For raw block commands 
	(like @tex) and raw inline commands (@inlinefmt), skip over the 
	part of the conditional that isn't expanded, instead of parsing 
	it as usual and using a stack of expanded conditionals.  Add a 
	dummy argument to the parse tree for the skipped-over argument.
	This will mean that there is no use for the 
	_ignore_global_commands function.  This change is intended to 
	make implementation of the parser module in C easier, and should 
	also make the Perl module itself simpler.

	(_close_current, _close_commands): Do not refer to 
	$self->{'expanded_formats_stack'}.

	(_ignore_global_commands): Always return 0.

2016-06-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/test_utils.pl (set_converter_option_defaults): Set 
	default expanded formats hash for converter even if this was 
	given in the parser options.  This helps to make the parser 
	options and converter options separate.

	(test) If expanded formats not defined in the parser options, 
	expand all of the formats except 'tex'.

	* t/16raw.t,
	* t/50value.t,
	* t/55conditionals.t,
	* t/57invalid_nestings.t,
	* t/60macro.t,
	* t/converters_tests.t,
	* t/html_tests.t,
	* t/plaintext_tests.t:
	Add 'expanded_formats' configuration values where required to 
	minimize changes to the results of the tests.

2016-06-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line, _parse_texi): Remove some 
	commented-out code.

2016-06-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@value>: Don't handle 
	arrays or hashes as values any more.  These used to be used for 
	string translation.

2016-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Final page of index hard to balance):
	Add section testing the problematic situation reported by Robert 
	Weiner.

2016-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Test of characters in section title):
	New section testing characters in a section title.

2016-06-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\balancecolumns): If the left column is 
	longer than the page height, split the last double column 
	material roughly in half.  Otherwise, a blank page could appear 
	before the last page of an index.  Blank page in index reported 
	by Robert Weiner.

2016-06-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@U>: Change the error 
	message given when argument exceeds size of integer.  (This is 
	for consistency with the C implementation which may have a 
	different size of integer.)

2016-06-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <closed raw block command>: 
	Do not call _start_empty_line_after_command, and add an 
	'empty_line_after_command' element.  This led to an inconsistent 
	meaning for the 'spaces_after_command' extra value, and an 
	existing extra value could be overwritten, for example for a 
	@verbatim block, where the 'spaces_after_command' could be 
	immediately after the '@verbatim' line, or after the entire 
	block.

2016-06-13  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* util/texi2dvi (run_tex): Inline function listing unusual 
	characters and pass through literal backslash-newline sequence 
	to sed by use of single quotes.  Also, pass input file as a 
	separate argument for the benefit of MSYS path conversion.

2016-06-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_print_tree),
	* tp/Texinfo/Common.pm (print_tree): Move implementation
	to Common.pm.

2016-06-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/NodeNameNormalization.pm: Remove 
	commented-out code.

2016-06-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <@end, @include>
	<@documentencoding, @documentlanguage>: Do not call 
	Texinfo::Convert::Text::convert to get the argument to the 
	command.  Instead, call _trim_spaces_comment_from_content to 
	find the element containing the text for the command.  Give an 
	error message if there are excessive elements in the argument 
	(e.g. @-commands).

	This has the consequence that @@ can no longer be used to
	refer to an @-sign in an @include command (similarly for "@ " 
	for " ", and some other @-commands).

2016-06-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@setfilename): Fix typo.

2016-06-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/TextContent.pm: Remove commented-out and 
	disabled code.

2016-06-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-text-test.texi (@set and @value): Add a chapter 
	for tests of @set and @value.  Add a test of a value in an index 
	entry which is only defined after the index entry.

2016-06-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Remove line referring to "parsetexi" 
	subdirectory.

2016-06-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (nodes_tree): Refer to
	Texinfo::Common::parse_node_manual instead of
	Texinfo::Parser::_parse_node_manual.
	* tp/t/test_utils.pl (cmp_trimmed): Put module name "Test::Deep"
	in front of function "cmp_deeply" which comes from it.

2016-06-07  Gavin Smith  <gavinsmith0123@gmail.com>
	
	* doc/texinfo.tex (\dopdfoutline): For display string for PDF 
	bookmark, check if encoding is Latin-1, and if so, call 
	\passthroughcharstrue.

2016-06-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\pdfmkdest): Call \passthroughcharsfalse in 
	order to use ASCII approximations in destination names.

2016-06-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\txiescapepdf) <\pdfescapestring not defined>:
	Completely expand argument, as is done in the other case.

2016-06-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (run_tex): Use \ followed by newline instead of 
	"\n" in replacement text of 'sed' 's' command.  Problem with 
	some versions of sed reported by Vincent Belaïche.

2016-06-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\UTFviiiLoop): Add a missing % character in 
	definition of non-initial bytes in UTF-8 sequences.
	(\DeclareUnicodeCharacterUTFviii): Move definition of 
	\UTFviiiTwoOctets (and others) out of this macro and rename 
	them.  Add more comments.

2016-06-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (run_tex): Only check for certain unusual 
	characters in the filename, using 'sed'.  (Suggestion from 
	Vincent Belaïche.)  Loop through any that occurred and change the
	catcode to 12 within a TeX group.

2016-05-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (cd_dir): Check if argument is absolute, and if 
	so, make all the path variables absolute.  Fix test of whether a 
	variable is absolute or not.  Absolute path given to --build-dir 
	broken reported by Daniel Gerbert.
	(cd_orig): If cdd_prefix is empty, don't try to remove it.

2016-05-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/test-utils.pl (@avoided_keys_tree): Don't compare 
	'remaining_args' values.  This is for the XS module, which 
	doesn't output them.

2016-05-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_macro_command_line): Order of 
	error messages changed.

2016-05-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@acronym, @abbr>: Don't
	set 'explained_commands' hash or 'explanation_contents' extra 
	value on elements.
	* tp/Texinfo/Convert/HTML.pm (_convert_explained_command): Move 
	the code for keeping track of previous acronym explanations
	here.

2016-05-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@novalidate>,
	* texi2any.pl <option processing>,
	* tp/Texinfo/Structuring.pm (nodes_tree)
	(associate_internal_references),
	* tp/Texinfo/Common.pm (%default_parser_state_configuration): 
	Use $self->{'info'}->{'novalidate'} instead of
	$self->{'novalidate'}.  Delete some commented-out code.

2016-05-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexnofontsvalue): New definition for a 
	@value when expanded in an index entry sort key.
	(\indexnofonts): Call it.
	(\dummyvalue): If @value is undefined, pass through an 
	unexpanded @value command to the auxiliary file.

2016-05-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\commondummies): Move definitions of 
	\definedummyword, \definedummyletter, \definedummyaccent out of 
	\commondummies.  Reorder a comment to put content about control 
	words next to content about \definedummyword.  Rename this macro 
	\definedummies, to reduce confusion with \commondummiesnofonts.

	(\commondummiesnofonts): Use different names for the parameters.
	Add a comment saying what is listed here.

2016-05-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Test of auxiliary files): Note 
	where cross-references should definitely work.  Add section 
	testing `-' and `_' in a @value.

2016-05-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\setref): Give \value a definition to match 
	those in \xrdef, \refx and \xrefX, to fix @value in 
	cross-reference targets.

2016-05-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\dummyvalue): New definition of @value for 
	writing to auxiliary files.  Expand the @value at the time of 
	writing, reversing change on 2016-05-07.
	(\commondummies): Use \dummyvalue definition for @value.
	Files using @value's in section titles broken when value was 
	@set after the table of contents, reported by Paul Eggert.

2016-05-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_abort_empty_line): Look for a 
	'spaces_after_command' empty extra value on the parent element 
	as well to stop an 'empty_line_after_command' element lingering.

2016-05-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@definfoenclose command>: 
	Don't overwrite any 'extra' values, such as 'invalid_nesting'.

2016-05-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Update with news since 6.1 release.

2016-05-22  Ingo Feinerer  <feinerer@logic.at>  (tiny change)

	* util/texi2dvi (run_tex, make_openout_test): Use parentheses 
	around "eval" command in order not to exit prematurely due to 
	"set -e" with ksh under OpenBSD.

2016-05-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <@abbr and @acronym>: Don't 
	set 'normalized' values on elements.  Remove commented-out code.
	(module documentation): Don't document that a list of the 
	elements is kept in $self->{'explained_commands'}.  

2016-05-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (associate_internal_references): 
	Avoid adding an undefined 'label' value under certain 
	circumstances.

2016-05-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_abort_empty_line): Remove a 
	'spaces_after_command' empty extra value, just as an empty
	'spaces_before_argument' value is removed.  This stops an 
	'empty_line_after_command' element lingering as an extra value.

2016-05-07  John Collins  <jcc8@psu.edu>  (tiny change)

	* doc/texinfo.tex (\typeout): New macro defined like in LaTeX for
	ensuring message are identical in format as those output by
	latex/pdflatex.
	(\requireopenindexfile): \typeout trace Writing index file.
	(\printindex) \typeout trace No file.

2016-05-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\mylbrace, \myrbrace): Avoid use of \ecfont, 
	because the user may not have it installed.  Use \lbrace and 
	\rbrace from plain TeX instead.
	* doc/texinfo-tex-test.texi (Test of non-alphanumeric characters):
	New section.

2016-05-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\commondummies): Define \value as a dummy.
	Do not call \makevalueexpandable.
	(\xrdef, \refx, \xrefX): Give \value a definition so we can get 
	rid of it when making a control sequence name for a 
	cross-reference target.  Comments changed.

	* doc/texinfo-tex-test.texi (Test of auxiliary files): New 
	section testing uses of @value in index entries and anchors.

2016-05-07  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo-ja.tex (\writetocentry):
	Fix XeTeX PDF link page number duplicates.
	For XeTeX, change \pdfmakepagedesttrue timing to after TOC writing.

2016-05-06  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo-ja.tex: New File.
	Japanese texinfo.tex loader.
	Some CJK packages are necessary to load before texinfo.tex.
	* doc/txi-ja.tex: New File.
	Japanese translations and font definitions for texinfo.tex.
	* doc/short-sample-ja.tex: New File.
	Short sample of Japanese Texinfo support files.

2016-05-05  Vincent Belaïche  <vincentb1@users.sourceforge.net>, and
	    Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (make_tex_cmd): Remove use of 'catcode_special'
	variable for filenames containing a tilde.  Do not append
	"\input" to the command-line to TeX.
	(run_tex): Check whether the filename contains a funny character 
	like a tilde.  If so, change the TeX category codes of some 
	characters within a group, and use \expandafter to input a file 
	outside of the group.  Append \input to the command-line.

	(option parsing): Make -~ do nothing.
	(make_openout_test): Don't refer to 'catcode_special' variable.

2016-05-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (cd_orig, cd_dir): Use SED variable instead of 
	sed directly.

2016-05-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (usage): Change wording of documentation of 
	--mostly-clean option.
	(input_file_name_decode): Remove unused 'in_dir_abs' variable.
	(cd_orig): Don't use ${VAR#WORD} feature because it doesn't 
	exist in some older shells.  Use sed instead.
	(cd_dir): Don't use \+ feature of sed because it is said not to 
	be portable.
	(move_to_dest): Remove commented-out echo line.

2016-05-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (cd_dir): New function, to change directory
	while updating variables containing paths.
	(cd_orig): Reverse the changes to these variables made in cd_dir.

	(run_tex_suite, make_openout_test): Use 'cd_dir' instead of 
	'cd'.

	(input_file_name_decode, main program loop): Don't change 
	variables t2ddir, in_dir to be absolute.  This could cause 
	problems passing filenames to TeX if the absolute path to the 
	input file contained a space or another unusual character.  
	(Problem found following report by Stephen Dawson.)

	(run_tex) [--tidy]: Remove code that uses a symbolic link to the 
	file being processed.  This meant that --command didn't work 
	along with --tidy due to the path to the file with the inserted 
	commands being overridden.  It is less necessary when absolute 
	paths aren't used.  (Problem found following report by
	Guo Yixuan).

	(cleanup): Refer to 'clean' and 'tidy' variables instead of 
	'build_mode'.  (No functional change.)
	(compile): Change a comment.

2016-05-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (usage): Streamline help message.  Don't mention 
	option '-@' (but don't touch the implementation of this option 
	to avoid breaking anything).  Don't mention pdftexi2dvi or 
	--dvipdf in the summary.  Don't mention --silent as a synonym 
	for --quiet, and don't mention --texinfo for --command.  Move 
	mention of @setfilename next to --command.  Remove mention of 
	AUC-TeX.  Only mention -E for --expand, and not -e.

2016-04-25  Theodore Ts'o  <tytso@mit.edu>  (tiny change)

	* util/texi2dvi (make_tex_cmd): Check whether 'catcode_special' 
	variable is equal to 'false' instead of 'maybe', so it doesn't 
	get set to 'false' on the second round when the variable has the 
	value 'true'.  Otherwise it breaks if the path to the file 
	contains a tilde.
	
2016-04-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (make_openout_test): Place double quotes around 
	expansion of shell variable to be more resilient in case path to 
	file contains spaces.  Problem reported by Stephen H. Dawson.

2016-04-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_expand_macro_body, _parse_texi):
	Place 'args_index' hash as a value in the elements of
	$self->{'macro'}, instead of being stored as an 'extra' value.
	This change is because the 'arg_index' hash is not used outside 
	of Parser.pm.

2016-04-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_expand_macro_arguments)
	(_expand_macro_body, _end_line <insertcopying>, parse_texi):
	Make $self->{'macros'} hash contain hashes which refer to the 
	elements that define the macro with the 'element' key, instead 
	of containing the elements themselves.  Define 'macrobody' on 
	the elements of $self->{'macros'}, instead of defining it as an 
	'extra' value.  This change is because the 'macrobody' is not 
	used outside of Parser.pm.

2016-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line),
	* tp/Texinfo/Structuring.pm (number_floats): Set
	$float->{'extra'}->{'float_section'} instead of
	$float->{'float_section'}, where $float is a @float element.

2016-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_next_bracketed_or_word): Don't set 
	parent field on created bracketed_def_content element.

2016-04-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\scanmacro): Set catcode of @ to 0 so that 
	@-commands in macro expansions aren't printed literally in an 
	index, where \ is the escape character.
	(\tex, \printindex): Don't set \escapechar.
	Broken formatting reported by Christophe Rhodes and Norbert Preining.

2016-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_node_manual): Move implementation 
	of function to tp/Texinfo/Common.pm.

2016-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	Reduce references to Texinfo::Parser module.

	* tp/Texinfo/Parser.pm (_parse_def): Remove commented-out code.
	* tp/Texinfo/Convert/HTML.pm: Refer to 
	Texinfo::Common::_print_current instead of 
	Texinfo::Parser::_print_current.
	(command_filename, _convert_key_command) 
	(_convert_indicateurl_command, _convert_ctrl_command)
	(_convert_titlefont_command, _convert_style_command)
	(_convert_float_command): Remove commented-out code.
	* tp/Texinfo/Parser.pm (_parse_node_manual): Add a comment.

	* tp/Texinfo/Convert/Converter.pm (_bug_message),
	* tp/Texinfo/Convert/DocBook.pm (_convert),
	* tp/Texinfo/Convert/TexinfoXML.pm (_convert):
	Refer to Texinfo::Common::_print_current instead of 
	Texinfo::Parser::_print_current.

2016-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (%index_names): Don't set a 'prefix' 
	array on each member.
	(%command_index_prefix): Replace with a new variable called 
	%command_index.
	(definition_category, %index_type_def): Update.

	* tp/Texinfo/Parser.pm (%command_index_prefix, %command_index): Update.
	(_enter_index_entry, _register_index_commands): Don't use 
	$self->{'prefix_to_index_name'}.  Don't set 'index_prefix' on 
	index entry record.
	(_end_line) <def commands>,
	(_end_line) <@item, @itemx>,
	(_parse_texi) <@ifcommanddefined>,
	(parser, simple_parser): Use %command_index instead of 
	%command_index_prefix.
	(_register_index_commmands): Don't use 'prefix' array on index 
	record.  Inline into calling sites.

2016-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (parse_texi_file, _parse_texi): Set 
	'parent' field on created elements in the main tree.

2016-04-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <brace commands>: Define 
	'contents' for all brace commands again (changed on 2016-03-28).  
	(_end_line) <@itemize, @table>: Add 'contents' for @asis and 
	@bullet elements.

2016-04-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_line_command_args) <@exampleindent>:
	Don't permit trailing text after a numeric argument.

2016-04-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm: Use "closing brace" instead of "close 
	brace" in messages, and use "the beginning of a line" instead of 
	"a line beginning".

2016-04-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <@multitable prototypes>: Don't
	set parent field for created 'bracketed_multitable_prototype' 
	element.

2016-04-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_end_line) <@multitable prototypes>: Don't
	save a 'prototypes_line' extra value for the multitable element.
	* tp/Texinfo/Convert/TexinfoXML.pm (_convert) <@multitable>: 
	Reconstruct the information that was in 'prototypes_line'.

2016-03-29  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\skipspaces, \getfilename):
	Copy from the definition for pdfTeX.
	(\xrefX): Add XeTeX @xref PDF link support.

2016-03-29  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfmkdest, \dopdfoutline):
	Add \txiescapepdf for XeTeX.

2016-03-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_node_extra_to_texi): Move to 
	tp/Texinfo/Convert/Texinfo.pm and rename 'node_extra_to_texi'.

2016-03-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_abort_empty_line): Check if 
	'spaces_before_argument' extra value needs to be removed from 
	parent as well as from current element.

2016-03-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (parse_texi): Always set parent on 
	element of type 'empty_spaces_before_argument'.

2016-03-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (%keep_line_nr_brace_commands): Keep line 
	number for all brace commands.
	(_parse_texi) <open brace separator>: Don't save line number 
	here.

2016-03-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <commands with commands as 
	arguments>: Don't remove 'contents'.

2016-03-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (%keep_line_nr_brace_commands): Add 
	accent commands, so that the line number always recorded for 
	accent commands (previously only done if the accent command took 
	an argument in braces).
	(_parse_texi) <brace commands>: Never define 'contents' for an 
	accent command.

2016-03-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm: Add line
	"use Texinfo::Convert::NodeNameNormalization" instead of relying 
	on module being pulled in indirectly.

2016-03-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* parsetexi, tp/parsetexi: Move subdirectory in preparation for 
	integration into texi2any as an XS module.

2016-03-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Report.pm (_subsititue, _substitute_element_array): 
	New functions.
	(gdt): Only pass @value's to parser if they are simple strings.
	before running parser.  This will be necessary when we use the
	XS parser, which we can't pass complex Perl data structures to.
	Call _substitute afterwards on the resulting tree to fill in 
	@value's.
	* tp/Texinfo/Parser.pm (_parse_texi) <undefined @value>: Call 
	_abort_empty_line as is done for the other cases.  Add a comment 
	explaining when we'll get an undefined @value.
	* tp/t: Update reference test results.  No empty elements ("{}") 
	after value subsititutions any more.  Empty line elements before 
	unknown values removed.

2016-03-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac (lookup_perl_flags):
	Remove AC_DEFUN and use lookup_perl_conf instead.  Processing of
	flags broken if one of them took an argument, e.g. '-arch'.  
	Broken build for Darwin reported by Jack Howart.

2016-03-23  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\internalpagesizes):
	Add XeTeX PDF paper size support.

2016-03-23  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\urefbreakfinish):
	Add XeTeX \urefurlonlylinktrue support.

2016-03-23  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\email, \doemail):
	Copy from the definition for pdfTeX.
	Add XeTeX @email support.

2016-03-23  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfgettoks, \pdfaddtokens, \adn, \poptoks) 
	(\maketoks, \makelink, \pdflink, \done):
	Copy from the definition for pdfTeX and modify for XeTeX.
	Add XeTeX PDF table of contents page number link support.

2016-03-22  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\pdfurl, \endlink):
	Copy from the definition for pdfTeX and modify for XeTeX.
	Add XeTeX PDF URL link support.

2016-03-22  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\iftxiuseunicodedestname): New switch.
	(\pdfmkdest, \dopdfoutline, \pdfmakeoutlines):
	Add XeTeX Unicode PDF destination name support.

2016-03-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\scanexp): Simply call \scanmacro instead of 
	expanding argument with \edef.
	(\Efloat) <xref label for @float>: Don't call \scanexp.  Remove 
	a comment.  Change some tabs to spaces.
	* doc/test-texinfo-tex-texi.tex (Copying and captions): New 
	section testing @float and @copying.

	Broken Unicode character in @copying reported by Masamichi 
	Hosoda.

2016-03-21  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex: Combine sections with XeTeX support.

2016-03-21  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\ifxeteximgpdf): Remove.
	(\doxeteximage): Improve XeTeX @image support.

2016-03-21  Thomas Klausner  <tk@giga.or.at> (tiny change)

	*  tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_add_text):
	Do not call text_append_n with (size_t)-1.  Fix typos.

2016-03-20  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\ifpassthroughchars):
	Remove duplicated definition.

2016-03-07  Karl Berry  <karl@freefriends.org>

	* util/texi2dvi (version): add +dev, since the release has happened.

2016-03-06  Gavin Smith  <gavinsmith0123@gmail.com>

	Control expansion of non-ASCII bytes with a conditional.

	* doc/texinfo.tex (\gdefchar): New macro.  If 
	\ifpassthroughchars, output a token with catcode "other" for 
	each byte instead of expanding into the TeX code to display the 
	character.
	(\latonechardefs, \lattwochardefs): Use \gdefchar instead of 
	\gdef.
	(definitions for bytes in UTF-8 sequences): Check value of 
	\ifpassthroughchars, and if true, output a token with catcode 
	"other".  Give definitions for bytes that could appear after the 
	first in a UTF-8 sequence.  Use \gdef instead of \xdef when 
	using \UTFviiLoop.  Add some comments.

	(\passthroughcharacters): Remove macro, and replace uses of it 
	with "\passthroughcharstrue".
	(\nonasciistringdefs): Remove.

	(\setcharscatcodeothernonglobal): Remove.
	(\nativeunicodecharscatcodeothernonglobal): Remove.
	(\scanctxt): Replace use of \setcharscatcodeothernonglobal with 
	\passthroughcharstrue.
	(\setupdatafile): Don't call \setcharscatcodeothernonglobal.  
	(The existing call appeared not to do anything because it took 
	place within a group.)

2016-03-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi: Add example with a closing brace 
	following an empty macro argument.  Update remark about what is 
	expected for space trimming from macro arguments.

2016-03-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\defmacro): Don't attempt to strip spaces at 
	the start of the argument to a macro taking only one argument.  
	This could lead to an error ("Argument of @gobblespaces has an 
	extra }") for an empty argmuent.  Reported by Norbert Preining 
	for ESS manual.
	(\gobblespaces): Removed.
	(\parsemargdef, \scanmacro, \defmacro): Put "\xeatspaces" in 
	body of macro, instead of "\processmacroarg".  For 
	single-argument macros, make it disappear instead of letting it 
	equal to \eatspaces.

2016-03-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infokey.c (compile): Check if key sequence was defined as 
	"invalid" in infokey file, and if so, record it by saving a 
	pointer to a null InfoCommand structure.  Broken handling of 
	"invalid" reported by Ken Brown.

2016-03-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/dir-example,
	* install-info/install-info.c (ensure_dirfile_exists): Update 
	message in dir node.

2015-03-04  Ken Brown  <kbrown@cornell.edu>

	* info/dir.c (build_dir_node): Update message in dir node to 
	account for change in binding for '?' key, and use 'H' instead.

2016-02-27  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* util/texi2dvi (make_openout_test): make compilation of openout
	test in batch mode with using batch variable, rather than taking
	input from /dev/null, so that there is no clash with --batch
	command line option.

2016-02-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/long-tests.sh,
	* tp/tests/tex_html_tests.sh,
	* tp/tests/parser_base_tests: Remove unused scripts for running 
	tests.

2016-02-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* po/Makevars, po_document/Makevars (DIST_DEPENDS_ON_UPDATE_PO): Set
	to "no" to prevent "make distcheck" or "make dist" dirtying the
	output of "svn diff".

2016-02-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/htmlxref/Makefile.am,
	* tp/tests/htmlxref-only_mono/Makefile.am,
	* tp/tests/htmlxref-only_split/Makefile.am: Remove unused rules.  
	Don't use Makefile.onetst (no longer created) to say what to 
	distribute.

2016-02-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (@variable_string_settables): New 
	customization variable HTMLXREF.
	* tp/texi2any.pl: If HTMLXREF given on the command line, use it 
	as the location of the htmlxref.cnf file.
	* tp/Texinfo/Common.pm (parse_htmlxref_files): Move function to 
	tp/Texinfo/Convert/HTML.pm.

	* tp/tests/htmlxref/tests-parser.txt,
	* tp/tests/htmlxref-only_mono/tests-parser.txt,
	* tp/tests/htmlxref-only_split/tests-parser.txt:
	Set HTMLXREF customization variable.

	* tp/tests/htmlxref/Makefile.am:
	tp/tests/Makefile.am: Don't build in htmlxref, htmlxref-only_mono,
	htmlxref-only_split directories using a recursive make.  Run the 
	tests in those directories the same way that all of the others 
	are, except many_input_files.

	* tp/tests/README: Remove section on subdirectories.

2016-02-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (info_get_menu_entry_by_label): Always check 
	case-insensitively, so that manpages are not preferred to a 
	case-insensitive dir match when invoking.  Problem reported by 
	Vincent Lefevre.

2016-02-24  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* util/texi2dvi (filter_files): Ensure that this function does not
	make any non zero return status when the list of new xref files is
	empty. Otherwise that causes a prematurate exit of calling
	function, notably run_index. Remember texi2dvi is running under
	set -e regime.

2016-02-22  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex: Fix PDF outline cmap for XeTeX.

2016-02-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/contents/tests-parser.txt: Remove tests
	'double_contents_setcontentsaftertitlepage',
	'double_contents_setcontentsaftertitlepage_inline',
	'double_contents_setcontentsaftertitlepage_book',
	'double_contents_setcontentsaftertitlepage_book_chapter', and
	'double_contents_setcontentsaftertitlepage_book_info'.

2016-02-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/test_utils.pl (test): When using an out_ directory (like 
	out_info or out_html), delete its contents to prevent test 
	failures from left-over files.

2016-02-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (%misc_commands): Move 
	'setcontentsaftertitlepage' and 'setshortcontentsaftertitlepage'
	to obsolete section.
	(%deprecated_commands): Add these two commands.

	* tp/Texinfo/Common.pm (%document_settable_unique_at_commands): 
	Remove these two commands.
	* tp/Texinfo/Convert/Converter.pm (converter): Remove handling 
	of these two commands.

	* tp/Texinfo/Convert/HTML.pm (@informative_global_commands): 
	Remove these two commands.
	* tp/Texinfo/Convert/Plaintext.pm (@informative_global_commands):
	Remove these two commands.
	(_convert) <sectioning commands, @contents, @shortcontents>:
	Remove handling of these two commands.
	(_prepare_special_element, _prepare_contents_elements)
	(_convert_informative_command): Remove handling of these two 
	commands.
	(_contents_short_contents_in_title): Removed.

	* tp/t/30sectioning.t (setcontentsaftertitlepage)
	(setshortcontentsaftertitlepage): Remove tests.
	(section_in_unnumbered_plaintext, section_in_unnumbered_info): Remove
	use of @setcontentsaftertitlepage in tests.

2016-02-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\setchapterstyle): Remove implementation.  
	(Obsolete since at least 3.8 release, September 1996).

2016-02-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\setcontentsaftertitlepage)
	(\setshortcontentsaftertitlepage): Replace definitions with a 
	message saying that these aren't Texinfo commands any more.
	(\Etitlepage): Remove handling of @setcontentsaftertitlepage.
	and @setshortcontentsaftertitlepage.
	(Karl Berry, bug-texinfo 2016-02-03).

	* doc/texinfo.texi (@-Command Details, Obsolete @-Commands): New 
	section node of appendix.
	(Obsolete @-Commands): Add @setcontentsaftertitlepage and
	@setshortcontentsaftertitlepage.
	(Command List): Remove the same.
	(Contents): Move information about @setcontentsaftertitlepage 
	and @setshortcontentsaftertitlepage to appendix.

	NB not done in texi2any yet.

2016-02-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (get_initial_file): Handle --file option here 
	instead of in 'main', as well as handling invocation as "info 
	'(FILE)NODE'", and the full path to FILE as the "initial file".  Use 
	"dir" as the last resort for the initial file.  Don't add a node to the 
	list of nodes to load.
	(add_initial_nodes): Add "Top" node to list of nodes to load if no 
	others are given.  Remove error message for initial_file undefined.
	(main): Handle --where option separately for --all given and not given.
	* info/session.c (info_follow_menus): Free initial node if following 
	menus strictly and a menu entry is dangling.
	* info/t/node-no-file.sh: Change expected error message.

	This is so that "info --output -" outputs the dir node, as used to 
	happen.  Vincent Lefevre reported that it doesn't happen for
	Texinfo 6.1.

2016-02-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\setchapterstyle, \headings, \setchapternewpage)
	(\everyheadingmarks, \everyfootingmarks): Define with 
	\parseargdef to read argument on the line instead of delimiting 
	the argument with a space.  This is necessary in case newlines 
	are active, which is the case at the very start of the file due 
	to the definitions in \enablebackslashhack.  Broken 
	@setchapternewpage reported by Norbert Preining.
	(\enablebackslashhack): Turn off special meanings after two 
	active newlines instead of after three, and add comments to 
	explain what is going on.

2016-02-15  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex: Add LuaTeX PDF outline Unicode strings 
	support.
	(UTF16oct): New Lua function.
	(\pdfescapestring): New macro.
	(\dopdfoutline): Add Unicode support for LuaTeX.

2016-02-15  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex: Add LuaTeX >= 0.85 support.
	(\txipagewidth): Rename from \pagewidth.
	(\txipageheight): Rename from \pageheight.
	(\pdfdest, \pdfoutput, \pdfliteral, \pdfcatalog, \pdftexversion)
	(\pdfximage, \pdfrefximage, \pdflastximage, \pdfendlink, \pdfoutline)
	(\pdfstartlink, \pdffontattr, \pdfobj, \pdflastobj)
	(\pdfpagewidth, \pdfpageheight, \pdfhorigin, \pdfvorigin): 
	Definitions for LuaTeX.

2016-02-15  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex: Fix PDF outline cmap for XeTeX.

2016-02-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/TexinfoXML.pm (output): Add a comment.

2016-02-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Tips): Add missing word "to".

2016-02-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (split_by_node): Add a comment.
	* tp/Texinfo/Convert/HTML.pm (_prepare_elements, output)
	(_convert_contents, _protect_space, _convert)
	(_convert_element_type): Add some comments and blank lines in 
	source.  Remove some commented-out lines of code.  Add some 
	capital letters in comments.
	(%ignored_types): Remove commented-out variable.
	(%default_types_conversion): Add a comment.

2016-02-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (dump_nodes_to_file): Argument changed from 
	flags argument to a simple Boolean to say whether to dump 
	subnodes.
	* info/session.h (DUMP_SUBNODES): Remove definition.

2016-02-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.h, info/echo-area.h, info/filesys.h, info/window.h,
	info/indices.h, info/info-utils.h, info/search.h, info/session.h,
	info/variables.h: Remove unnecessary "extern" modifier for 
	function declarations.
	
	* info/window.h: Remove declaration of removed function 
	'process_node_text'.

2016-02-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/window.c (calculate_line_starts): Only look in first line 
	of node for Info keywords.

2016-02-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (nodeline_print): Move to info/window.c.
	(parse_top_node_line): Remove code altering start of node 
	depending on value of nodeline_print.
	* info/window.c (calculate_line_starts): Use nodeline variable 
	to decide where to start displaying the node.
	(window_line_of_point): Comments changed.

2016-02-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (info_node_of_tag_ext): Don't save a pointer into 
	the file buffer in the tag table, because it could continue 
	after the file buffer was garbage collected.  Change the logic 
	around so that the NODE field of the TAG structure is 
	initialized from the NODE object we return, instead of vice versa.
	* info/nodes.h (FILE_BUFFER, TAG): Comments changed.
	* info/t/search-split-after-index.sh: New test.

2016-02-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Customization Variables and Options): Move 
	@vindex commands after @item, so that the index entries refer to 
	the right row of the @multitable.

2016-02-13  Gavin Smith  <gavinsmith0123@gmail.com>

	Implement --javascript-ref option, suggested by Per Bothner.

	* tp/texi2any.pl ($result_options): New option --javascript-ref.
	($cmdline_options): New value 'JAVASCRIPT_REFS'.
	* tp/Texinfo/Convert/HTML.pm
	(default_javascript_lines): New function.
	(%default_formatting_references): Add 'javascript_lines', and 
	comment changed.
	(output): Call default_javascript_lines (indirectly).
	(_file_header_informations): Look at and return 
	'JAVASCRIPT_LINES' conf value.  Callers updated.
	(_default_begin_file, default_node_redirection_page): Include 
	lines referring to a JavaScript file in the file header.
	* tp/Texinfo/Common.pm (@variable_string_settables): Add 
	'JAVASCRIPT_LINES'.
	(@variable_other_settables): Add 'JAVASCRIPT_REFS'.

2016-02-09  Karl Berry  <karl@freefriends.org>

	* doc/texinfo.texi (Output Formats) <XML>: explicitly mention that
	web browsers cannot display our XML output, but just give an error.

2016-02-09  Masamichi Hosoda  <trueroad@trueroad.jp>

        * doc/texinfo.tex: Fix XeTeX PDF outline support.
        (\dopdfoutline): Add braces.

2016-02-08  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex:
	Native Unicode replace switching instead of re-definition.

	(\ifpassthroughchars): New switch.
	(\DeclareUnicodeCharacterNative):
	Integrate \DeclareUnicodeCharacterNativeThru.
	Add capable to switch replace / pass-through characters.
	(\DeclareUnicodeCharacterNativeThru): Remove.
	(\nativeunicodechardefsthru): Remove.
	(\passthroughcharacters):
	Use switch instead of \nativeunicodechardefsthru.

2016-02-08  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex:
	Improve XeTeX PDF outline support.
	(\pdfmkdest): Add \indexnofonts and \makevalueexpandable.
	(\dopdfoutline): Add \turnoffactive.
	(\pdfmakeoutlines): Add some comments. Use \let instead of \def.

2016-02-07  Masamichi Hosoda  <trueroad@trueroad.jp>

	* doc/texinfo.tex (\unicodechardefs): Comment out end of lines 
	to prevent extra space at the start of the page when native 
	Unicode support is used.

2016-02-07  Masamichi Hosoda  <trueroad@trueroad.jp>

        * doc/texinfo.tex:
	Add PDF outline support for XeTeX.
	(\pdfdest): set destination.
	(\pdfmkdest): set destination.
	(\dopdfoutline): make outline element.
	(\pdfmakeoutlines): make PDF outline.

2016-02-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\throughcharactersdefs): Rename to 
	\passthroughcharacters, and change comment.
	(\nonasciistringdefs): Change comment.
	(\documentencoding) <UTF-8>: Change comment.
	(\DeclareUnicodeCharacterUTFviii): Change comment.
	(\nativeunicodechardefsthru, \DeclareUnicodeCharacterNativeThru):
	Change comment, and move definition.
	(\DeclareUnicodeCharacterNativeAtU): Change comment, and move 
	definition.
	(\setcharscatcodeothernonglobal): Comment changed.
	(\DeclareUnicodeCharacterNative): Move definition.

2016-02-07  Masamichi Hosoda  <trueroad@trueroad.jp>

        * doc/texinfo.tex:
	Add native Unicode support for XeTeX and LuaTex.

	(\iftxinativeunicodecapable): New switch.
	(\iftxiusebytewiseio): New switch.

        (\setbytewiseio): Set I/O by bytes instead of UTF-8 sequence
	for XeTeX and LuaTex non-UTF-8 (byte-wise) encodings.

	(\documentencoding): Remove input by bytes settings for XeTeX.
	Add I/O by bytes settings for single-byte encodings.
	Add native Unicode settings for UTF-8 encoding.

	(\U): Any Unicode characters can be used by native Unicode.

	(\DeclareUnicodeCharacterUTFviii): Rename from
	\DeclareUnicodeCharacter.
	(\DeclareUnicodeCharacterNative): For native Unicode,
	Definition macro to replace the Unicode character.
	(\DeclareUnicodeCharacterNativeThru): For native Unicode,
	Definition macro not to replace (through) the Unicode character.
	(\DeclareUnicodeCharacterNativeAtU): For native Unicode,
	Definition macro that is used by @U command.
	(\DeclareUnicodeCharacterNativeOther): For native Unicode,
	Definition macro that is set catcode other non global.

	(\unicodechardefs): Rename from \utfeightchardefs.
	(\utfeightchardefs): UTF-8 byte sequence definitions (replacing and
	@U command). It makes the setting that replace UTF-8 byte sequence.
	(\nativeunicodechardefs): Native Unicode character replacing
	definitions. It makes the setting that replace the Unicode characters.
	(\nativeunicodechardefsthru): Native Unicode character ``through''
	definitions. It makes the setting that does not replace
	the Unicode characters.
	(\nativeunicodechardefsatu): Native Unicode @U command definitions.
	(\nativeunicodecharscatcodeothernonglobal):
	Native Unicode catcode other non global definitions.
	(\setcharscatcodeothernonglobal):
	Catcode (non-ascii or native Unicode) are set to other non global.

	(\throughcharactersdefs): Character ``through'' definitions.
	It makes the setting that does not replace the characters.

2016-02-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Update version to 6.1dev.

2016-02-06  Eli Zaretskii  <eliz@gnu.org>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (popen, pclose)
	[_WIN32]: Redefine to their non-Posix counterparts _popen and
	_pclose, to countermand Perl redirections in XSUB.h.

2016-02-06  Gavin Smith  <gavinsmith0123@gmail.com>

	6.1 release.
	* configure.ac, NEWS, util/texi2dvi, util/texi2pdf,
	doc/refcard/txirefcard.tex, texindex/texindex.awk,
	texindex/texindex.in: Version number.
	* build-aux/texinfo.tex: Update from doc/texinfo.tex.

2016-02-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Update notes about making a release.  Move 
	"make po-check" line.  Remove "rm ti.texi" for updating texindex 
	version.  Move gnulib-tool --add-import and util/srclist-txi, 
	and say what the latter is for.  Move "official releases only" 
	section only so that the "make distcheck" line above can be the 
	final command to produce the release tarball.  Move upload 
	instructions after this command.  Move instructions about 
	tagging source tree.  Combine instructions about checking DTD.

2016-02-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi,
	* doc/Makefile.am,
	* doc/info-stnd.texi,
	* Makefile.am,
	* info/Makefile.am: 2016.

2016-02-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi: Change "cross reference" to "cross-reference"
	throughout.

2016-02-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Mention that behaviour is unchanged for comma or full 
	stop following closing brace of @xref command.  Text from Karl Berry.
	* NEWS: Change word 'makeinfo' to 'texi2any'.
	* doc/texinfo.texi (Cross Reference Parts): Mention how to avoid 
	an unwanted comma after the cross-reference when processing with 
	TeX.

	* NEWS, doc/texinfo.texi (Cross Reference Parts): Move example 
	of comma insertion.  Suggestion from Karl Berry.

2016-02-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\xrefX): Check for some commands following 
	the closing brace of an @xref command which add space.  
	Suggestion from Karl Berry.

	* doc/texinfo-tex-test.texi (Cross-references): Add examples 
	with tab, newline, @SPACE, @TAB, @NL, @*, and @: following 
	@xref.

2016-02-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@inforef): Remove statement saying that 
	@inforef must be followed by a comma or a full stop.  Reported 
	by Karl Berry.

2016-02-05  Masamichi Hosoda  <trueroad@trueroad.jp>

        * doc/texinfo.tex (\doxeteximage):
        @image support for XeTeX.
        (\image): @image support for XeTeX.

2016-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Move NEWS about XS earlier and mention that pure Perl 
	modules can still be used by default.  Suggestion from Karl Berry.

2016-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Add "(XS)" after "Perl extension" in message to 
	make it easier to find in configure output.  Repeat message 
	after output from trying to build and run an extension module so 
	it's clear what 'yes' or 'no' refers to.  Possible confusion 
	reported by Karl Berry.

2016-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\chapmacro): Allow this macro to occur inside 
	\titlepage, in case \setcontentsaftertitlepage is used.  Report 
	of error message from Akim Demaille.

2016-02-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\xrefX): Don't expand a control sequence 
	following \if.  Report of possible problem from Karl Berry.

2016-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\xrefX): Add a comma after the page number 
	only if the cross-reference command is followed by a space, 
	instead of listing possible punctuation characters.  Suggestion 
	from Karl Berry.

2016-02-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexnofonts): Add % after \} and \{ because 
	spaces are not skipped there.

2016-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	6.0.93 pretest.

	* configure.ac: 6.0.93 pretest.

2016-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\utfeightchardefs): Comment out empty lines 
	to prevent an end of paragraph.  Reported by Masamichi Hosoda.

2016-01-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/pseudotty.c: Call fpathconf to get value to disable a 
	special character in the termios structure.

2016-01-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/replace-viewed.sh: Skip test if no process could be 
	found, because it may not have started properly.

2016-01-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Init-inter.inc: Remove line accidentally added on 2016-01-13.

2016-01-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (gc_file_buffers_and_nodes): Don't free file 
	buffers corresponding to files that aren't there any more, 
	because a node may still refer to them.
	* info/nodes.c (forget_info_file): Overwrite filename of field 
	with empty string to avoid a memory leak.

2016-01-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/nodes.c (info_node_of_tag_ext): Check that references for 
	node haven't already been initialized before calling 
	scan_node_contents, to prevent a memory leak if a node from a 
	previously garbage collected file is loaded again.

2016-01-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac: Clear cache 
	variable with 'unset'.

2016-01-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm: Check if using Windows, and 
	if so, bypass 'locale -a' check for a UTF-8 locale.

2016-01-23  Karl Berry  <karl@freefriends.org>

	* contrib/perldoc-all/GNUmakefile (install): no need for grep,
	since we don't install the split HTML any more.
	($(texi_pod_doc_incl)): mention failure to get uniprops et al.

2016-01-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/lib,
	* tp/Texinfo/Convert/XSParagraph/m4: Add gnulib module 'getline'.

	* tp/Texinfo/Convert/XSParagraph/Makefile.am (AM_CPPFLAGS): 
	Change to right path to include directories.

2016-01-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm: Add a check for a UTF-8 
	locale in output of "locale -a".  Change 'stand-alone' to 
	'standalone' in a string.  Remove some commented-out code.
	* tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_init): If we 
	fail to set a UTF-8 locale by other means, look at the output of 
	"locale -a" and use the first line of output with "UTF-8" in it 
	as the name of the locale to use.  Failure when no UTF-8 locale 
	could be set reported by Kiyoshi Kanazawa.

2016-01-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Move note about @copying next to the news for the 
	release it was added in (Texinfo 4.2, April 2002).

2016-01-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_protect_space_codebreak): Rename 
	to '_protect_space'.  Remove check for 'allowcodebreaks', as 
	this led to broken URL's and a broken <title>.  Report from 
	Padraig Brady via Karl Berry.
	(%css_map): Remove CSS style for 'span.nocodebreak'.

2016-01-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\xrefX): Move and edit a comment.

2016-01-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexnofonts): Replace definitions of @{ and
	@} so that \indexnofonts can be used for constructing a control
	sequence name with \csname, as is done in \xrefX.  Give them
	different values in order not to cause problems should two xref
	names differ only by replacing @{ with @}.
	(\dosubindwrite): Override definitions of @{ and @} set in 
	\indexnofonts to their previous definitions in \indexnofonts.
	@{ in xref broken reported by Karl Berry.

2016-01-17  Gavin Smith  <gavinsmith0123@gmail.com>

	6.0.92 pretest.

	* configure.ac, README, NEWS: 2016.
	* configure.ac: 6.0.92 pretest.

2016-01-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac: Get Perl conf 
	value 'ccdlflags' for flags for linking the extension.

2016-01-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/TestXS.pm: Re-add line for 
	debugging output, for better trouble-shooting.

2016-01-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/README: Add example of how to update long tests.

2016-01-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac: Get 'libperl' 
	Perl config value, and transform it into a -l flag for libtool.
	* tp/Texinfo/Convert/XSParagraph/Makefile.am (AM_LDFLAGS): Use 
	this flag along with -L$(PERL_INC).

2016-01-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Info Format Specification): Mention that 
	keywords in Info format should be read case-insensitively.  
	Suggestion for manual from Karl Berry.
	Move disclaimer about actual practice to the end of the node.

2016-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac: Move check for 
	xsubpp to before gl_INIT, in order not to waste time running the 
	gnulib checks if the extension isn't going to be built anyway.

2016-01-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/Init-inter.inc (synch_with_program): Remove function.
	* info/t/c-u-m-x-scroll-forward.sh,
	* info/t/inc-sea-forward.sh,
	* info/t/inc-sea-history.sh,
	* info/t/inc-sea-insensitive.sh,
	* info/t/inc-sea-forward-nonregex.sh,
	* info/t/gc-split.sh: Don't call it.  It could lead to an 
	infinite loop if the program had already exited, and also slowed 
	down the tests.
	* info/pseudotty.c: Call tcsetattr to turn off special 
	characters like C-u and C-s.

2016-01-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac: Print error if 
	"xsubpp" program is not found.  This avoids an attempt to later
	execute a "typemap" program when $(XSUBPP) -typemap is done.

2016-01-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex: For LuaTeX, output bytes instead of UTF-8 
	multi-byte characters.  Add comment to say this is a problem 
	with XeTeX which we haven't fixed.  Problem under LuaTeX and 
	XeTeX reported by Masamichi Hosoda.

2016-01-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* gnulib: Run gnulib-tool --add-import, omitting the "mkstemp" 
	module which isn't used any where (possibly used in texindex.c, 
	which isn't distributed any more).

	* gnulib: Run gnulib-tool --add-import, omitting "memmem".

2016-01-07  Masamichi Hosoda  <trueroad@trueroad.jp> (tiny change)

        * doc/texinfo.tex: For XeTeX, fix input by bytes instead of
        by UTF-8 codepoints. Settings for subsequent files to be read.
	(\documentencoding): Settings for the document root file.

2016-01-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/Makefile.am (install-data-hook):
	Remove TestXS module files after they are installed.

2016-01-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_convert_preformatted_type): Add an
	extra newline after a <pre> tag if the contents begins with a 
	newline.

2016-01-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/README,
	* tp/tests/README: 2016 in copyright dates.

2016-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\enableemergencynewline): New macro.
	(\fixbackslash): Use it, in order to give newline a default
	active definition.

2016-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex, NEWS: For XeTeX and LuaTeX, use input by 
	bytes instead of by UTF-8 codepoints.  Documents encoded in 
	UTF-8 reported broken by Werner Lemberg.

2016-01-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (%css_map): Use 'font-family: initial'
	instead of 'font-family: serif' for @r.  Suggestion from Karl Berry.

2016-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* INSTALL: Some words about XS.
	* README-hacking: Words about translation updates.

2016-01-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Makefile.am,
	* tp/Texinfo/Convert/XSParagraph/Makefile.am,
	* tp/texi2any.pl: Replace uses of pkglibexecdir with pkglibdir.
	Modules installed under pkglibexecdir weren't being found due 
	not being substituted by configure script.  Reported by
	Andreas Schwab.  Probably related to AC_SUBST in 'gl_CONFIGMAKE'
	in 'configmake' gnulib module overriding the default definition.

2016-01-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (copy_converting): Don't check whether a 
	value of type size_t is negative in loop condition, because 
	size_t is unsigned.  Always loop instead.

2016-01-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/terminal.c (term_mm, terminal_has_meta_p): Remove unused 
	variables.
	* info/terminal.c (terminal_initialize_terminal),
	* info/pcterm.c (pc_initialize_terminal): Don't refer to removed 
	variables.

2016-01-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Node Menu Illustration): Change "copy of 
	diagram" to "diagram".

2016-01-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/run_parser_all.sh: Run sed on file logging standard 
	error of program to account for variant output under MS-Windows, 
	reported by Eli Zaretskii.

2016-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/text.c (text_destroy): New 
	function.
	* tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_add_text): Use 
	it instead of calling free directly, because free may have been 
	redirected to Perl's version.

2016-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_new): Don't 
	call free on TEXT objects, but reuse the storage.  Attempt at 
	fixing 'Freed to wrong pool' error reported by Eli Zaretskii.

2016-01-01  Eli Zaretskii  <eliz@gnu.org>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (mbrtowc): Don't try to
	convert more bytes than a single UTF-8 sequence at the beginning
	of the argument string: otherwise MultiByteToWideChar fails.

2016-01-01  Karl Berry  <karl@gnu.org>

	* makeinfo/README,
	* tp/Texinfo/Convert/Converter.pm,
	* util/dir-example,
	* build-aux/texinfo.tex: sync.
	
	* info/dir.c,
	* info/echo-area.h,
	* info/filesys.c,
	* info/indices.c,
	* info/indices.h,
	* info/info-utils.h,
	* info/infodoc.c,
	* info/infomap.c,
	* info/nodemenu.c,
	* info/search.c,
	* info/search.h,
	* info/session.h,
	* info/termdep.h,
	* info/window.h,
	* system.h,

	* Pod-Simple-Texinfo/pod2texi.pl,
	* doc/refcard/txirefcard.tex,
	* doc/texinfo.texi,
	* info/info.c,
	* install-info/install-info.c,
	* texindex/ti.twjr,
	* tp/maintain/regenerate_cmd_tests.sh,
	* tp/maintain/regenerate_docstr.sh,
	* tp/maintain/regenerate_file_lists.pl,
	* tp/maintain/template.pod,
	* tp/texi2any.pl,
	* util/pdftexi2dvi,
	* util/texi-elements-by-size,
	* util/texi2dvi,
	* util/texi2pdf,
	* util/texindex.bat: 2016.

2016-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/Makefile.am: Remove out-of-date 
	comment at start of file and add copyright notice.
	* tp/Texinfo/Convert/XSParagraph/configure.ac: Add copyright 
	notice.

2016-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/Makefile.am
	(XSParagraph_la_LDFLAGS, TestXS_la_LDFLAGS): Add -no-undefined flag,
	for MS-Windows.  Report from Eli Zaretskii.

2016-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c (xspara_add_text)
	(xspara__add_next): Supply third argument to mbrtowc to say how 
	many bytes are left.  Same for second argument to mbrlen.
	Suggestion from Eli Zaretskii.

2016-01-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/run_parser_all.sh: Remove TEXINFO_XS=omit line.
	* tp/tests/coverage/tests-parser.txt: Skip 
	formatting_utf8_enable_encoding test.

2015-12-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/run_parser_all.sh: Set TEXINFO_XS=omit to avoid failure
	in test_scripts/coverage_formatting_utf8_enable_encoding.sh.

2015-12-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.0.91.
	* configure.ac: versionn

2015-12-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Short Sample): Remove use of "-*-texinfo-*-"
	and "%** start of header", "%** end of header" from example.
	Change "names the file" to "names the manual" since @setfilename isn't
	here any more.
	(Short Sample Texinfo File): Same changes to complete example 
	without interleaved commentary.
	(Sample Beginning): Remove the same parts.
	(Texinfo File Header): Don't say that "-*-texinfo-*-" is 
	required.  Delete word "generally".
	(First Line): Mention optional "-*-texinfo-*-" here, for when 
	the file type isn't detected from the file extension.
	(Beginning and Ending a File): Don't say that the name of the 
	output file has to be specified in a Texinfo file.

	Suggestions from Per Bothner, Eli Zaretskii and Mathieu Lirzin.

2015-12-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Inserting Accents, Inserting Quotation Marks):
	Remove index entries for 'documentencoding'.

2015-12-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (copy_converting): When using ASCII 
	downgrade for unknown sequences, call 'iconv' with 2nd and 3rd 
	arguments null to flush any converted character before using 
	another iconv conversion state on the input.  Reorder switch
	statement to put the only case that falls through to the end 
	last.

2015-12-25  Eli Zaretskii  <eliz@gnu.org>

	* info/pcterm.c (blinkvideo, textcolor, textbackground) [_WIN32]:
	New functions.
	(pc_begin_blink, pc_default_color, convert_color)
	(pc_set_fg_color, pc_set_bg_color): New functions, to support
	capabilities added to terminal.c.
	(pc_initialize_terminal): Make the xref_attr use the lightcyan
	color, to be more prominent.
	(pc_initialize_terminal): Add hooks for the new attributes: bold,
	blink, and foreground/background colors.

	* info/info-utils.c (copy_converting): When 'iconv' finishes
	conversion, call it with 2nd and 3rd arguments NULL to make sure
	it flushes the last converted character to the output buffer.
	This avoids losing the last character when libiconv conversion is
	stateful.  Restore the input pointer before calling copy_direct if
	'iconv' failed to convert a character.
	(text_buffer_iconv): Use ICONV_CONST to avoid compiler warnings on
	platforms where the 2nd argument to 'iconv' should have the
	'const' qualifier.  Use the passed 'iconv_state' argument rather
	than the global 'iconv_to_output'.

	* info/info-utils.h (text_buffer_iconv): Adjust the prototype to
	use ICONV_CONST.

2015-12-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/search.c (looking_at_line): Check line case-insensitively 
	in case Info file has different capitalization for sequences like
	"End Tag Table".  Failure to read file reported by Luc Maranget
	for ocaml manual generated by hevea.

2015-12-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/tests/defs.in: Put LC_ALL=C to get messages in 
	English.  Test failures reported by Norbert Preining.

2015-12-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm: Remove empty function from 
	end of file.  This is intended to fix a problem where an error 
	message "Can't call mro_method_changed_in() on anonymous symbol 
	table" would be printed for some versions of Perl.  Error 
	reported by Nelson Beebe for several systems.

2015-12-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/display.c (display_update_node_text): Move an assignment 
	to a variable back where it was before, moved on 2015-12-19.  
	Fixes problem with display reported by Benno Schulenberg.

2015-12-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl: Remove spurious space at end of #! line.

2015-12-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* pretest 6.0.90.
	* configure.ac: version.

2015-12-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/Makefile.am (dist-hook): Remove backup files from t/infodir
	subdirectory.

2015-12-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\begindoublecolumns): If not much space left 
	on page, start a new page.

2015-12-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/test_scripts/coverage_formatting_utf8_enable_encoding.sh: 
	Turn off XS paragraph module because this causes the test to fail.

2015-12-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Move instructions for updating version earlier 
	in file.  Add instructions for updating texindex version.

2015-12-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/variables.c (set_variable_to_value),
	* info/man.c (get_manpage_node),
	* info/info-utils.c (scan_reference_marker): Remove unused variables.
	* info/display.c (display_update_node_text): Move variable 
	declaration to start of block.

2015-12-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* gnulib: Run gnulib --add-import.

2015-12-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\begindoublecolumns): Remove \global 
	qualifier from an assignment to \vsize.
	(\enddoublecolumns): Some comments updated to reflect the fact 
	that \balancecolumns now saves its output in a box.

2015-12-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <misc commands>: If command
	@indent or @noindent is seen, start a new paragraph after the 
	spaces following the command.
	(_merge_text): Don't merge text into an 
	empty_spaces_after_command element.
	(Problem with starting a paragraph with an @image reported by 
	Per Bothner.)

	Changes to results of tests:
	* tp/t/macro.t (unknown_macro_in_line_command): Non-whitespace 
	text is not adjoined to empty spaces element.
	* tp/t/xml_tests.t (comments_on_misc_command_line): Comment 
	after @indent is inside a paragraph.

2015-12-17  Gavin Smith  <gavinsmith0123@gmail.com>

	Suppress chapter titles for single-page indices.

	* doc/texinfo.tex (\savemarks, \restoremarks): New \def's, split 
	out from \begindoublecolumns.
	(\begindoublecolumns): Use them.
	(\balancecolumns): Instead of outputting page so far, save it in 
	a box.
	(\enddoublecolumns): Use \savemarks inside output routine 
	followed by \restoremarks outside, before adding the box that 
	\balancecolumns saved.
	(\onepageout): Use \topmark to get chapter title on previous 
	page and \firstmark to get chapter title on current page.
	(\domark): Comments changed.

2015-12-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\math): If in math mode, do nothing, so
	nested @math work.

2015-12-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/tests/ii-0058-test: Remove test, because empty 
	dir file is already covered by ii-0018-test and ii-0019-test.
	* install-info/tests/ii-0018-test,
	install-info/tests/ii-0019-test: Update to account for fact that 
	an empty dir file now causes the dir file to be re-created.

2015-12-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/tests/ii-0058-test: Work like other tests, for 
	consistency.
	* install-info/tests/Makefile.am: List files relating to this 
	test.

2015-12-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info.c (get_initial_file): Change "info" to "info-stnd" 
	if given as first non-option argument.

2015-12-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* Mention gettext and automake versions in NEWS.

2015-12-15  gettextize <bug-gnu-gettext@gnu.org>

	* gnulib/m4/gettext.m4: Upgrade to gettext-0.19.6.
	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.19.6.

2015-12-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/README: Add remark about numbers being removed for test 
	result subdirectories.

2015-12-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (key_time, get_input_key_internal): Change 
	interpretation of key-time=0 to mean 0 timeout instead of 
	infinite timeout.  When key-time=0 and at least three bytes
	come in at once the first of which is an ESC, yield the ESC as a 
	key.  This should allow specifying byte sequences for special 
	keys in .infokey, reported by Robert Ross not to work since 
	Texinfo 6.0.

	* doc/info-stnd.texi (Variables),
	* NEWS: Meaning of key-time=0 has changed.

2015-12-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@setfilename): Some reordering.  Mention 
	that @setfilename may still be required.
	
	* doc/texinfo.texi (Info Format Regular Nodes): Add 
	cross-reference to INFO_SPECIAL_CHARS_QUOTE.
	(Info Format Cross Reference): Correct mention of node name 
	quoting.

2015-11-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Refer to PDF reference.

2015-11-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (PDF Link colours): New example.

2015-11-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\inserintindexentrybox): Save depth of last 
	subbox of box containing index entry.  Set \prevdepth to this 
	value at the start of the next box for an index entry.
	(\begindoublecolumns): Start off the saved depth as 0.
	(\entry): Remove struts for multi-line index entries.
	(\entry): Turn off marks for \pdflink.

	(\pdfsetcolor): Update comment to match code re PDF operators
	k, K, rg and RG.

	(|, _, "): Minor formatting and comment changes for active 
	characters code.

	(\scanexp): Comment added to say this is for copying and captions.

2015-11-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\spaceisspace): Comment changed and \chardef 
	removed.
	(\ampChar, \colonChar, \commaChar, \dotChar, \questChar)
	(\semiChar, \hashChar, \lquoteChar, \rquoteChar): Remove these 
	\chardef's, and use literal constants instead.

2015-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/terminal.h
	(BGCOLOUR_MASK, BGCOLOUR_BLACK, BGCOLOUR_RED, BGCOLOUR_GREEN)
	(BGCOLOUR_YELLOW, BGCOLOUR_BLUE, BGCOLOUR_MAGENTA, BGCOLOUR_CYAN)
	(BGCOLOUR_WHITE): New symbols.
	* info/variables.c (set_variable_to_value): Add styles for 
	background colours.
	* info/terminal.c (terminal_switch_rendition): Handle background 
	colour changing.
	(terminal_set_bgcolour): New function.

	* info/info-stnd.texi (Colors and Styles): Document background 
	colour customization.

2015-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/tests/ii-0058-test: New test, for an empty dir 
	file.

2015-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/install-info.c (open_possibly_compressed_file): 
	If file is empty, try to create it if passed a callback for 
	doing so.  Problem with zero-sized dir files reported by
	Pedrum Mohageri.
	(format_entry): Use xmalloc instead of malloc.  Allocate an 
	extra byte.  Crash with strncat under Mac OS X Yosemite reported 
	by Alan Wehmann.

2015-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infodoc.c (info_get_info_help_node): Resort to 
	"(info-stnd)" if "(info)" isn't found.  Look for "(info)" 
	instead of "(Info)".

2015-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\onepageout): Use \thischapterheading for 
	\thischapter but sometimes blank, and don't change \thischapter.
	This means that @everyheading @thischapter @| @| does what it 
	did before.
	(\HEADINGSdouble, \HEADINGSsingle, \HEADINGSdoublex, \HEADINGSsinglex):
	Use \thischapterheading.

2015-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c: Change // comments 
	to /* ... */ style.  Remove commented-out lines for debugging.

2015-11-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/variables.c (info_variables): Rename
	hl-ref-rendition to active-link-style,
	ref-rendition to link-style,
	match-rendition to match-style.
	* NEWS: Update.
	* doc/info-stnd.texi (Colors and Styles): Update.

2015-11-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/ParagraphNonXS.pm (_add_next): Don't count 
	DEL bytes in width of word.
	* tp/t/results/plaintext_tests/
	quote_node_names/res_plaintext/quote_node_names.txt: Update.

2015-11-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/README: Mention run_all function.
	* tp/t/test_utils.pl (test, run_all, output_texi_file): Comments 
	added.

2015-11-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/plaintext.t (quote_node_names): New test.
	* tp/t/input_files/nodequote.texi: Input file.
	* tp/t/results/plaintext_tests/
	quote_node_names/res_plaintext/quote_node_names.txt: Reference 
	output file.
	* tp/Makefile.am (test_files): Add nodequote.texi.

2015-11-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Mention problem with "make dist" and XS modules.

2015-11-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi: Add examples of space between macro 
	name and opening brace.

2015-11-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): For multi-line entries, use a \strut 
	on first and last lines.  Comments changed or removed.
	(\insertindexentrybox): Set \lineskip to 0pt.

2015-11-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\passargtomacro): Rewrite to operate purely 
	at TeX's expansion stage.
	(\defmacro): Use \passargtomacro for macros of more than one 
	argument.
	(\macroargctxt): Change catcode of space.
	(\scanmacro): Don't call \passargtomacro because macro arguments 
	have already been processed.
	(\pdfurl, \commondummiesnofonts): Remove definition of 
	\xprocessmacroarg.

2015-11-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-text-test.texi: Add examples of spaces in macro 
	arguments, and nested macro use.

2015-11-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm: Change a couple of instances 
	of "environmental variable" to "environment variable."

2015-11-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Makefile.am (do_subst): Substitute @enable_xs@ in 
	texi2any.pl as intended.

2015-11-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl (BEGIN): Check if top_srcdir environment 
	variable is defined.

2015-11-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Use _AC_OUTPUT_SUBDIRS macro inside a subshell.

2015-11-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Use _AC_OUTPUT_SUBDIRS macro to configure in 
	subdirectory.

2015-11-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Handle srcdir being an absolute path for 
	building in XSParagraph subdirectory.  Used code from Autoconf's 
	_AC_SRCDIRS macro (release 2.69).

2015-11-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Add hints about the interdependencies between 
	subdirectories.

2015-11-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Pass on all the options we were passed when 
	calling configure in the XSParagraph subdirectory.  Don't use 
	AC_CONFIG_SUBDIRS for this subdirectory, to save configuring
	it twice.  When testing if we can build and load Perl extension 
	modules, pass -I flags to Perl to put directories containing 
	files at start of module search path.  Account for out-of-source 
	builds by using srcdir variable.

2015-11-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/TestXS.pm: Remove mentions of 
	"XSParagraph" in comments and messages.  Comment out line for 
	debugging output.

2015-11-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl: Use srcdir as well as builddir to set module 
	search path.
	* man/Makefile.am (MAKEINFO_ENVIRONMENT): Set value of 
	top_builddir correctly.
	(mi_env): Use MAKEINFO_ENVIRONMENT, as it wasn't used otherwise.

2015-11-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl: Add 'use Texinfo::Convert::Converter' as this 
	module may not be loaded.

2015-11-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/XSParagraph.xs,
	* tp/Texinfo/Convert/XSParagraph/TestXS.xs: Add "PROTOTYPES: ENABLE"
	line to get rid of a warning.

2015-11-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/XSParagraph.xs,
	* tp/Texinfo/Convert/XSParagraph/text.c,
	* tp/Texinfo/Convert/XSParagraph/xspara.c: Add copyright and 
	licence text.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/paragraph.t: Access paragraph formatting modules via a 
	string with the name of the module in it.  Aliasing a module's 
	namespace to switch between modules doesn't seem to work 
	reliably.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/TestXS.pm: Always print 
	debugging output, and remove fallback code copied from 
	XSParagraph.pm.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Makefile.am (test_files): Add east_asian_in_w.texi.
	* tp/t/README: Mention listing test input files in Makefile.am.  
	Mention another way of running a single test.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/Makefile.am (EXTRA_DIST): Add 
	fail.pl.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/TestXS.pm: Change package name.
	Remove comments copied from XSParagraph.pm.  Remove unused 
	functions, also copied here.  Rename $VERSION variable to avoid 
	it being altered by maintenence scripts.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/install-info.c (format_entry): Add comment for 
	local variable, and goto label.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/install-info.c (format_entry): Use a local 
	variable to avoid dereferences of output variable.

2015-11-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Comments and formatting changes.
	* install-info/install-info.c (parse_input): Combine a comment 
	with comment at start of function, and add more information.
	Change another comment.
	(install_entry_here): Formatting changes.
	(main) <not deleting>: Comment changed for grammar.

2015-11-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Prevent line breaks in Chinese text in cross-refereces, reported 
	by Brendan O'Dea.	
	
	* tp/Texinfo/Convert/ParagraphNonXS.pm
	(set_space_protection): New parameter, 'double_width_no_break'.
	(add_text) <double-width character>: If 'double_width_no_break' 
	flag is on, accumulate double-width characters just as if 
	'protect_spaces' were on.
	* tp/Texinfo/Convert/Plaintext.pm (_convert) <Cross-reference 
	commands>.  Call set_space_protection to set 
	'double_width_no_break' for the output for the cross-reference.

	* tp/Texinfo/Convert/XSParagraph/xspara.c 
	(xspara_set_space_protection, xspara_add_text): Likewise.

2015-11-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/plaintext.t (east_asian_in_w): New test.
	* tp/t/input_files/east_asian_in_w.texi: Input file.
	* tp/t/results/plaintext_tests/
	east_asian_in_w/res_plaintext/east_asian_in_w.txt: Reference 
	output file.

2015-11-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/xspara.c:
	(xspara_add_text) <double-width character>: If protect_spaces is 
	on, accumulate double-width characters instead of sticking them 
	in the output right away.
	(xspara__add_pending_word): Comment changed.
	* tp/Texinfo/Convert/ParagraphNonXS.pm (add_text) <double-width
	text>: Likewise.

2015-11-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm: Use the correct symbol name 
	for the XS bootstrap function.  Print the name of the loaded 
	library file if debug output is on, as well as the name of the 
	bootstrap function.  Delay aliasing the loaded module to 
	Texinfo::Convert::Paragraph, as accessing the "init" function 
	right away seems not to work.

2015-11-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Makefile.am: Remove a commented-out line.
	* Texinfo/Convert/XSParagraph/configure.ac: Comment out or 
	delete messages printing results and use AC_MSG_CHECKING and 
	AS_MSG_RESULT.

2015-11-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/Makefile.am: Remove commented-out lines and 
	formatting.

2015-10-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix compiler warnings.
	* info/variables.h (VARIABLE_ALIST): Change type of 'value' 
	field from int * to void *.  All uses updated to cast as 
	appropriate.
	* info/variables.c (highlight_searches): Type changed to int *.
	* info/display.c (wrap_terminal_switch_rendition): Cast from 
	long * to char *.

2015-10-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/README: Remove.

2015-10-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Add more items.

2015-10-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/tests/defs.in: Add commented-out for running with 
	valgrind.

2015-10-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Mention purposes of subdirectories, couple of 
	more checks for a release.

2015-10-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* install-info/install-info.c (parse_input): Initialize 
	missing_basename field of spec_entry structure.
	(ensure_dirfile_exists): Don't call close on a negative value.

2015-10-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@display, @table): Move advice about using 
	@table inside @display to @table node.
	(@small...): Move later in chapter.
	(@verbatiminclude): Move to Include Files chapter.
	(@lisp): Remove footnote suggesting that C or Fortran could be 
	embedded inside Texinfo files.

2015-10-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/README: Mention purpose of htmlxref, 
	htmlxref-only_mono and htmlxref-only_split subdirectories.  
	(Info from Patrice.)

2015-10-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\utfeightchardefs): More definitions for 
	mathematical symbols, from Karl, from Jim Hefferon.

2015-10-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\DeclareUnicodeCharacter): If character 
	already defined, print a warning, but don't make it a fatal 
	error.  Suggestion from Oliver Heimlich, 2nd October (bug-texinfo).

2015-10-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\utfeightchardefs): Add the rest of the Greek 
	alphabet.
	* doc/texinfo-tex-test.texi: Add some Greek text.

2015-10-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\begindoublecolumns): Set \topskip to 0pt.  
	This avoids a smaller gap appearing at the top of a column due 
	to a long index entry in a vbox with a large height.
	(\pagesofar): Add a gap above the columns close to what \topskip 
	did before.
	(\entry): Increase threshold for a long line.
	(\insertindexentrybox): Reduce \lineskip.

2015-10-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): When deciding whether an entry will 
	fit in a single line, don't include the left and right margins.  
	Allow for \rightskip in arguments to \parshape.  Reduce 
	allowable stretch into margin.  Formatting.

2015-10-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Use a \vbox instead of a \vtop, for 
	better column balancing and to stop an index entry overlapping 
	text after the index.

2015-10-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Permit hyphenation.

2015-10-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Ragged right for long entries.

2015-10-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Long index entries): New section.

2015-10-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Fix display of TOC entries for part 
	pages, which don't have line numbers, so that they are not 
	stretched across the whole width of the page.

2015-10-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Not Ending a Sentence): Remove example of 
	incorrect input to make it easy to spot the correct input.  Add 
	'@findex :'.  Remove mention of typing on a typewriter.  Change 
	an "or" to a comma.  Be more explicit about which case is which 
	for when the extra space is wanted.  Remove words "after a 
	period" when we mentioned earlier in the sentence other 
	punctuation marks than the period.  Use a numbered list of 
	situations where @: should be used.  Move mention of HTML and 
	DocBook output to end of node.  Mention a mnenomic to remember 
	whether we are forcing an end of sentence or suppressing one.
	Remove statement about not using braces after the command, as 
	this should be obvious.
	(Ending a Sentence): Mention a trick along the same lines for 
	remembering what @. does.

2015-10-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Indexing Commands): Update to mention 
	txiindexhyphenignore etc.

2015-10-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\scanmacro, \commondummiesnofonts): Remove 
	definition of \xeatspaces, because this control sequence isn't 
	used any more.

2015-10-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/TestXS: Move test extension into tp/Texinfo/Convert/XSParagraph
	and remove directory.  This should make the test more reliable 
	as the conditions of building are more similar to those of the 
	real extension.  It should make the package a little smaller as 
	we have one fewer configure script, Makefile and libtool program.

	* tp/Texinfo/Convert/XSParagraph/TestXS.pm,
	tp/Texinfo/Convert/XSParagraph/TestXS.xs
	tp/Texinfo/Convert/XSParagraph/fail.pl: New locations of files.

	* configure.ac, tp/Makefile.am, 
	tp/Texinfo/Convert/XSParagraph/Makefile.am: Update.

2015-10-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Invoking Info): Change mention of 
	command-line variable to match synopsis.  Fix an ungrammatical 
	sentence.

2015-10-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Top): Move cross-reference to (info) to 
	Stand-alone Info node.  Add advice to press H for a list of key 
	bindings and explain how to move forward and backward in manual.

2015-10-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/terminal.c, NEWS, doc/info-stnd.texi (Variables): Turn 
	mouse variable off by default.

2015-10-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi: Remove "@paragraphindent 2" line and add
	"@set txiindexhyphenignore".
	* NEWS: Update with txiindexbackslashignore etc.  Mention that 
	info.info is no longer distributed.

2015-10-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Paragraph.pm,
	tp/Texinfo/Convert/ParagraphNonXS.pm: Rename.
	* tp/Texinfo/Convert/XSParagraph/XSParagraph.pm,
	tp/Texinfo/Convert/Paragraph.pm: Move and rename.  This allows 
	code to refer to the Texinfo::Convert::Paragraph module, as it 
	did before (instead of Texinfo::Convert::XSParagraph::XSParagraph).

2015-10-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (parse_top_node_line): Adjust
	output_bytes_difference and node_offset according to how much of 
	the nodeline was printed.
	(scan_node_contents) <not rewriting node>: Adjust anchors with 
	output_bytes_difference.
	(scan_reference_marker): Avoid referring to output_bytes_difference.
	(copy_input_to_output): Formatting change.

	* info/nodes.h (NODE): Change type of 'display_pos' to signed.
	* info/nodes.c (info_node_of_tag): Check if the anchor position 
	we ended up has gone negative, and if so, set it to 0.
	* info/search.c (skip_node_separator): Comment changed.

2015-10-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info.texi: Remove file, as it is distributed with Emacs.

2015-10-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl (BEGIN): Look in @pkglibexecdir@ for loadable 
	modules, not @pkglibexecdir@/Texinfo.

2015-10-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\image): Give \xprocessmacroarg a definition, 
	to try to stop an error when \image is used via a macro.

2015-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* gnulib: Run gnulib-tool for updated Gnulib.

2015-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* README-hacking: Mention dist-xz option for Automake.

2015-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* Run gnulib-tool at top-level to remove vasprintf-posix module 
	and use vasprintf instead.  This is intended to reduce the 
	number of checks done in the configure script, including those 
	for math.h functions.

2015-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Get 'make distcheck' to work:

	* tp/Texinfo/Convert/XSParagraph/Makefile.am: Remove XSParagraph.c
	from BUILT_SOURCES, and add it to CLEANFILES.  Use $< instead of 
	$*.xs in .xs.c rule.
	* configure.ac: Configure in tp/TestXS and in
	tp/Texinfo/Convert/XSParagraph unconditionally.  Update comment 
	referring to ignored TeX tests.

2015-10-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/README: Mention running maintain/regenerate_file_lists.sh.

2015-10-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Makefile.am (perl_specific_files): Remove 'Changes'.

2015-10-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi: Ignore @, \ and < when sorting index entries.

2015-10-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexnonalnumdisappear): Use variables 
	txiindexbackslashignore, txiindexhyphenignore, txiindexlessthanignore,
	txiindexatsignignore to ignore the corresponding characters in 
	an index sort key.
	(\indexnofonts): Move handling of txiindexlquoteignore to 
	\indexnonalnumdisappear.
	(\commondummiesnofonts): Comment updated.

2015-10-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Fonts): Put index entry for <lineannotation> 
	in @code.

2015-10-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Testing for Texinfo Commands): Add index 
	entry for 'txicommandconditionals' flag.

2015-10-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexnonalnumdisappear, \indexnonalnumreappear):
	Disable ignoring \, < and @ until we have options for them.

2015-10-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Get length of index entry text and 
	length of whole entry.  If it's too long, use \parshape to split 
	the entry across two lines.  Use \rightskip and \leftskip to 
	align first line of entry to the left, and last line to the 
	right.  Increase \hyphenpenalty to 10000.  Re-add a comment to 
	explain why the entry text isn't absorbed as a macro argument.
	(\indexdotfill): Increase stretchability of leaders to "filll" 
	level.

2015-10-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@setfilename): @setfilename not required.

2015-10-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Testing for Texinfo Commands): Use @@@@ in 
	example instead of @@ in order to output "@@".  Also use @@, @{ 
	and @} to match the other example.

2015-10-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Document Encoding): New test 
	chapter to test UTF-8 characters.

2015-10-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\utfeightchardefs): Add several missing 
	definitions, requested by Oliver Heimlich.

2015-10-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\documentencoding): Read argument with 
	altered catcodes.  This has been broken since 2015-09-03 when
	the catcode of - was changed.
	(\parseargdef): Comment changed.

2015-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/Makefile.am: Remove a commented-outline, and move a 
	Make variable definition.
	* tp/tests/README: Mention test scripts in test_scripts 
	directory, and give a different method for updating test 
	results.

2015-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_convert_raw_command),
	* tp/Texinfo/Convert/Docbook.pm (_convert): Don't remove newline 
	from the last line of a raw format block.

2015-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Variables): Document 'nodeline' variable.
	* NEWS: Announce new variables.

2015-10-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Macro Details): Mention problem with index 
	entries.

2015-10-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\part): Set \pchapsepmacro before using 
	\chapmacro to avoid extra blank pages following a part page.

2015-10-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Conditional Commands): Delete words "but 
	without the special historical case".

2015-10-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/man.c (xrefs_of_manpage): Exclude first line of manpage.
	(get_manpage_node): Don't add an extra line to the manpage node.

2015-10-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Overview): Put contents of a footnote in the 
	main text.

2015-10-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry) <no page numbers>: Add a \hfill where 
	\indexdotfill would be.  This prevents a short part name being 
	split across lines in a table of contents.

2015-10-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\pdfurl): Define \xprocessmacroarg in case we 
	are in a macro expansion.  Problem with @email used via a @macro 
	in PDF output reported by Arnold Robbins.

2015-10-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/variables.c (info_variables): New user variable 'nodeline'.
	* info/info-utils.c (parse_top_node_line): Depending on value of 
	user variable 'nodeline', include more or less of the nodeline 
	in the displayed node.
	(scan_node_contents): Set inptr after calling parse_top_node_line.
	* info/nodes.c (info_node_of_tag): Check contents field of a tag 
	table entry to see if the node has to be (re-)scanned.  Don't 
	null contents field after scan_node_contents returns.
	* info/session.c (gc_file_buffers_and_nodes): Clear contents 
	field of tags table when gc'ing a file buffer.
	* info/t/Infokey-config: Set 'nodeline'.

	* info/session.c (info_keep_one_window):
	Call gc_file_buffers_and_nodes.

2015-10-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/display.c (ref_rendition, hl_ref_rendition, match_rendition):
	Use non-plain default renditions.
	(display_update_node_text): Still highlight cross-references if 
	hl_ref_rendition is given but ref_rendition isn't.

2015-10-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Defining Macros, Macro Details): Advice on 
	ending a macro body with '@c'.

2015-10-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/30section.t: Add new test 'loweredheading'.

2015-10-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Mention the last @lowersections fix, and mention macro 
	changes in texinfo.tex (newlines in a macro argument, relevant 
	for gcc manual).

2015-10-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Structuring.pm (_section_level): Function moved to 
	tp/Texinfo/Parser.pm.  All uses updated to access 'level' value 
	of element instead.
	* tp/Texinfo/Parser.pm (_end_line) <command is in in 
	command_structuring_level>: Don't set 'level' value.
	(_parse_texi) <sectioning commands>: Set 'sections_level' extra 
	value on element, and set 'level' value by calling _section_level.
	Do it for all sectioning elements, and not just those that are 
	"root commands", to include @heading and similar.  This is 
	intended to make @heading affected by @lowersections and 
	@raisesections, reported by Quinn Greer not to work.

2015-10-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Changes: File deleted.

2015-10-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Text.pm (heading): Add a comment.

2015-10-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/README: Remove instructions that don't work any more.

2015-09-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/t/index-apropos.sh, info/t/split-footnotes.sh: Send an 
	extra q to quit.

2015-09-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/echo-area.c (ea_rubout),
	* TODO: Abort echo area read if backspace at start of area and 
	user input is empty.

2015-09-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/echo-area.c (input_line_prompt): Remove unused variable.
	(PUSHED_EA): Remove unused field 'prompt'.

2015-09-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (parser) <INLINE_INSERTCOPYING>: Change
	"insercopying" to "insertcopying".

2015-09-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Mention q can close a window, mention index and TOC 
	formatting changes, mention @deffn formatting change.

2015-09-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (info_quit),
	* TODO: Make q close a window if there's more than one on the 
	screen.

2015-09-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infomap.c (default_emacs_like_info_keys),
	* info/info-stnd.texi (Searching Commands): Make '?' search 
	backwards, for consistency with 'less'.

2015-09-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/infomap.c (default_emacs_like_info_keys),
	* info/info-stnd.texi (Miscellaneous Commands):
	Make C-h scroll backwards, in case the terminal sends C-h for 
	the delete or backspace key.

2015-09-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@table): Change "tables" plural to "table" 
	singular.  Remove word "Texinfo" qualifying "command".  Add a 
	comma before "such as".  Change "It" to "This command".  Change 
	"definition lists" in quotation marks to "list of definitions".
	Join second and third paragraphs to reduce ambiguity about what 
	"This command" refers to.  Change "that goes into" into "in", 
	and delete "and thus determines how it will be highlighted." and 
	delete "of each item".  In paragraph about @asis, Delete word 
	"also", and change a semicolon into a colon.  Delete word 
	"normally", and change "but" to "although".  Change "first 
	column text" to "text for the first column", and "second column 
	text" to "text for the second column".  Move material about an 
	empty second column to end of paragraph, and change "column 
	entry" to "column".  Join two paragraphs about empty lines.
	Begin paragraph introducing example with "For example", and 
	change "a @samp command" to "the @samp command".

2015-09-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/DocBook.pm:
	Add "use Texinfo::Convert::Plaintext" declaration.
	
	* tp/Texinfo/Structuring.pm (add_node_menu_if_missing): Account 
	for the case that there are no children nodes.

2015-09-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/README: Mention -F option to makeinfo.
	* tp/Texinfo/Convert/Plaintext.pm (_convert) <xref commands>:
	Conditionalize a call to _count_added.

2015-09-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/README: Mention tests under tp/tests.  Remove "texinfo/" 
	from start of a path.
	* tp/tests/README: Change a word "one" to "a".  Add headings
	"Regenerating test results" and "Checking test results".  Add an 
	example to show how to investigate a test failure.  Change 
	"content" to "contents" and "files" to "file", and "line 
	oriented" to "line-oriented".

	* tp/t/tests/test_scripts/layout_formatting_regions.sh: Update 
	results for this "long-checks" test (more to come).

2015-09-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (incremental_search)
	(window_set_state, window_get_state): Refer to nodes by their 
	filename and nodename instead of with a NODE object.
	(window_set_state): Use info_set_node_of_window instead of 
	window_set_node_of_window, in order to put the node in the 
	window history.
	(incremental_search): Call cleanup_history to adjust the 
	window's history at the end of the incremental search.
	(cleanup_history): Null final entry in history array.

	* info/t/inc-sea-bs-after-strip-cr.sh: New test.

2015-09-24  Vincent BelaÃ¯che  <vincent.belaiche@gmail.com>

	* util/texi2dvi: Exempt msys as well as cygwin from using 
	semicolon as a path separator.
	(list_concat_dirs, absolute_filenames): Replace a literal colon 
	with an expansion of a variable.

2015-09-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (generated_files_get): Print a warning if the
	filename recorder is used along with an index file with an "fl"
	extension.
	(input_file_name_decode): Comment tweaked.

2015-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (comment_iftex, uncomment_iftex): Move in file 
	closer to where they are used.

2015-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (generated_files_get_from_fls): Avoid exiting 
	script with 'set -e' if file list is empty.

2015-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (generated_files_get_from_fls): Exclude files 
	ending in any of the extensions 'dvi', 'log' or 'pdf'.

2015-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (check_openout_in_log_support): Allow any file 
	number after '\openout' in the log, not just 0, because \openout2
	appeared with LaTeX.

2015-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Format with texi2dvi): Update to reflect new 
	default for TEXI2DVI_USE_RECORDER.

2015-09-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\requireopenindexfile, \printindex): If
	index is called "fl", use file extensions "f1" and "f1s" 
	instead, because "fls" conflicts with the extension for the 
	filename recorder.

2015-09-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (decide_aux_files_method): Default to not using 
	recorder.
	(run_core_conversion): Eliminate all renaming to handle indexes 
	called "fl".  When \openout lines are missing from the log file, 
	this will be dealt with by changes to texinfo.tex.
	(generated_files_get_from_fls): Use fls extension (not flz).

	(generated_files_get): Don't add extra files to the list or 
	filter it at all.  Don't take any arguments.
	(filter_files): New function, using the filtering logic that was 
	in generated_files_get.
	(aux_file_p, bibtex_file_p, index_file_p): Make suitable for 
	using with filter_files by echoing file name if the predicate is 
	true of the file.

	(all_files, add_all_filter): Logic for finding generated files 
	moved from generated_files_get, used in mostly_clean function.
	(top-level part of script): Call generated_files_get to set 
	a value for xref_files_new before calling mostly_clean.
	(mostly_clean): Call all_files to get list of files to remove, 
	instead of generated_files_get.

	(generated_files_get_from_fls, generated_files_get_from_log): 
	Don't output names of log or recorder file.
	(xref_files_changed): Compare all files output, not just those 
	that pass xref_files_p (not including the *.log or *.fls files 
	themselves).  However, don't compare derivative files such as
	sorted index files.
	(xref_files_p): Add comment to say this function isn't used.
	(run_tex_suite): Call xref_files_save once at the beginning, and 
	then immediately after each use of xref_files_changed in the 
	main loop.  This reduces the chances of an infinite loop 
	happening if one of the output files is overwritten by mistake 
	in the meantime.
	(xref_files_save): Don't call generated_files_get; use value of 
	xref_files_new for the files to save.
	(run_index, run_bibtex): Call filter_files instead of 
	generated_files_get.

	(compile): Put working directory back at the start of TEXINPUTS, 
	as this is clearer, and it was reported that on some versions of 
	MikTeX, the working directory always took priority regardless.
	Remove backup directory from search path, as this was a trick 
	for processing fl indices that didn't work reliably.
	Redirect output of test for \openout lines in log file to /dev/null.

	(usage): Move some options that aren't "build modes" out of the 
	build mode section.

2015-09-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Optional Arguments): Remove use of @var from 
	example of @defspec with optional arguments.  Change a @samp to 
	@code around @dots{} to avoid unwanted inverted commas.

2015-09-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\requireopenindexfile): Use \immediate before 
	\openout.
	(\df): Also define a \defsl font in addition to \defttsl, so we get
	parameters in @deffn lines the same size as the name of the function.

	(\domakedefun): Comment changed.

2015-09-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\defmacro) <2-9 arguments> Define 
	\processmacroarg as \xprocessmacroarg, and make the latter 
	unexpandable.
	(\scanmacro): Define \xprocessmacroarg as 
	\passargtomacro\eatspaces, to reduce doubled backslashes to one.
	(\commondummiesnofonts): Give \xprocessmacroarg a definition.

	(\defmacro): Define helper macros with names ending in "@" 
	instead of "x", because this causes funny results when the file 
	contains two user-defined macros one of which has the same name 
	as the other with an extra "x" on the end.

	* doc/texinfo-tex-test.texi: Add examples with a macro with two 
	arguments.

2015-09-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\afterenvbreak): Copy from \aboveenvbreak.
	(\aboveenvbreak): Insert a penalty for page breaking above 
	environment, instead of a bonus.

	(\insertindexentrybox): Set \lineskip with stretch.

2015-09-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi: Don't exempt mingw and djgpp from using ; as a 
	path separator.  Suggested by Eli Zaretskii.

2015-09-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Invoking Info, Printing Nodes): Use @env 
	in index entries and in text for environment variables.

2015-09-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Use a finite \rightskip to encourage
	more words onto the earlier lines.  Increase \linepenalty and
	\hyphenpenalty.  No interword stretch.  Make hanging indent 1em
	instead of 2em.  Use a completely shrinkable space before the
	page number.
	(\indexdotfill): Reduce stretchability to balance stretch of 
	\rightskip in previous lines.

	(\initial): Move initial slightly to left.

2015-09-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (run_tex_suite): Call xref_files_changed right 
	after run_core_conversion to avoid one extra generation of the 
	sorted index files which isn't necessary.  Reported by
	Vincent Belaiche.
	(run_core_conversion): Backup and restore a sorted *.fls index 
	file to avoid it being overwritten by run_core_conversion, and 
	so it can be checked by xref_files_changed.

2015-09-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entry): Store index entry in a \vtop to 
	allow something else to be added first.
	(\entryorphanpenalty): Used by \entry, nothing by default.
	(\indexorphanpenalty): Check if index entry is followed by 
	another index entry: if not, insert a penalty before it, to 
	discourage orphaned index entries at the top of columns.
	(\printindex): Instead of reading entire file with \input, read 
	it line by line.  Set \entryorphanpenalty to \indexorphanpenalty.

	(\chapmacro): Don't cancel \topskip: this change was of dubious merit.
	(\initialglyphs): Print tilde in chapter size.

2015-09-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Mention INFO_SPECIAL_CHARS_QUOTE.

2015-09-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi
	(Customization Variables for @-Commands): Add @validatemenus.
	(Other Customization Variables): Mention INFO_SPECIAL_CHARS_QUOTE.

2015-09-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/refcard/Makefile: Put "./" in front of txicmdcheck and 
	txivarcheck.
	* README-hacking: Mention "make ccheck" and "make vcheck" for 
	refcard.
	* doc/refcard/txicmdcheck (read_refman): Look for @section line
	instead of @appendix.  Failure reported by Karl.

2015-09-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-utils.c (avoid_see_see): Function removed.
	(scan_reference_marker) <hide-note-references=On>: Hide "*note" 
	more enthusiastically.

2015-09-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\entryrightmargin): Define sequence with 
	\newdimen.
	(\startcontents): Instead of reducing \hsize, set 
	\entryrightmargin.
	(\entry): Set \rightskip and \parfillskip to add a margin at the 
	right which we can stretch into if needed, from the value of 
	\entryrightmargin.  Add setting for \linepenalty.  Set 
	\hangafter explicitly.
	(\finishentry): Remove \hfil glue before leaders.  Use 
	\thinspace before page number instead of `\ '.
	(\indexdotfill): Use a non-infinite stretch for the leaders.
	(\chapentry): Move page numbers to right slightly.

	(\chapmacro): Cancel \topskip glue before heading.
	(\appentry): Narrow the space after word "Appendix".

	(\indexdummies): Remove part of comment.

2015-09-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Macro Details): Reinstate discussion of 
	workaround for macro arguments with cedillas.  Also arguments to 
	macros with a single argument should be able to cross lines.

2015-09-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-texi.texi: Add example of chapter after a part 
	page, and examples of @pxref.

2015-09-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\part): Call \chapmacro in order to output a 
	mark on the page to clear \thischapter.

2015-09-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\onepageout): Check if we've just changed 
	chapter, and if so, blank \thischapter so the name of the 
	chapter isn't doubled in the headline.

	(\bindingoffset, \normaloffset, \pagewidth, \pageheight)
	(\finalout): No change, but move in file closer to the rest of 
	the output stuff.

	(\begindoublecolumns): Propagate information in \topmark and 
	\firstmark across first output routine.

	(\gettopheadingmarks, \getbottomheadingmarks, \onepageout)
	(\pagebody, \centerchap, \chappager, \chapoddpage, \chapmacro)
	(\headline, \footline): Add or change comments.

	(\initial): Increase pre-initial stretch from 0.5\baselineskip 
	to 1\baselineskip.
	(\balancecolumns): When not balancing final columns, allow glue
	in second column to stretch.

2015-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (@paragraphindent): Move sentence about 
	texinfo-format-buffer out of here, as it appears not to be 
	relevant.
	(texinfo-format commands): Move it here.

2015-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Mention comma insertion for cross-reference commands.  
	Add caveat about @setfilename removal.
	* doc/texinfo-tex-test.texi: Add examples for cross-references, 
	and part pages.
	* doc/texinfo.texi (One Argument, Two Arguments, Three Arguments)
	(Four and Five Arguments, @ref, @pxref, Cross Reference Parts)
	Update to reflect automatic comma insertion.
	(References, One Argument): Consolidate discussion of output of 
	cross-references in References node.

	(Three Arguments): Remove a couple of sentences.

2015-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (usage): Add reference to "info texi2dvi".
	* doc/texinfo.texi (Format with texi2dvi): Document 
	TEXI2DVI_USE_RECORDER.

2015-09-10  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/window.c (window_make_modeline),
	* doc/info-stnd.texi (The Mode Line): Remove *Tags out of Date* 
	message, because it often won't fit in the mode line, the user 
	won't know what it means, or be able to do anything about it.  
	Also remove "Subfile:" part for split files (the subfile can 
	still be shown with the "=" command.), and the "zz" part.

2015-09-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (usage),
	doc/texinfo.texi (Format with texi2dvi): Move discussion of the 
	pros and cons of --tidy.

	* doc/texinfo.texi (Format with texi2dvi): Mention that a line 
	can't start with "@c (_texi2dvi)" either.  In paragraph about 
	etex, change "they are" to "it is" in a sentence, and reorder a 
	sentence, and move this paragraph to the end.  Move --command 
	paragraph after discussion of output and input format options.
	Move mention of --help earlier.

2015-09-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (make_openout_test): Add a comment.

2015-09-08  Vincent Belaïche  <vincent.belaiche@gmail.com>

	* util/texi2dvi (make_openout_test): Save and restore 
	catcode_special, and use catcode_special=false for make_tex_cmd.

2015-09-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (make_openout_test): Put "./" in front of path 
	of test file.  Supply /dev/null as input of TeX engine.

2015-09-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Command Syntax): Make a section of an 
	appendix on @-commands.
	(@-Command Details): New appendix.
	(Command List, Command Contexts): Make sections of the new 
	appendix.
	(Conventions): Move some of the information from Command Syntax 
	here.
	(Short Sample): Reorder words in a heading.
	(Def Cmd Continuation Lines, Inserting an Atsign): Add 
	@sortas{@@} specifiers
	(@documentdescription): Add @code around "<meta>".

2015-09-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexnonalnumdisappear)
	(\indexnonalnumreappear): Disregard @ when sorting index 
	entries.
	Remove commented-out definition of \l.
	(\initial): Reduce end of column glue from 6 lines to 5 lines.
	(\group, \addgroupbox): Split out function.
	(\cartouche): Use \addgroupbox, in order to break the page if 
	there isn't enough room on the current page for the cartouche.

2015-09-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\itemizeitem): Check not in inner mode before 
	using \vadjust.

2015-09-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\macroargctxt): Do \catcode`\^^M=\other, to 
	preserve newlines in a macro argument.
	(\parsemargdef): Put \processmacroarg instead of \xeatspaces in 
	\macarg.ARG.
	(\gobblespaces): New macro.
	(\defmacro): If number of parameters is 1, don't use \eatspaces 
	on the argument, but do put \gobblespaces before it.

	(\getargs): Say in comment what this macro does.

	Move code to process macros with more than 9 arguments together 
	in the file.
	(\getargvals@@): Remove comment.
	(\setemptyargvalues@): Change a word in a comment.

	(\parsemacbody, \parsermacbody, \defmacro): Rename \temp to 
	\macrobody.

	(\texisavetoksstackpoint, \texirestoretoksstackpoint) 
	(\texionouternewtoks): Remove these macros which aren't used anywhere.

	* doc/texinfo-tex-test.texi: Add examples for a multi-line macro 
	argument, and trimming whitespace from a macro argument.

	Some of these changes are to handle better macros in the GNU tar 
	manual.

2015-09-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi: Re-add "@setfilename" line, required by 
	Automake 1.15.  Reported by Stefan Husmann.

2015-09-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Info Formatting, Comments, Minimum)
	(Sample Beginning, Texinfo File Header, Start of Header)
	(Writing a Menu, @var, @documentlanguage, documentencoding)
	(Sample Include File, Format with texi2dvi)
	(Formatting Partial Documents, Requirements Summary)
	(Preparing for TeX, A4 Paper, Command List)
	(Short Sample Texinfo File, GNU Sample Texts)
	(@setfilename),
	* NEWS: @setfilename is now no longer required.

2015-09-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\requireauxfile): New macro.
	(\refx, \Efloat): Use it.
	(\fixbackslash): Read texinfo.cnf here if it exists.
	(\setfilename): Do nothing.

2015-09-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\initialglyphs): Use chapter size for caret.  
	Change shape of underscore back to what it was in regular text.
	Increase end-of-column glue before initial heading from 3 lines 
	of stretch to 6.
	(\entry): Reduce stretch of glue before an entry from 1pt to 0.5pt.
	Remove an out-of-date comment, because '-' is always active now.
	(\initial): Put \secfonts inside the argument to \leftline.
	(\balancecolumns): Remove glue from bottom of first column to 
	make sure it is higher than the second.

2015-09-04  Vincent Belaïche  <vincent.belaiche@gmail.com>, and
	    Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi
	(generated_files_get_from_log): new function.
	(generated_files_get_from_fls): new function.
	(generated_files_get): Generate files based on log
	file or fls file whichever applicable according to variable
	generated_files_get_method.

	(make_tex_cmd): New function taking on preamble part of
	run_tex.  Insert -recorder option when applicable, based on 
	recorder_option_maybe variable.
	(run_tex): Delegate to make_tex_cmd making of the tex command.
	(make_openout_test): new function.
	(check_recorder_support): new function.
	(check_openout_in_log_support): new function.
	(set_aux_files_from_fls): new function.
	(set_aux_files_from_log): new function.
	(decide_aux_files_method): new function.
	(Main part/preamble to action): call decide_aux_files_method.
	(End of file): Add "Local Variables" comments to set indent 
	style for Emacs.

	(run_tex_suite): Call run_core_conversion before run_index, to 
	avoid overwriting a sorted index file.
	(run_core_conversion): If a recorder file was output, rename it 
	to avoid it being overwritten.
	(compile): Put backup directory at front of search path for TeX.
	(absolute_filenames): Don't prepend "." to the list.
	
	(xref_files_save): Comment changed.	

2015-09-04  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\dosubindwrite): If index sort key ends up as 
	empty, use a space.

2015-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Indexing Commands): Update documentation of 
	@sortas.
	(Command List): Add @sortas.
	* doc/refcard/txirefcard.tex: Add @sortas.
	* NEWS: Mention @sortas.

2015-09-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex: Let - always be active, and set it to 
	\normaldash.
	(\indexnonalnumdisappear, \indexnonalnumreappear): New control 
	sequences.  Make -, < and \ disappear by default for index sort
	keys.
	(\dosubindwrite): Call \indexnonalnumdisappear.
	(\indexwritesortas): Call \indexnonalnumreappear.
	(\indexwritesortas, \dosubindwrite): Cope better if @sortas{...}
	is not put at the very beginning of the argument.
	(\normalhyphen): Remove, and replace \normalhyphen with 
	\normaldash.

	* doc/texinfo.texi: Add @sortas keys for some index entries.  
	Remove it for \mathopsup.
	Correct entry <<' (umlaut accent)>> to <<' (acute accent)>>.

2015-09-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (printed_representation): Cast a char * to
	unsigned * so undisplayable bytes aren't always displayed as \377.
	(degrade_utf8): Add A", O" and U".
	* info/window.c (window_make_modeline) <preprocess_nodes_p>: Put
	"Info:" in status line, and eliminate space after closing 
	parenthesis.
	* TODO: Remove @sortkey suggestion, as this is in progress as 
	@sortas.  Add a couple of suggestions for Info browser.

2015-08-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\balancecolumns): Fix case of short final 
	column which we don't try to break.
	* NEWS: Mention a change to index formatting.

2015-08-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\initialfonts, \initialglyphs): Rename, and 
	add a missing %.
	(\balancecolumns): Make the columns have flush bottoms only if 
	their heights are not too different.
	* doc/texinfo-tex-test.texi: Add example to show flush column 
	bottoms in the middle of an index, and tweak examples of short 
	indices.

2015-08-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/display.c (display_process_line): Don't append codes to 
	line if we are still in the DEFAULT phase.

2015-08-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Colors and Styles): New chapter.

2015-08-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/display.h, info/variables.h (RENDITION): Move definition.
	* info/display.c (highlight_searches_p, xref_rendition_p): Remove.
	* info/variables.c (set_variable_to_value): Make highlight-searches=On
	equivalent to match-rendition=standout.
	* info/display.c (display_process_line): If hl-ref-rendition 
	hasn't been given, use ref-rendition for active links.

	* info/terminal.c (terminal_end_bold, terminal_end_blink): 
	Remove, repacing them with:
	(terminal_end_all_modes): New function.
	(terminal_switch_rendition): Manage to turn off boldface and 
	blinking without leaving everything else turned off as well.

2015-08-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/terminal.c (terminal_default_colour, terminal_set_colour):
	Add hooks.

2015-08-29  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/variables.c (set_variable_to_value): Handle rendition
	variables in user init file.
	(info_variables): Add user variables "ref-rendition",
	"hl-ref-rendition", "match-rendition".
	* info/display.h (RENDITION): New type.  Remove superfluous 
	"extern" modifers for function declarations.
	* info/terminal.h
	(COLOUR_MASK, COLOUR_BLACK, COLOUR_RED, COLOUR_GREEN)
	(COLOUR_YELLOW, COLOUR_BLUE, COLOUR_MAGENTA, COLOUR_CYAN)
	(COLOUR_WHITE, UNDERLINE_MASK, STANDOUT_MASK, BOLD_MASK)
	(ZERO1_MASK, BLINK_MASK): New symbols.
	* info/terminal.c (terminal_switch_rendition): New function.
	(terminal_default_colour, terminal_set_colour)
	(terminal_begin_blink, terminal_end_blink)
	(terminal_begin_bold, terminal_end_bold): New functions used by
	terminal_switch_rendition.
	(term_AF, term_AB, term_op, term_md, term_mb, term_me): New variables.
	(terminal_initialize_terminal): Set them.

	* info/display.c (wrap_terminal_switch_rendition): New function, 
	to wrap terminal_switch_rendition function.
	(wrap_terminal_begin_standout, wrap_terminal_end_standout)
	(wrap_terminal_begin_underline, wrap_terminal_end_underline): 
	Remove.

	(display_process_line): Instead of saying directly whether 
	underline or standout need to be turned on or off, decide which 
	sets of renditions should be in effect, the order of their 
	priority, and call wrap_terminal_switch_rendition with them.

2015-08-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\sortas): Use \ignorespaces.
	(\indexnofonts): Sort the letter thorn as "th".

2015-08-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Chapter Structuring): Remove reference to 
	node pointer deduction.  Abbreviate explanation of when to use 
	@node.
	(Nodes): Move some of that material here.
	(Menus): Make this chapter a section of the Nodes chapter.
	(@node): Merge this into Nodes node, raising level of 
	subsections to sections.  Move @findex line to Writing a Node.
	Move material about optional arguments to @node to Writing a Node.
	(Texinfo Document Structure): Make a section of the Nodes 
	chapter.  Surround "child nodes" in @dfn.  Don't say that the 
	first child has its parent as its Prev node, as this appears not 
	to be true.  Merge some material from Nodes into this section.

2015-08-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\pxref, \xref, \ref): If there isn't 
	punctuation after the argument when we output the page number,
	supply a comma after the page number.

	(\enablebackslashhack): Also use @c to turn off initial 
	definition of backslash.
	
	* doc/info-stnd.texi: Remove commas following cross-references 
	where they aren't needed.

2015-08-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Cross References): Don't mention nodes and 
	anchors in summary, for simplicity.
	(Cross Reference Commands): Say there are only three main 
	cross-reference commands, and not four, and also mention @uref.

	(Cross References) Refer to second and third arguments as 
	"online label" and "printed label", to show why they are separate.

	(Reference Syntax): Remove example output, because we had that 
	before in Cross Reference Parts.  Move references to @node and 
	@anchor nodes to Cross Reference Parts.  Merge the rest of it 
	into Cross Reference Parts and remove the node.

	(@xref): Remove material saying what the output looks like and 
	how it is used, because that was already covered in the 
	"References" node.

2015-08-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Top Node Naming)
	(Referring to a Manual as a Whole): Rename node and section.

2015-08-25  Patrice Dumas  <pertusus@free.fr>

	* tp/Texinfo/Convert/XSParagraph/text.c,
	tp/Texinfo/Convert/XSParagraph/xspara.c: remove unneeded
	_GNU_SOURCE.
	* doc/Makefile.am (EXTRA_DIST): correct typo in texinfo-tex-test.texi.

2015-08-25  Patrice Dumas  <pertusus@free.fr>

	* tp/Texinfo/Convert/XSParagraph/configure.ac (AC_CONFIG_HEADERS),
	tp/Texinfo/Convert/XSParagraph/XSParagraph.xs,
	tp/Texinfo/Convert/XSParagraph/text.c,
	tp/Texinfo/Convert/XSParagraph/xspara.c:
	revert to using config.h, as gnulib requires the header file
	to be called config.h.

2015-08-25  Patrice Dumas  <pertusus@free.fr>

	* tp/Texinfo/Convert/XSParagraph/configure.ac (AC_CONFIG_HEADERS),
	tp/Texinfo/Convert/XSParagraph/XSParagraph.xs,
	tp/Texinfo/Convert/XSParagraph/text.c,
	tp/Texinfo/Convert/XSParagraph/xspara.c: 
	Use xsparagraph_acconfig.h instead of config.h as the name for the
	header file generated by configure as an additional security against 
	using the config.h file in perl include directory.

2015-08-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\sortas): Expand to \eatspaces, to remove a 
	following space.
	* doc/texinfo.texi (\mathopsup): Use @sortas{mathopsup}.

2015-08-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Indexing Commands): Document @sortas{}.  
	Move example usage earlier.  Move discussion of typeface 
	earlier, leaving general advice on writing index entries at the 
	end.
	(Index Entries): Move to after Indexing Commands, and move 
	advice from there to here.

2015-08-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Writing a Texinfo File): Add a short blurb 
	to say what chapter is about.

2015-08-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Nodes, Cross References): Move @anchor node 
	between chapters.
	(Overview): Move Texinfo Document Structure node later, and
	Adding Output Formats later, and History earlier.
	(Adding Output Formats): Move material about man pages to the 
	end.  Reword slightly.
	(Output Formats) <Info>: Be slightly less detailed, because the 
	reader might not know what "nodes" are yet.
	(Six Parts, Short Sample): Merge Six Parts into Short Sample.
	<Header>: Mention that %**start of header is for the benefit of 
	Emacs, moved from Minimum.
	(Minimum): Remove use of @emph and the word "good".  Explain why 
	@bye is needed.  Put discussion of which file extensions are 
	preferred in a footnote.
	
	(Overview): Split off later sections into a new chapter, Writing 
	a Texinfo File.

	(Chapter Structuring): Move chapter after Nodes and Menus.

	* doc/texinfo.texi: Remove @shorttitlepage.

2015-08-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (%brace_commands): Add 'sortas'.
	* tp/Texinfo/Convert/Plaintext.pm (%ignored_commands): Add 
	'sortas'.
	* tp/Texinfo/Convert/HTML.pm (%default_commands_conversion): Set 
	conversion for @sortas to nothing, so command is ignored.

2015-08-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\setfilename): No longer call \openindices.
	(\openindices): Place body inline in texinfo.tex.
	(\requireopenindexfile): New macro.
	(\dosubind) <not @novalidate>: Use it.
	(\newindex, \newcodeindex): Don't open an index file, and record
	the file handle as a dummy value.

	* NEWS: Mention change for opening index files on demand.

2015-08-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\sortas): New macro.
	(\dosubindwrite): Give it a special definition.  Trim spaces
	from index entry.

2015-08-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* ti/ti.twjr (extract_initial): Read initials delimited by 
	balanced curly braces, to be compatible with older versions
	of texinfo.tex.
	(Special_chars): Remove backslash.
	(Problem reported by Norbert Preining, bug-texinfo, on 6 July.)

	* doc/texinfo.tex (\dosubindwrite): Output \ as 
	{\indexbackslash}, not {\tt \indexbackslash}.
	(\usemathbackslash): Removed.
	(\indexnofonts): Likewise, output { and } as braced sequences, 
	to be recognized by older versions of texindex.
	(\printindex): Give these braced sequences meaning.

2015-08-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi: Add more examples of short indices, 
	and show some index initial glyphs.

2015-08-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\balancecolumns): Increase height of column 
	that shouldn't be split.  Add a missing %.

	(\normalbackslash, \ttbackslash): Rename, to avoid confusion 
	with other \normal... commands that are defined to character 
	tokens with catcode other.

	(\initial): Define \\ for coming from a sorted index file.
	(\\): Remove definition, formerly used for user-defined macros.

	(\eatinput): Eat to end of line, to account for first line being
	`\input texinfo.tex' instead of merely `input texinfo'.
	(\enablebackslashhack): New definition.  Let \ to @eatinput and
	provide for it to be turned off after the first line.  Use it on
	the very last line of the file.
	(\setfilename): No longer use \fixbackslash.
	(\otherifyactive): Inline into single usage site.

2015-08-23  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\initial): Use \secfonts but within a group.  
	Use default glyph for double quote.  Add bonus for page break 
	before initial.
	(\balancecolumns): If final column is short, don't split it in 
	two.

	* doc/texinfo-tex-test.texi: Add examples for formatting 
	indices.

2015-08-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\initialfonts): Don't use \secfonts because 
	this changes \baselineskip.  Add % at end of some lines.
	(\balancecolumns): Add \vfill at the bottom of both columns.

2015-08-21  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\scanmacro): Alias \c with \texinfoc and use 
	it instead of \c at end of macro body.
	(\parsearg): Strip of a texinfoc comment as well.
	* doc/texinfo-tex-test.texi: Add example with a @macro expansion 
	inside @math.

	* NEWS: Mention change for non-alphanumeric index initials.

2015-08-20  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\indexdummies): Remove redefinition of 
	\endinput, since \endinput has not been added in \scanmacro 
	since 2010-12-23.

2015-08-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\scanargctxt): Put \catcode`\@=\other here as well.

2015-08-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Invoking Macros):  Remove duplicate material 
	about commas in the argument to a one-arg macro.  Mention that \ 
	escapes aren't used for whole-line arguments.  Mention that \{ 
	and \} don't work in TeX.

2015-08-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Macro Details): Remove two obsolete caveats.

2015-08-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\scanctxt, \macrobodyctxt): Move change of 
	catcode of @ to \macrobodyctxt, so that the , in @, doesn't 
	separate arguments to a macro.
	* doc/texinfo-tex-test.texi: Add example with @,c in a macro 
	argument.

2015-08-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Using Texinfo,  Overview): Merge Using 
	Texinfo into the introductory material for the containing 
	chapter.

2015-08-19  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\defmacro) <non-recursive 0-9 args>: Don't 
	call \scanmacro in a group.  Add comments to distinguish 
	recursive and non-recursive definitions.
	(\comment, \c): change catcode of carriage return to active, not 
	other. Ths doesn't have any effect, but reduces the number of 
	different catcodes that carriage return can take, so is simpler.  
	For \comment only, duplicate self past the end of a macro 
	expansion.
	(\scanmacro): Append \comment to argument to \scantokens.  Don't 
	change category codes before \scantokens or surround \scantokens 
	in a group.  Use a marker \aftermacro after the \scantokens 
	argument.
	(\gobblecr): Removed.
	(\scanexp): Add line changing catcodes before call to 
	\scanmacro, within a group, and comment it out for now.
	These changes appear to allow the macros to work in the manual 
	for groff, Edition 1.22.3, Autumn 2014.

	* doc/texinfo-tex-test.texi: Add example with opening and 
	closing a TeX group via a @macro.
	* doc/Makefile.am: Distribute texinfo-tex-test.texi.

2015-08-19  Patrice Dumas  <pertusus@free.fr>

	* tp/Texinfo/Convert/XSParagraph/Makefile.PL,
	tp/Texinfo/Convert/XSParagraph/Makefile.am,
	tp/Texinfo/Convert/XSParagraph/XSParagraph.pm,
	tp/Texinfo/Convert/XSParagraph/configure.ac: use a specific value
	for the XSParagraph XS interface version, instead of the project 
	version, and use it to match with bootstrap in XSParagraph.pm.
	Do not version the XSParagraph shared object, as it is only dlopened.

2015-08-19  Patrice Dumas  <pertusus@free.fr>

	* tp/Texinfo/Convert/XSParagraph/XSParagraph.xs, 
	tp/Texinfo/Convert/XSParagraph/*.c: protect #include <config.h> by
	#ifdef HAVE_CONFIG_H.

2015-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* configure.ac: Only configure in tp/Texinfo/Convert/XSParagraph
	subdirectory if building XS extensions is turned on.

2015-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/TestXS: New subdirectory, containing a test XS module to 
	test whether such can be built.
	* tp/Makefile.am: Distribute tp/TestXS.
	* configure.ac <--enable-perl-xs>: Make default value "check", 
	and for that value, build and test the TestXS module.  Subsitute 
	an 'enable_xs' output variable.
	* tp/texi2any.pl: Get 'enable_xs' Autoconf output variable.

2015-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac: Wipe Autoconf 
	cache value for AC_PROG_CC.
	* tp/Texinfo/Convert/XSParagraph/README: Remove done issue.
	* tp/Texinfo/Convert/XSParagraph/Makefile.am: Remove mention of 
	fetch_conf.pl, and commented-out rules and variables.  
	Distribute XSParagraph.xs.
	* tp/Texinfo/Convert/XSParagraph/fetch_conf.pl: Delete.

2015-08-18  Patrice Dumas  <pertusus@free.fr>

	* tp/Texinfo/Convert/XSParagraph/XSParagraph.pm, 
	tp/Texinfo/Convert/XSParagraph/Makefile.PL: remove letters
	from $VERSION, as it breaks loading of module.  Fix undefined variables.
	* tp/MANIFEST, tp/Makefile.PL, tp/Makefile.am, 
	tp/maintain/clean_perl_module_files.sh, 
	tp/maintain/prepare_perl_module_files.sh: update.  Do XSParagraph
	recursively.

2015-08-17  Patrice Dumas  <pertusus@free.fr>

	* tp/Texinfo/Convert/XSParagraph/MANIFEST, 
	Texinfo/Convert/XSParagraph/Makefile.PL, 
	Texinfo/Convert/XSParagraph/XSParagraph.pm,
	Texinfo/Convert/XSParagraph/t/XSParagraph.t: update stand-alone
	perl module code.  Remove unneeded or generated files.
	* tp/Texinfo/Convert/XSParagraph/Makefile.am,
	tp/Texinfo/Convert/XSParagraph/prepare_standalone_perl_module.sh:
	script that can be used to build a stand-alone module.

2015-08-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\scanmacro): Strip a trailing active newline 
	from the macro body if newlines are active.
	* doc/texinfo-tex-test.texi: Add example.
	
2015-08-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\macrobodyctxt): Make catcode of space 
	\other, so they are preserved when expanded in a context like 
	@example.
	(\parsemacbody, \parsermacbody): Terminate macro body at line 
	with space with catcode \other.
	(\macroargctxt, \defmacro): Update comments.
	* doc/texinfo-tex-test.texi: Add example.

2015-08-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi: Add example with macro invocation 
	nested inside an argument.

2015-08-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi: Add test file.
	* README-hacking: Mention to check texinfo-tex-test.texi.

2015-08-17  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\passargtomacro): New macro, to convert 
	doubled backslashes into single backslashes in macro argument.
	(\braceorline) <braced argument>: Call \passargtomacro.
	(\macroargctxt): Make catcode of \ active (13) instead of escape (0).

2015-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/60macro.t: New test 'macro_expands_to_empty'.

2015-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/texi2any.pl (%formats_table): Use the right key name to 
	store module names for 'debugtree' and 'debugcount'.

2015-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/configure.ac: Convert backward 
	slashes to forward slashes in Perl's configuration values.

2015-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Parser.pm (_parse_texi) <macro expansion>: If macro 
	expansion is empty, don't add to macro expansion stack.  Problem 
	with empty macro body, leading to error about recursive macro 
	usage, reported by Vincent Belaiche.

2015-08-15  Gavin Smith  <gavinsmith0123@gmail.com>

	* autogen.sh: Run libtoolize before autoreconf.

2015-08-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* makeinfo/README,
	* texi2html/README: Refer to directory containing texi2any 
	implementation.

2015-08-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (printed_representation): Remove code 
	looking at value of ISO_Latin_p, which doesn't do anything.  (It 
	hasn't done much since the display routines became locale-aware.)
	* info/terminal.c (ISO_Latin_p): Move declaration of variable to 
	this file.
	* info/info-stnd.texi (Variables) <ISO-Latin>: Update.

2015-08-14  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Texinfo Mode): Move to an appendix.
	(Command Contexts): Make a top-level appendix.  Remove some 
	unnecessary words.
	(Command Syntax, Formatting Commands): Merge.  Distinguish 
	commands taking an argument on a line from commands starting a 
	block.  Also mention that there other exceptions than @refill, 
	like @tab.

2015-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (@ftable @vtable): Mention that @itemx as 
	well as @item creates an index entry.

2015-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Variables): Replace @table with @vtable 
	and remove @vindex lines.

2015-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS, doc/info-stnd.texi (Variables): Document 'follow-strategy'.

2015-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/XSParagraph/XSParagraph.xs,
	* tp/Texinfo/Convert/XSParagraph/xspara.c: Update some comments 
	and remove some commented-out code.

2015-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Info Format Specification): Uncomment 
	material on node quoting, and add advice not to use it until 
	it's more widely supported.

2015-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (@variable_string_settables): Add 
	'INFO_SPECIAL_CHARS_QUOTE'.
	* tp/Texinfo/Convert/Info.pm (_node) <INFO_SPECIAL_CHARS_QUOTE>: 
	Add quoting characters around node name if required.
	* tp/Texinfo/Convert/Plaintext.pm (_convert) <xrefs and menus>
	<INFO_SPECIAL_CHARS_QUOTE>: Add quoting characters around 
	segments of cross-references and menu entries if they contain 
	problematic characters.
	<xrefs> <INFO_SPECIAL_CHARS_WARNING>: Warn if a node name 
	contains a full stop even if it is not followed by whitespace, 
	as this still breaks readers.

2015-08-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_convert_enumerate_command): Use
	<ol start="NUMBER"> for numeric argument other than 1.

2015-08-12  Karl Berry  <karl@freefriends.org>

	* doc/texinfo.texi (@code{@@enumerate}): be clearer that
	@enumerate 0 is allowed, but signed numbers are not.

2015-08-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/info-utils.c (scan_reference_target): Always canonicalize
	target nodename.
	* info/t/xref-across-lines.sh: New test.

2015-08-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/indices.c (apropos_in_all_indices): Check if there is no 
	filename, to avoid crash with "info -k" when there is a 
	malformed dir entry.  Crash reported by Ivan Pacheco, and cause 
	of crash discovered by Sergey Poznyakoff.

2015-08-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Indices): Remove unnecessary cross-reference.

2015-08-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (_scroll_forward, _scroll_backward): Set point 
	at beginning (resp. end) of node if going backwards (resp.  
	forwards) failed.  If we did go backwards, put the cursor at the
	beginning of the window.  Change since Texinfo 5.2 reported by
	Benno Schulenberg.

2015-08-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/session.c (forward_move_node_structure): Don't go down a 
	menu for a dir node.  (Broken since 2015-07-13 when N_IsInternal 
	ceased to be set for dir nodes.)
	
2015-08-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/info-stnd.texi (Cursor Commands): Remove explanation for 
	having cursor movement commands in Info.  Change "have" to "has" 
	and "identical to" to "the same as".

	* doc/info-stnd.texi (Searching Commands, Index Commands): Split
	Searching Commands in two.

	* doc/info-stnd.texi (Top): Re-jig.
	(Stand-alone Info): Change "ASCII terminal" to "text terminal", 
	to cover e.g. UTF-8 and ISO-8859-1.

	* doc/info-stnd.texi (Search Commands): Move mention of 
	'min-search-length' to end.  Remove repeated information about 
	'}' and '{'.  Remove mention that default search string is 
	displayed between '[' and ']'.  Move paragraph about incremental 
	searching to be next to paragraph about non-incremental 
	searching.  Move description of 'search-next' and 
	'search-previous' commands earlier, and mention that regex use 
	(or not) is also maintained.  Remove unnecessary mention that 
	lines in the same node are not skipped.  Rely more on 
	description for 'search-next', and mention that 
	'search-previous' usually goes back to the same match after a 
	'search-next'.
	(Index Commands) <i>: Remove mention of unreliable feature.

	* doc/info-stnd.texi (Search Commands): Document 'tree-search'.
	* info/session.c (info_tree_search_prev, info_tree_search_previous):
	Rename.

2015-08-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* info/variables.c (info_variables): Help string for 
	"follow-strategy".

2015-08-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* TODO: Remove @else, obsolete problem with scrolling to bottom 
	of help, full text search and reference highlighting (both in 
	progress, unnecessary customization of which key to report in 
